package cn.bertsir.zbar.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.WindowManager;
import android.view.animation.TranslateAnimation;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import cn.bertsir.zbar.Qr.Symbol;
import cn.bertsir.zbar.QrConfig;
import com.deepe.c.j.e.e;
import com.uzmap.pkg.uzcore.UZResourcesIDFinder;
import java.util.ArrayList;

public class ScanView extends FrameLayout {
    private int CURRENT_TYEP = 1;
    private TranslateAnimation animation;
    private CornerView cnv_left_bottom;
    private CornerView cnv_left_top;
    private CornerView cnv_right_bottom;
    private CornerView cnv_right_top;
    private ArrayList<CornerView> cornerViews;
    private FrameLayout fl_scan;
    private LineView iv_scan_line;
    private int line_speed = QrConfig.LINE_MEDIUM;

    public ScanView(Context context) {
        super(context);
        initView(context);
    }

    public ScanView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        initView(context);
    }

    public ScanView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        initView(context);
    }

    private void initView(Context context) {
        View inflate = View.inflate(context, UZResourcesIDFinder.getResLayoutID("view_scan"), this);
        int resIdID = UZResourcesIDFinder.getResIdID("cnv_left_top");
        int resIdID2 = UZResourcesIDFinder.getResIdID("cnv_left_bottom");
        int resIdID3 = UZResourcesIDFinder.getResIdID("cnv_right_top");
        int resIdID4 = UZResourcesIDFinder.getResIdID("cnv_right_bottom");
        this.cnv_left_top = (CornerView) inflate.findViewById(resIdID);
        this.cnv_left_bottom = (CornerView) inflate.findViewById(resIdID2);
        this.cnv_right_top = (CornerView) inflate.findViewById(resIdID3);
        this.cnv_right_bottom = (CornerView) inflate.findViewById(resIdID4);
        this.cnv_left_top.setConverGravity(0);
        this.cnv_left_bottom.setConverGravity(1);
        this.cnv_right_top.setConverGravity(2);
        this.cnv_right_bottom.setConverGravity(3);
        ArrayList<CornerView> arrayList = new ArrayList<>();
        this.cornerViews = arrayList;
        arrayList.add(this.cnv_left_top);
        this.cornerViews.add(this.cnv_left_bottom);
        this.cornerViews.add(this.cnv_right_top);
        this.cornerViews.add(this.cnv_right_bottom);
        int resIdID5 = UZResourcesIDFinder.getResIdID("iv_scan_line");
        int resIdID6 = UZResourcesIDFinder.getResIdID("fl_scan");
        this.iv_scan_line = (LineView) inflate.findViewById(resIdID5);
        this.fl_scan = (FrameLayout) inflate.findViewById(resIdID6);
        TranslateAnimation translateAnimation = new TranslateAnimation(2, 0.0f, 2, 0.0f, 2, 0.0f, 2, 0.9f);
        this.animation = translateAnimation;
        translateAnimation.setDuration((long) this.line_speed);
        this.animation.setRepeatCount(-1);
        this.animation.setRepeatMode(1);
    }

    public void setLineSpeed(int i) {
        this.animation.setDuration((long) i);
    }

    public void startScan() {
        this.iv_scan_line.startAnimation(this.animation);
        getViewWidthHeight();
    }

    public void onPause() {
        LineView lineView = this.iv_scan_line;
        if (lineView != null) {
            lineView.clearAnimation();
            this.iv_scan_line.setVisibility(8);
        }
    }

    public void onResume() {
        LineView lineView = this.iv_scan_line;
        if (lineView != null) {
            lineView.startAnimation(this.animation);
        }
    }

    public void setType(int i) {
        this.CURRENT_TYEP = i;
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.fl_scan.getLayoutParams();
        int i2 = this.CURRENT_TYEP;
        if (i2 == 1) {
            layoutParams.width = dip2px(200);
            layoutParams.height = dip2px(200);
        } else if (i2 == 2) {
            layoutParams.width = dip2px(e.MIN_PROGRESS_TIME);
            layoutParams.height = dip2px(100);
        }
        this.fl_scan.setLayoutParams(layoutParams);
    }

    public void setScanSpace(int i, int i2) {
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.fl_scan.getLayoutParams();
        layoutParams.width = i;
        layoutParams.height = i2;
        this.fl_scan.setLayoutParams(layoutParams);
    }

    public void setCornerColor(int i) {
        for (int i2 = 0; i2 < this.cornerViews.size(); i2++) {
            this.cornerViews.get(i2).setColor(i);
        }
    }

    public void setCornerWidth(int i) {
        for (int i2 = 0; i2 < this.cornerViews.size(); i2++) {
            this.cornerViews.get(i2).setLineWidth(i);
        }
    }

    public void setLineColor(int i) {
        this.iv_scan_line.setLinecolor(i);
    }

    public int dip2px(int i) {
        double d = (double) (((float) i) * getContext().getResources().getDisplayMetrics().density);
        Double.isNaN(d);
        return (int) (d + 0.5d);
    }

    public void getViewWidthHeight() {
        this.fl_scan.post(new Runnable() {
            /* class cn.bertsir.zbar.view.ScanView.AnonymousClass1 */

            public void run() {
                Symbol.cropWidth = ScanView.this.fl_scan.getWidth();
                Symbol.cropHeight = ScanView.this.fl_scan.getHeight();
                Symbol.screenWidth = ScanView.this.getScreenWidth();
                Symbol.screenHeight = ScanView.this.getScreenHeight();
            }
        });
    }

    public int getScreenWidth() {
        return ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getWidth();
    }

    public int getScreenHeight() {
        return ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getHeight();
    }
}
