package com.apicloud.ACScanner;

import com.apicloud.ACScanner.Utils.MouleUtil;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZUtility;
import org.json.JSONObject;

public class ParameterParse {
    public int animH = UZUtility.dipToPix(200);
    public int animW = UZUtility.dipToPix(200);
    public int framColor = UZUtility.parseCssColor("#ff5f00");
    public int h = -1;
    public boolean isDrawQRCodeRect = false;
    public int lineColor = UZUtility.parseCssColor("#ff5f00");
    public int scanInterval = 2;
    public int scanSpeed = 3;
    public boolean scanStill = true;
    public int scanType = 3;
    public boolean showAnim = false;
    public String sound = null;
    public int w = -1;
    public int x = 0;
    public int y = 0;

    public ParameterParse(UZModule uZModule, UZModuleContext uZModuleContext) {
        JSONObject optJSONObject = uZModuleContext.optJSONObject("rect");
        if (optJSONObject != null) {
            this.x = optJSONObject.optInt("x", this.x);
            this.y = optJSONObject.optInt("y", this.y);
            this.w = optJSONObject.optInt("w", this.w);
            this.h = optJSONObject.optInt("h", this.h);
        }
        JSONObject optJSONObject2 = uZModuleContext.optJSONObject("scanAnim");
        if (optJSONObject2 != null) {
            this.showAnim = true;
            this.animW = UZUtility.dipToPix(optJSONObject2.optInt("w", 200));
            this.animH = UZUtility.dipToPix(optJSONObject2.optInt("h", 200));
            this.framColor = UZUtility.parseCssColor(optJSONObject2.optString("framColor", "#ff5f00"));
            this.lineColor = UZUtility.parseCssColor(optJSONObject2.optString("lineColor", "#ff5f00"));
            this.scanSpeed = optJSONObject2.optInt("scanSpeed", this.scanSpeed);
        }
        this.scanType = uZModuleContext.optInt("scanType", this.scanType);
        this.sound = MouleUtil.getReadPath(uZModule, uZModuleContext.optString("sound"));
        this.scanInterval = uZModuleContext.optInt("scanInterval", this.scanInterval);
        this.scanStill = uZModuleContext.optBoolean("scanStill", this.scanStill);
        this.isDrawQRCodeRect = uZModuleContext.optBoolean("isDrawQRCodeRect", this.isDrawQRCodeRect);
    }
}
