package com.apicloud.arcfacepublic;

import android.content.Context;
import android.graphics.Bitmap;
import android.util.Base64;
import com.apicloud.arcfacepublic.Utils.LogUtil;
import com.apicloud.arcfacepublic.Utils.MouleUtil;
import com.arcsoft.face.AgeInfo;
import com.arcsoft.face.FaceEngine;
import com.arcsoft.face.FaceFeature;
import com.arcsoft.face.FaceInfo;
import com.arcsoft.face.GenderInfo;
import com.arcsoft.face.LivenessInfo;
import com.arcsoft.face.enums.DetectFaceOrientPriority;
import com.arcsoft.face.enums.DetectMode;
import com.arcsoft.face.enums.ExtractType;
import com.arcsoft.face.util.ImageUtils;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZUtility;
import java.util.ArrayList;
import java.util.HashMap;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class DetectImgRunAble implements Runnable {
    private FaceEngine faceEngine;
    private int faceEngineCode = -1;
    private Context mContext;
    private UZModule uzModule;
    private UZModuleContext uzModuleContext;

    public DetectImgRunAble(Context context, UZModule uZModule, UZModuleContext uZModuleContext) {
        this.mContext = context;
        this.uzModule = uZModule;
        this.uzModuleContext = uZModuleContext;
    }

    public void run() {
        int i;
        JSONArray jSONArray;
        ArrayList arrayList;
        JSONException e;
        JSONObject jSONObject;
        Bitmap localImage = UZUtility.getLocalImage(this.uzModule.makeRealPath(this.uzModuleContext.optString("imgPath")));
        if (localImage == null) {
            MouleUtil.error(this.uzModuleContext, "not found img");
        } else if (initEngine() == 0) {
            Bitmap alignBitmapForBgr24 = ImageUtils.alignBitmapForBgr24(localImage);
            byte[] bitmapToBgr24 = ImageUtils.bitmapToBgr24(alignBitmapForBgr24);
            int width = alignBitmapForBgr24.getWidth();
            int height = alignBitmapForBgr24.getHeight();
            ArrayList arrayList2 = new ArrayList();
            int detectFaces = this.faceEngine.detectFaces(bitmapToBgr24, width, height, 513, arrayList2);
            if (detectFaces != 0) {
                errCallback(detectFaces);
                return;
            } else if (arrayList2.size() <= 0) {
                MouleUtil.error(this.uzModuleContext, "not found face");
                return;
            } else if (this.faceEngine.process(bitmapToBgr24, width, height, 513, arrayList2, 152) != 0) {
                MouleUtil.error(this.uzModuleContext, "process error");
                return;
            } else {
                ArrayList arrayList3 = new ArrayList();
                ArrayList arrayList4 = new ArrayList();
                new ArrayList();
                ArrayList arrayList5 = new ArrayList();
                int age = this.faceEngine.getAge(arrayList3);
                int gender = this.faceEngine.getGender(arrayList4);
                int liveness = this.faceEngine.getLiveness(arrayList5);
                LogUtil.logi("detected face: " + arrayList2.size());
                if ((age | gender | liveness) != 0) {
                    MouleUtil.error(this.uzModuleContext, "get face info error");
                    return;
                }
                JSONArray jSONArray2 = new JSONArray();
                int i2 = 0;
                while (i2 < arrayList2.size()) {
                    JSONObject jSONObject2 = new JSONObject();
                    JSONObject jSONObject3 = new JSONObject();
                    JSONObject jSONObject4 = new JSONObject();
                    try {
                        jSONObject4.put("left", ((FaceInfo) arrayList2.get(i2)).getRect().left);
                        jSONObject4.put("top", ((FaceInfo) arrayList2.get(i2)).getRect().top);
                        jSONObject4.put("right", ((FaceInfo) arrayList2.get(i2)).getRect().right);
                        jSONObject4.put("bottom", ((FaceInfo) arrayList2.get(i2)).getRect().bottom);
                    } catch (JSONException e2) {
                        e2.printStackTrace();
                    }
                    FaceFeature faceFeature = new FaceFeature();
                    if (this.faceEngine.extractFaceFeature(bitmapToBgr24, width, height, 513, (FaceInfo) arrayList2.get(i2), ExtractType.REGISTER, 0, faceFeature) == 0) {
                        try {
                            try {
                                jSONObject = jSONObject2;
                                jSONObject.put("feature", Base64.encodeToString(faceFeature.getFeatureData(), 0));
                            } catch (JSONException e3) {
                                e = e3;
                                i = i2;
                                jSONArray = jSONArray2;
                                arrayList = arrayList5;
                                e.printStackTrace();
                                i2 = i + 1;
                                arrayList5 = arrayList;
                                jSONArray2 = jSONArray;
                                arrayList4 = arrayList4;
                                bitmapToBgr24 = bitmapToBgr24;
                            }
                        } catch (JSONException e4) {
                            e = e4;
                            i = i2;
                            jSONArray = jSONArray2;
                            arrayList = arrayList5;
                            e.printStackTrace();
                            i2 = i + 1;
                            arrayList5 = arrayList;
                            jSONArray2 = jSONArray;
                            arrayList4 = arrayList4;
                            bitmapToBgr24 = bitmapToBgr24;
                        }
                    } else {
                        jSONObject = jSONObject2;
                    }
                    jSONObject.put("img", jSONObject3);
                    jSONObject.put("faceRect", jSONObject4);
                    i = i2;
                    try {
                        jSONObject.put("age", ((AgeInfo) arrayList3.get(i)).getAge());
                        jSONObject.put("sex", ((GenderInfo) arrayList4.get(i)).getGender());
                        arrayList = arrayList5;
                    } catch (JSONException e5) {
                        e = e5;
                        jSONArray = jSONArray2;
                        arrayList = arrayList5;
                        e.printStackTrace();
                        i2 = i + 1;
                        arrayList5 = arrayList;
                        jSONArray2 = jSONArray;
                        arrayList4 = arrayList4;
                        bitmapToBgr24 = bitmapToBgr24;
                    }
                    try {
                        boolean z = true;
                        if (((LivenessInfo) arrayList.get(i)).getLiveness() != 1) {
                            z = false;
                        }
                        jSONObject.put("isAlive", z);
                        jSONArray = jSONArray2;
                        try {
                            jSONArray.put(jSONObject);
                        } catch (JSONException e6) {
                            e = e6;
                        }
                    } catch (JSONException e7) {
                        e = e7;
                        jSONArray = jSONArray2;
                        e.printStackTrace();
                        i2 = i + 1;
                        arrayList5 = arrayList;
                        jSONArray2 = jSONArray;
                        arrayList4 = arrayList4;
                        bitmapToBgr24 = bitmapToBgr24;
                    }
                    i2 = i + 1;
                    arrayList5 = arrayList;
                    jSONArray2 = jSONArray;
                    arrayList4 = arrayList4;
                    bitmapToBgr24 = bitmapToBgr24;
                }
                HashMap hashMap = new HashMap();
                hashMap.put("action", "face");
                hashMap.put("faces", jSONArray2);
                MouleUtil.succes(this.uzModuleContext, hashMap, true);
            }
        } else {
            return;
        }
        unInitEngine();
    }

    private int initEngine() {
        FaceEngine faceEngine2 = new FaceEngine();
        this.faceEngine = faceEngine2;
        int init = faceEngine2.init(this.mContext, DetectMode.ASF_DETECT_MODE_IMAGE, DetectFaceOrientPriority.ASF_OP_0_ONLY, 16, 157);
        this.faceEngineCode = init;
        if (init != 0) {
            errCallback(init);
        }
        return this.faceEngineCode;
    }

    private void unInitEngine() {
        FaceEngine faceEngine2 = this.faceEngine;
        if (faceEngine2 != null) {
            this.faceEngineCode = faceEngine2.unInit();
            this.faceEngine = null;
        }
    }

    private void errCallback(int i) {
        HashMap hashMap = new HashMap();
        hashMap.put("errCode", Integer.valueOf(i));
        MouleUtil.error(this.uzModuleContext, hashMap, true);
    }
}
