package com.apicloud.arcfacepublic.detectView;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Point;
import android.hardware.Camera;
import android.util.Base64;
import android.util.DisplayMetrics;
import android.view.TextureView;
import android.widget.RelativeLayout;
import com.apicloud.arcfacepublic.Utils.ImageUtil;
import com.apicloud.arcfacepublic.Utils.LogUtil;
import com.apicloud.arcfacepublic.Utils.MouleUtil;
import com.apicloud.arcfacepublic.camera.CameraHelper;
import com.apicloud.arcfacepublic.camera.CameraListener;
import com.apicloud.arcfacepublic.facerect.DrawHelper;
import com.apicloud.arcfacepublic.facerect.DrawInfo;
import com.apicloud.arcfacepublic.facerect.FaceRectView;
import com.arcsoft.face.AgeInfo;
import com.arcsoft.face.FaceEngine;
import com.arcsoft.face.FaceFeature;
import com.arcsoft.face.FaceInfo;
import com.arcsoft.face.GenderInfo;
import com.arcsoft.face.LivenessInfo;
import com.arcsoft.face.VersionInfo;
import com.arcsoft.face.enums.DetectFaceOrientPriority;
import com.arcsoft.face.enums.DetectMode;
import com.arcsoft.face.enums.ExtractType;
import com.arcsoft.face.util.ImageUtils;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class DetectView extends RelativeLayout {
    private int afCode = -1;
    private CameraHelper cameraHelper;
    private int cameraId = 1;
    CameraListener cameraListener = new CameraListener() {
        /* class com.apicloud.arcfacepublic.detectView.DetectView.AnonymousClass2 */
        ScheduledExecutorService scheduledThreadPool = Executors.newScheduledThreadPool(3);

        @Override // com.apicloud.arcfacepublic.camera.CameraListener
        public void onCameraOpened(Camera camera, int i, int i2, boolean z) {
            DetectView.this.previewSize = camera.getParameters().getPreviewSize();
            DetectView detectView = DetectView.this;
            detectView.faceDrawHelper = new DrawHelper(detectView.previewSize.width, DetectView.this.previewSize.height, DetectView.this.textureView.getWidth(), DetectView.this.textureView.getHeight(), i2, i, z, false, false);
            LogUtil.logi("cameraOpened - " + i + " - " + z);
        }

        @Override // com.apicloud.arcfacepublic.camera.CameraListener
        public void onPreview(byte[] bArr, Camera camera) {
            DetectView.this.detectThread.setData(bArr);
        }

        @Override // com.apicloud.arcfacepublic.camera.CameraListener
        public void onCameraClosed() {
            LogUtil.logi("onCameraClosed: ");
            DetectView.this.detectIng = false;
        }

        @Override // com.apicloud.arcfacepublic.camera.CameraListener
        public void onCameraError(Exception exc) {
            LogUtil.logi("onCameraError: " + exc.getMessage());
        }

        @Override // com.apicloud.arcfacepublic.camera.CameraListener
        public void onCameraConfigurationChanged(int i, int i2) {
            LogUtil.logi("onCameraConfigurationChanged: " + i + "  " + i2);
        }
    };
    private boolean detectIng = false;
    private DetectThread detectThread = new DetectThread();
    private DrawHelper faceDrawHelper;
    private FaceEngine faceEngine;
    private DetectFaceOrientPriority faceOri = DetectFaceOrientPriority.ASF_OP_270_ONLY;
    private FaceRectView faceRectView;
    private Context mContext;
    private boolean mirror = false;
    private boolean preFaceRect = false;
    private Camera.Size previewSize;
    private int processMask = 152;
    private boolean returnFaceImg = true;
    private Integer rgbCameraId = 0;
    private TextureView textureView;
    private UZModuleContext uzModuleContext;

    public DetectView(Context context, UZModuleContext uZModuleContext) {
        super(context);
        this.uzModuleContext = uZModuleContext;
        this.mContext = context;
        this.returnFaceImg = uZModuleContext.optBoolean("returnFaceImg", this.returnFaceImg);
        initTextureView(context);
        ((Activity) this.mContext).setRequestedOrientation(14);
        initParameter();
        post(new Runnable() {
            /* class com.apicloud.arcfacepublic.detectView.DetectView.AnonymousClass1 */

            public void run() {
                DetectView.this.callBack("show");
                DetectView.this.initEngine();
                DetectView.this.initCamera();
                DetectView.this.detectIng = true;
                DetectView.this.detectThread.start();
            }
        });
    }

    public boolean isPreFaceRect() {
        return this.preFaceRect;
    }

    public void setPreFaceRect(boolean z) {
        this.preFaceRect = z;
    }

    private void initParameter() {
        int i = 1;
        if (this.uzModuleContext.optInt("cameraId", 1) == 0) {
            i = 0;
        }
        this.cameraId = i;
        this.mirror = this.uzModuleContext.optBoolean("mirror", false);
        parseFaceOrintation(this.uzModuleContext.optString("faceOrientation", "ALL"));
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0045  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x005f  */
    private void parseFaceOrintation(String str) {
        char c;
        int hashCode = str.hashCode();
        if (hashCode != 48) {
            if (hashCode != 1815) {
                if (hashCode != 48873) {
                    if (hashCode == 49803 && str.equals("270")) {
                        c = 3;
                        if (c == 0) {
                            this.faceOri = DetectFaceOrientPriority.ASF_OP_0_ONLY;
                            return;
                        } else if (c == 1) {
                            this.faceOri = DetectFaceOrientPriority.ASF_OP_90_ONLY;
                            return;
                        } else if (c == 2) {
                            this.faceOri = DetectFaceOrientPriority.ASF_OP_180_ONLY;
                            return;
                        } else if (c != 3) {
                            this.faceOri = DetectFaceOrientPriority.ASF_OP_ALL_OUT;
                            return;
                        } else {
                            this.faceOri = DetectFaceOrientPriority.ASF_OP_270_ONLY;
                            return;
                        }
                    }
                } else if (str.equals("180")) {
                    c = 2;
                    if (c == 0) {
                    }
                }
            } else if (str.equals("90")) {
                c = 1;
                if (c == 0) {
                }
            }
        } else if (str.equals("0")) {
            c = 0;
            if (c == 0) {
            }
        }
        c = 65535;
        if (c == 0) {
        }
    }

    private void initTextureView(Context context) {
        this.textureView = new TextureView(context);
        this.textureView.setLayoutParams(new RelativeLayout.LayoutParams(-1, -1));
        addView(this.textureView);
        this.faceRectView = new FaceRectView(context);
        this.faceRectView.setLayoutParams(new RelativeLayout.LayoutParams(-1, -1));
        addView(this.faceRectView);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initEngine() {
        FaceEngine faceEngine2 = new FaceEngine();
        this.faceEngine = faceEngine2;
        this.afCode = faceEngine2.init(this.mContext, DetectMode.ASF_DETECT_MODE_VIDEO, this.faceOri, 16, 157);
        FaceEngine.getVersion(new VersionInfo());
        if (this.afCode != 0) {
            LogUtil.logi("faceEngine init error");
            HashMap hashMap = new HashMap();
            hashMap.put("errCode", Integer.valueOf(this.afCode));
            MouleUtil.error(this.uzModuleContext, hashMap, true);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initCamera() {
        ((Activity) this.mContext).getWindowManager().getDefaultDisplay().getMetrics(new DisplayMetrics());
        CameraHelper build = new CameraHelper.Builder().previewViewSize(new Point(this.textureView.getMeasuredWidth(), this.textureView.getMeasuredHeight())).rotation(((Activity) this.mContext).getWindowManager().getDefaultDisplay().getRotation()).specificCameraId(Integer.valueOf(this.cameraId)).isMirror(this.mirror).previewOn(this.textureView).cameraListener(this.cameraListener).build();
        this.cameraHelper = build;
        build.init();
        this.cameraHelper.start();
    }

    /* access modifiers changed from: package-private */
    public class DetectThread extends Thread {
        byte[] nv21Data;
        long parTime = 0;

        DetectThread() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setData(byte[] bArr) {
            this.nv21Data = bArr;
        }

        public void run() {
            Bitmap nv21ToBitmap;
            super.run();
            while (DetectView.this.detectIng) {
                if (System.currentTimeMillis() - this.parTime > 200 && this.nv21Data != null) {
                    this.parTime = System.currentTimeMillis();
                    DetectView.this.faceRectView.clearFaceInfo();
                    synchronized (this.nv21Data) {
                        ArrayList arrayList = new ArrayList();
                        int detectFaces = DetectView.this.faceEngine.detectFaces(this.nv21Data, DetectView.this.previewSize.width, DetectView.this.previewSize.height, FaceEngine.CP_PAF_NV21, arrayList);
                        if (detectFaces != 0 || arrayList.size() <= 0) {
                            LogUtil.logi("detectFaces error - " + detectFaces);
                        } else {
                            int process = DetectView.this.faceEngine.process(this.nv21Data, DetectView.this.previewSize.width, DetectView.this.previewSize.height, FaceEngine.CP_PAF_NV21, arrayList, DetectView.this.processMask);
                            if (process != 0) {
                                LogUtil.logi("process error - " + process);
                            } else {
                                ArrayList arrayList2 = new ArrayList();
                                ArrayList arrayList3 = new ArrayList();
                                ArrayList arrayList4 = new ArrayList();
                                int age = DetectView.this.faceEngine.getAge(arrayList2);
                                int gender = DetectView.this.faceEngine.getGender(arrayList3);
                                int liveness = DetectView.this.faceEngine.getLiveness(arrayList4);
                                LogUtil.logi("detected face: " + arrayList.size());
                                if ((age | gender | liveness) == 0) {
                                    if (!(DetectView.this.faceRectView == null || DetectView.this.faceDrawHelper == null || !DetectView.this.preFaceRect)) {
                                        ArrayList arrayList5 = new ArrayList();
                                        for (int i = 0; i < arrayList.size(); i++) {
                                            arrayList5.add(new DrawInfo(DetectView.this.faceDrawHelper.adjustRect(((FaceInfo) arrayList.get(i)).getRect()), ((GenderInfo) arrayList3.get(i)).getGender(), ((AgeInfo) arrayList2.get(i)).getAge(), ((LivenessInfo) arrayList4.get(i)).getLiveness(), null));
                                        }
                                        DetectView.this.faceDrawHelper.draw(DetectView.this.faceRectView, arrayList5);
                                    }
                                    JSONArray jSONArray = new JSONArray();
                                    for (int i2 = 0; i2 < arrayList.size(); i2++) {
                                        JSONObject jSONObject = new JSONObject();
                                        JSONObject jSONObject2 = new JSONObject();
                                        JSONObject jSONObject3 = new JSONObject();
                                        if (DetectView.this.returnFaceImg && (nv21ToBitmap = ImageUtil.nv21ToBitmap(this.nv21Data, DetectView.this.previewSize.width, DetectView.this.previewSize.height)) != null) {
                                            int orient = ((FaceInfo) arrayList.get(i2)).getOrient();
                                            if (orient == 2) {
                                                nv21ToBitmap = ImageUtils.rotateBitmap(nv21ToBitmap, 90.0f);
                                            } else if (orient == 3) {
                                                nv21ToBitmap = ImageUtils.rotateBitmap(nv21ToBitmap, 270.0f);
                                            } else if (orient == 4) {
                                                nv21ToBitmap = ImageUtils.rotateBitmap(nv21ToBitmap, 180.0f);
                                            }
                                            try {
                                                jSONObject2.put("content", Base64.encodeToString(MouleUtil.bitmapToByte(nv21ToBitmap), 0));
                                                jSONObject2.put("width", DetectView.this.previewSize.width);
                                                jSONObject2.put("height", DetectView.this.previewSize.height);
                                                jSONObject.put("img", jSONObject2);
                                            } catch (JSONException e) {
                                                e.printStackTrace();
                                            }
                                            nv21ToBitmap.recycle();
                                        }
                                        try {
                                            jSONObject3.put("left", ((FaceInfo) arrayList.get(i2)).getRect().left);
                                            jSONObject3.put("top", ((FaceInfo) arrayList.get(i2)).getRect().top);
                                            jSONObject3.put("right", ((FaceInfo) arrayList.get(i2)).getRect().right);
                                            jSONObject3.put("bottom", ((FaceInfo) arrayList.get(i2)).getRect().bottom);
                                        } catch (JSONException e2) {
                                            e2.printStackTrace();
                                        }
                                        FaceFeature faceFeature = new FaceFeature();
                                        if (DetectView.this.faceEngine.extractFaceFeature(this.nv21Data, DetectView.this.previewSize.width, DetectView.this.previewSize.height, FaceEngine.CP_PAF_NV21, (FaceInfo) arrayList.get(i2), ExtractType.REGISTER, 0, faceFeature) == 0) {
                                            try {
                                                jSONObject.put("feature", Base64.encodeToString(faceFeature.getFeatureData(), 0));
                                            } catch (JSONException e3) {
                                                e3.printStackTrace();
                                            }
                                        }
                                        jSONObject.put("faceRect", jSONObject3);
                                        jSONObject.put("age", ((AgeInfo) arrayList2.get(i2)).getAge());
                                        jSONObject.put("sex", ((GenderInfo) arrayList3.get(i2)).getGender());
                                        jSONObject.put("isAlive", ((LivenessInfo) arrayList4.get(i2)).getLiveness() == 1);
                                        jSONArray.put(jSONObject);
                                    }
                                    HashMap hashMap = new HashMap();
                                    hashMap.put("action", "face");
                                    hashMap.put("faceS", jSONArray);
                                    MouleUtil.succes(DetectView.this.uzModuleContext, hashMap, true);
                                }
                            }
                        }
                    }
                }
            }
            DetectView.this.unInit();
        }
    }

    private void unInitEngine() {
        if (this.afCode == 0) {
            this.afCode = this.faceEngine.unInit();
        }
    }

    public void onClean() {
        this.detectIng = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void unInit() {
        unInitEngine();
        CameraHelper cameraHelper2 = this.cameraHelper;
        if (cameraHelper2 != null) {
            cameraHelper2.release();
            this.cameraHelper = null;
        }
    }

    public void callBack(String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("action", str);
        MouleUtil.succes(this.uzModuleContext, hashMap, true);
    }
}
