package com.apicloud.arcfacepublic.facerect;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import java.util.List;

public class DrawHelper {
    private int cameraDisplayOrientation;
    private int cameraId;
    private int canvasHeight;
    private int canvasWidth;
    private boolean isMirror;
    private boolean mirrorHorizontal = false;
    private boolean mirrorVertical = false;
    private int previewHeight;
    private int previewWidth;

    public DrawHelper(int i, int i2, int i3, int i4, int i5, int i6, boolean z, boolean z2, boolean z3) {
        this.previewWidth = i;
        this.previewHeight = i2;
        this.canvasWidth = i3;
        this.canvasHeight = i4;
        this.cameraDisplayOrientation = i5;
        this.cameraId = i6;
        this.isMirror = z;
        this.mirrorHorizontal = z2;
        this.mirrorVertical = z3;
    }

    public void draw(FaceRectView faceRectView, List<DrawInfo> list) {
        if (faceRectView != null) {
            faceRectView.clearFaceInfo();
            if (list != null && list.size() != 0) {
                faceRectView.addFaceInfo(list);
            }
        }
    }

    public Rect adjustRect(Rect rect) {
        float f;
        float f2;
        int i = this.previewWidth;
        int i2 = this.previewHeight;
        int i3 = this.canvasWidth;
        int i4 = this.canvasHeight;
        int i5 = this.cameraDisplayOrientation;
        int i6 = this.cameraId;
        boolean z = this.isMirror;
        boolean z2 = this.mirrorHorizontal;
        boolean z3 = this.mirrorVertical;
        if (rect == null) {
            return null;
        }
        Rect rect2 = new Rect(rect);
        if (i5 % 180 == 0) {
            f = ((float) i3) / ((float) i);
            f2 = (float) i4;
        } else {
            f = ((float) i4) / ((float) i);
            f2 = (float) i3;
        }
        float f3 = f2 / ((float) i2);
        rect2.left = (int) (((float) rect2.left) * f);
        rect2.right = (int) (((float) rect2.right) * f);
        rect2.top = (int) (((float) rect2.top) * f3);
        rect2.bottom = (int) (((float) rect2.bottom) * f3);
        Rect rect3 = new Rect();
        if (i5 == 0) {
            if (i6 == 1) {
                rect3.left = i3 - rect2.right;
                rect3.right = i3 - rect2.left;
            } else {
                rect3.left = rect2.left;
                rect3.right = rect2.right;
            }
            rect3.top = rect2.top;
            rect3.bottom = rect2.bottom;
        } else if (i5 == 90) {
            rect3.right = i3 - rect2.top;
            rect3.left = i3 - rect2.bottom;
            if (i6 == 1) {
                rect3.top = i4 - rect2.right;
                rect3.bottom = i4 - rect2.left;
            } else {
                rect3.top = rect2.left;
                rect3.bottom = rect2.right;
            }
        } else if (i5 == 180) {
            rect3.top = i4 - rect2.bottom;
            rect3.bottom = i4 - rect2.top;
            if (i6 == 1) {
                rect3.left = rect2.left;
                rect3.right = rect2.right;
            } else {
                rect3.left = i3 - rect2.right;
                rect3.right = i3 - rect2.left;
            }
        } else if (i5 == 270) {
            rect3.left = rect2.top;
            rect3.right = rect2.bottom;
            if (i6 == 1) {
                rect3.top = rect2.left;
                rect3.bottom = rect2.right;
            } else {
                rect3.top = i4 - rect2.right;
                rect3.bottom = i4 - rect2.left;
            }
        }
        if (z ^ z2) {
            int i7 = rect3.left;
            rect3.left = i3 - rect3.right;
            rect3.right = i3 - i7;
        }
        if (z3) {
            int i8 = rect3.top;
            rect3.top = i4 - rect3.bottom;
            rect3.bottom = i4 - i8;
        }
        return rect3;
    }

    public static void drawFaceRect(Canvas canvas, DrawInfo drawInfo, int i, int i2) {
        if (canvas != null && drawInfo != null) {
            Paint paint = new Paint();
            paint.setStyle(Paint.Style.STROKE);
            paint.setStrokeWidth(1.0f);
            paint.setColor(-16711936);
            new Path();
            canvas.drawRect(drawInfo.getRect(), paint);
        }
    }

    public void setPreviewWidth(int i) {
        this.previewWidth = i;
    }

    public void setPreviewHeight(int i) {
        this.previewHeight = i;
    }

    public void setCanvasWidth(int i) {
        this.canvasWidth = i;
    }

    public void setCanvasHeight(int i) {
        this.canvasHeight = i;
    }

    public void setCameraDisplayOrientation(int i) {
        this.cameraDisplayOrientation = i;
    }

    public void setCameraId(int i) {
        this.cameraId = i;
    }

    public void setMirror(boolean z) {
        this.isMirror = z;
    }

    public int getPreviewWidth() {
        return this.previewWidth;
    }

    public int getPreviewHeight() {
        return this.previewHeight;
    }

    public int getCanvasWidth() {
        return this.canvasWidth;
    }

    public int getCanvasHeight() {
        return this.canvasHeight;
    }

    public int getCameraDisplayOrientation() {
        return this.cameraDisplayOrientation;
    }

    public int getCameraId() {
        return this.cameraId;
    }

    public boolean isMirror() {
        return this.isMirror;
    }

    public boolean isMirrorHorizontal() {
        return this.mirrorHorizontal;
    }

    public void setMirrorHorizontal(boolean z) {
        this.mirrorHorizontal = z;
    }

    public boolean isMirrorVertical() {
        return this.mirrorVertical;
    }

    public void setMirrorVertical(boolean z) {
        this.mirrorVertical = z;
    }
}
