package com.apicloud.arcfacepublic.facerect;

import android.content.Context;
import android.graphics.Canvas;
import android.support.v4.view.InputDeviceCompat;
import android.util.AttributeSet;
import android.view.View;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

public class FaceRectView extends View {
    private static final String TAG = "FaceRectView";
    private CopyOnWriteArrayList<DrawInfo> faceRectList;

    public FaceRectView(Context context) {
        this(context, null);
    }

    public FaceRectView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.faceRectList = new CopyOnWriteArrayList<>();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        CopyOnWriteArrayList<DrawInfo> copyOnWriteArrayList = this.faceRectList;
        if (copyOnWriteArrayList != null && copyOnWriteArrayList.size() > 0) {
            for (int i = 0; i < this.faceRectList.size(); i++) {
                DrawHelper.drawFaceRect(canvas, this.faceRectList.get(i), InputDeviceCompat.SOURCE_ANY, 5);
            }
        }
    }

    public void clearFaceInfo() {
        this.faceRectList.clear();
        postInvalidate();
    }

    public void addFaceInfo(DrawInfo drawInfo) {
        this.faceRectList.add(drawInfo);
        postInvalidate();
    }

    public void addFaceInfo(List<DrawInfo> list) {
        this.faceRectList.addAll(list);
        postInvalidate();
    }
}
