package com.apicloud.audiostreamer;

import android.media.AudioManager;
import android.media.MediaPlayer;
import android.support.v4.app.NotificationCompat;
import android.text.TextUtils;
import android.util.Log;
import com.uzmap.pkg.uzcore.UZWebView;
import com.uzmap.pkg.uzcore.annotation.UzJavascriptMethod;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import java.io.File;
import java.io.IOException;
import java.text.DecimalFormat;
import org.json.JSONException;
import org.json.JSONObject;

public class UzAudioStreamer extends UZModule {
    private int CurrentTime = 0;
    private final String TAG = UzAudioStreamer.class.getName();
    private int Tempduration;
    private UZModuleContext addEventlistenerMoudleContext;
    private boolean flag;
    private int getBufferingRatio = 0;
    private int mPrence;
    private UZModuleContext progressModuleContext;
    private String state = "";
    int temp = 0;

    public UzAudioStreamer(UZWebView uZWebView) {
        super(uZWebView);
    }

    @UzJavascriptMethod
    public void jsmethod_openPlayer(final UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("path");
        this.flag = true;
        String makeRealPath = makeRealPath(optString);
        MediaService instance = MediaService.instance(computeTag());
        instance.setPlayListener(new PlayListener() {
            /* class com.apicloud.audiostreamer.UzAudioStreamer.AnonymousClass1 */

            @Override // com.apicloud.audiostreamer.PlayListener
            public void onPrepared(int i) {
                UzAudioStreamer.this.Tempduration = i;
                JSONObject jSONObject = new JSONObject();
                try {
                    Log.d(UzAudioStreamer.this.TAG, "onPrepared===");
                    jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
                    jSONObject.put("duration", i);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                if (UzAudioStreamer.this.flag) {
                    uZModuleContext.success(jSONObject, false);
                }
                if (i != 0) {
                    int i2 = (UzAudioStreamer.this.getBufferingRatio * i) / 100;
                    JSONObject jSONObject2 = new JSONObject();
                    try {
                        jSONObject2.put("BufferingTime", i2);
                        jSONObject2.put("state", "prepare");
                    } catch (JSONException e2) {
                        e2.printStackTrace();
                    }
                    if (UzAudioStreamer.this.addEventlistenerMoudleContext != null && UzAudioStreamer.this.flag) {
                        UzAudioStreamer.this.addEventlistenerMoudleContext.success(jSONObject2, false);
                    }
                }
            }

            @Override // com.apicloud.audiostreamer.PlayListener
            public void onPercent(int i, int i2) {
                String str = UzAudioStreamer.this.TAG;
                Log.d(str, "onPercent===" + i + "; " + i2);
                UzAudioStreamer.this.CurrentTime = i2;
                try {
                    if (UzAudioStreamer.this.progressModuleContext != null && i != 0) {
                        int i3 = (int) ((((float) (i2 / 1000)) / ((float) (i / 1000))) * 100.0f);
                        Log.e("Tim", "进度：" + i3);
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put(NotificationCompat.CATEGORY_PROGRESS, i3);
                        UzAudioStreamer.this.progressModuleContext.success(jSONObject, false);
                    }
                } catch (Exception unused) {
                }
            }

            @Override // com.apicloud.audiostreamer.PlayListener
            public void onError(String str, String str2) {
                String str3 = UzAudioStreamer.this.TAG;
                Log.d(str3, "onError===" + str + "; " + str);
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("what", str);
                    jSONObject.put("extra", str2);
                    jSONObject.put("complete", false);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }

            @Override // com.apicloud.audiostreamer.PlayListener
            public void onCompletion(int i) {
                int i2 = UzAudioStreamer.this.getBufferingRatio * i;
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("BufferingTime", UzAudioStreamer.this.Tempduration);
                    jSONObject.put("state", "finished");
                    Log.e("监听", "BufferingTime:" + i2 + "state:" + UzAudioStreamer.this.state);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                if (UzAudioStreamer.this.addEventlistenerMoudleContext != null) {
                    UzAudioStreamer.this.addEventlistenerMoudleContext.success(jSONObject, false);
                }
            }

            @Override // com.apicloud.audiostreamer.PlayListener
            public void onBufferingRatio(int i) {
                UzAudioStreamer.this.getBufferingRatio = i;
                if (i > 0 && i < 100) {
                    int i2 = (UzAudioStreamer.this.getBufferingRatio * UzAudioStreamer.this.Tempduration) / 100;
                    JSONObject jSONObject = new JSONObject();
                    try {
                        jSONObject.put("BufferingTime", i2);
                        jSONObject.put("state", "buffering");
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                    if (UzAudioStreamer.this.addEventlistenerMoudleContext == null) {
                        return;
                    }
                    if (UzAudioStreamer.this.flag) {
                        UzAudioStreamer.this.addEventlistenerMoudleContext.success(jSONObject, false);
                    } else if (UzAudioStreamer.this.mPrence > UzAudioStreamer.this.getBufferingRatio) {
                        UzAudioStreamer.this.addEventlistenerMoudleContext.success(jSONObject, false);
                    }
                } else if (i == 100) {
                    UzAudioStreamer.this.temp++;
                    if (UzAudioStreamer.this.temp == 1) {
                        int i3 = (UzAudioStreamer.this.getBufferingRatio * UzAudioStreamer.this.Tempduration) / 100;
                        JSONObject jSONObject2 = new JSONObject();
                        try {
                            jSONObject2.put("BufferingTime", i3);
                            jSONObject2.put("state", "buffering");
                        } catch (JSONException e2) {
                            e2.printStackTrace();
                        }
                        if (UzAudioStreamer.this.addEventlistenerMoudleContext != null) {
                            UzAudioStreamer.this.addEventlistenerMoudleContext.success(jSONObject2, false);
                        }
                    }
                }
            }

            @Override // com.apicloud.audiostreamer.PlayListener
            public void onBufferingInfo(String str, int i) {
                UzAudioStreamer.this.state = str;
                if (i != 0) {
                    int i2 = UzAudioStreamer.this.getBufferingRatio * i;
                    JSONObject jSONObject = new JSONObject();
                    try {
                        if (str.equals("缓冲中")) {
                            jSONObject.put("state", "bufferStart");
                        } else if (str.equals("缓冲结束")) {
                            jSONObject.put("state", "bufferEnd");
                        }
                        jSONObject.put("BufferingTime", i2);
                        Log.e("监听", "BufferingTime:" + i2 + "state:" + UzAudioStreamer.this.state);
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                    if (UzAudioStreamer.this.addEventlistenerMoudleContext != null) {
                        UzAudioStreamer.this.addEventlistenerMoudleContext.success(jSONObject, false);
                    }
                }
            }
        });
        instance.play(context(), makeRealPath);
    }

    public void jsmethod_addProgressListener(UZModuleContext uZModuleContext) {
        this.progressModuleContext = uZModuleContext;
    }

    public void jsmethod_removeProgressListener(UZModuleContext uZModuleContext) {
        try {
            if (this.progressModuleContext != null) {
                this.progressModuleContext = null;
                JSONObject jSONObject = new JSONObject();
                jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
                uZModuleContext.success(jSONObject, false);
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    @UzJavascriptMethod
    public void jsmethod_setVolume(UZModuleContext uZModuleContext) {
        float optDouble = (float) uZModuleContext.optDouble("volume");
        AudioManager audioManager = (AudioManager) context().getSystemService("audio");
        audioManager.setStreamVolume(3, (int) (optDouble * ((float) audioManager.getStreamMaxVolume(3))), 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.uzmap.pkg.uzcore.uzmodule.UZModule
    public void onClean() {
        if (this.addEventlistenerMoudleContext != null) {
            this.addEventlistenerMoudleContext = null;
        }
        MediaService.instance(computeTag()).onClean();
    }

    @UzJavascriptMethod
    public void jsmethod_seekToTime(UZModuleContext uZModuleContext) {
        MediaService.instance(computeTag()).setSeek(uZModuleContext.optInt("time", 0));
    }

    @UzJavascriptMethod
    public void jsmethod_pause(UZModuleContext uZModuleContext) {
        try {
            MediaService.instance(computeTag()).pause();
            if (this.addEventlistenerMoudleContext != null) {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("state", "pause");
                this.addEventlistenerMoudleContext.success(jSONObject, false);
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public void jsmethod_setLoop(UZModuleContext uZModuleContext) {
        MediaService.instance(computeTag()).setLoop(uZModuleContext.optBoolean("loop"));
    }

    @UzJavascriptMethod
    public void jsmethod_stop(UZModuleContext uZModuleContext) {
        MediaService.instance(computeTag()).stop();
    }

    public void jsmethod_getCurrentTime(UZModuleContext uZModuleContext) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("current", this.CurrentTime);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        uZModuleContext.success(jSONObject, false);
    }

    public void jsmethod_getBufferingRatio(UZModuleContext uZModuleContext) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("ratio", this.getBufferingRatio + "");
        } catch (JSONException e) {
            e.printStackTrace();
        }
        uZModuleContext.success(jSONObject, false);
    }

    public void jsmethod_addEventListener(UZModuleContext uZModuleContext) {
        this.addEventlistenerMoudleContext = uZModuleContext;
        MediaService.instance(computeTag()).addEventListener(uZModuleContext);
    }

    private String computeTag() {
        try {
            return Integer.toHexString(hashCode());
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public void jsmethod_getDuration(final UZModuleContext uZModuleContext) {
        String makeRealPath = uZModuleContext.makeRealPath(uZModuleContext.optString("path"));
        if (!TextUtils.isEmpty(makeRealPath) && new File(makeRealPath).exists()) {
            MediaPlayer mediaPlayer = new MediaPlayer();
            try {
                mediaPlayer.setDataSource(makeRealPath);
                mediaPlayer.prepare();
                mediaPlayer.setOnPreparedListener(new MediaPlayer.OnPreparedListener() {
                    /* class com.apicloud.audiostreamer.UzAudioStreamer.AnonymousClass2 */

                    public void onPrepared(MediaPlayer mediaPlayer) {
                        UzAudioStreamer.this.callback(uZModuleContext, mediaPlayer.getDuration());
                    }
                });
            } catch (IllegalArgumentException e) {
                e.printStackTrace();
            } catch (SecurityException e2) {
                e2.printStackTrace();
            } catch (IllegalStateException e3) {
                e3.printStackTrace();
            } catch (IOException e4) {
                e4.printStackTrace();
            }
        }
    }

    public void callback(UZModuleContext uZModuleContext, int i) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("duration", i);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        uZModuleContext.success(jSONObject, false);
    }

    public void jsmethod_getVolume(UZModuleContext uZModuleContext) {
        AudioManager audioManager = (AudioManager) context().getSystemService("audio");
        int streamVolume = audioManager.getStreamVolume(3);
        int streamMaxVolume = audioManager.getStreamMaxVolume(3);
        String str = this.TAG;
        Log.d(str, "volume === " + streamVolume);
        String str2 = this.TAG;
        Log.d(str2, "maxVolume === " + streamMaxVolume);
        getVolumnCallBack(uZModuleContext, streamVolume, streamMaxVolume);
    }

    private void getVolumnCallBack(UZModuleContext uZModuleContext, int i, int i2) {
        JSONObject jSONObject = new JSONObject();
        try {
            DecimalFormat decimalFormat = new DecimalFormat("#0.0");
            double d = (double) i;
            Double.isNaN(d);
            double d2 = (double) i2;
            Double.isNaN(d2);
            jSONObject.put("volume", decimalFormat.format((d * 1.0d) / d2));
            uZModuleContext.success(jSONObject, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public void jsmethod_onCall(UZModuleContext uZModuleContext) {
        this.flag = false;
        this.mPrence = this.getBufferingRatio;
        MediaService.instance(computeTag()).onCall(context());
    }

    public void jsmethod_onNormal(UZModuleContext uZModuleContext) {
        MediaService.instance(computeTag()).onNormal(context());
    }
}
