package com.apicloud.pdfReader;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.PointF;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.StrictMode;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.Toast;
import com.apicloud.barteksc.pdfviewer.PDFView;
import com.apicloud.pdfReader.FileUtils;
import com.artifex.mupdf.MuPDFActivity;
import com.artifex.mupdf.fitz.Document;
import com.artifex.mupdf.fitz.Link;
import com.artifex.mupdf.fitz.Matrix;
import com.artifex.mupdf.fitz.Page;
import com.artifex.mupdf.fitz.Quad;
import com.artifex.mupdf.fitz.android.AndroidDrawDevice;
import com.artifex.mupdf.mini.DocumentActivity;
import com.artifex.mupdf.mini.PageView;
import com.artifex.mupdf.mini.Worker;
import com.uzmap.pkg.uzcore.UZWebView;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZUtility;
import glide.com.pdfreader.R;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Stack;
import org.json.JSONException;
import org.json.JSONObject;

public class PdfReader extends Pdfium {
    public static final String BACK_BTN_TAG = "backBtn";
    protected byte[] buffer;
    protected int canvasH;
    protected int canvasW;
    protected int currentPage;
    protected float displayDPI;
    protected Document doc;
    protected boolean fitPage;
    private boolean fixed = true;
    private String fixedOn = "";
    private int h = UZUtility.parseCssPixel("auto");
    protected boolean hasLoaded;
    protected Stack<Integer> history;
    protected boolean isReflowable;
    protected String key;
    protected float layoutEm;
    protected float layoutH;
    protected float layoutW;
    private BtnConfig mBackBtnConfig;
    private String mCachePath;
    private View mMupdfView;
    protected String mimetype;
    protected int pageCount;
    protected PageView pageView;
    protected float pageZoom;
    protected String path;
    protected int searchHitPage;
    protected String searchNeedle;
    protected boolean stopSearch;
    protected String title;
    private int w = UZUtility.parseCssPixel("auto");
    protected boolean wentBack;
    protected Worker worker;
    private int x;
    private int y;

    public PdfReader(UZWebView uZWebView) {
        super(uZWebView);
        Log.i("xDebug", md5("law") + " == " + md51("law"));
        Log.i("xDebug", "===========================>");
        md5("law");
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        md51("law");
    }

    public void jsmethod_open(final UZModuleContext uZModuleContext) {
        final String optString = uZModuleContext.optString("path");
        this.mBackBtnConfig = new BtnConfig(uZModuleContext);
        if (!TextUtils.isEmpty(optString)) {
            this.mCachePath = context().getExternalCacheDir().getAbsolutePath();
            if (optString.startsWith("http")) {
                new DownLoadAsyncTask(this.mCachePath, false, uZModuleContext).execute(optString);
                return;
            }
            new Thread(new Runnable() {
                /* class com.apicloud.pdfReader.PdfReader.AnonymousClass1 */

                public void run() {
                    FileUtils.FileInfo realPath = FileUtils.getRealPath(PdfReader.this.context(), uZModuleContext, optString);
                    if (realPath != null) {
                        if (realPath.isAssert) {
                            FileUtils.copyToSdcard(PdfReader.this.context(), realPath.filePath, PdfReader.this.mCachePath, PdfReader.md5(realPath.filePath));
                            PdfReader.this.viewPdf(new File(PdfReader.this.mCachePath, PdfReader.md5(realPath.filePath)));
                        } else {
                            PdfReader.this.viewPdf(new File(realPath.filePath));
                        }
                        JSONObject jSONObject = new JSONObject();
                        try {
                            jSONObject.put("eventType", "show");
                            uZModuleContext.success(jSONObject, false);
                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                    }
                }
            }).start();
        }
    }

    public void viewPdf(File file) {
        Intent intent = new Intent(context(), DocumentActivity.class);
        intent.addFlags(524288);
        intent.setAction("android.intent.action.VIEW");
        Log.i("debug__", "scheme: " + UZUtility.getUriForFile(context(), file).getScheme());
        intent.setData(Uri.fromFile(file));
        startActivity(intent);
    }

    private static Uri forceGetFileUri(File file) {
        if (Build.VERSION.SDK_INT >= 24) {
            try {
                StrictMode.class.getDeclaredMethod("disableDeathOnFileUriExposure", new Class[0]).invoke(null, new Object[0]);
            } catch (Exception e) {
                Log.e("Share", Log.getStackTraceString(e));
            }
        }
        return Uri.parse("file://" + file.getAbsolutePath());
    }

    public void jsmethod_openView(final UZModuleContext uZModuleContext) {
        final String optString = uZModuleContext.optString("path");
        JSONObject optJSONObject = uZModuleContext.optJSONObject("rect");
        if (optJSONObject != null) {
            this.x = optJSONObject.optInt("x");
            this.y = optJSONObject.optInt("y");
            this.w = UZUtility.parseCssPixel(optJSONObject.optString("w", "auto"));
            this.h = UZUtility.parseCssPixel(optJSONObject.optString("h", "auto"));
        }
        this.fixedOn = uZModuleContext.optString("fixedOn");
        this.fixed = uZModuleContext.optBoolean("fixed", true);
        if (!TextUtils.isEmpty(optString)) {
            this.mCachePath = context().getExternalCacheDir().getAbsolutePath();
            if (optString.startsWith("http")) {
                new DownLoadAsyncTask(this.mCachePath, true, uZModuleContext).execute(optString);
                return;
            }
            new Thread(new Runnable() {
                /* class com.apicloud.pdfReader.PdfReader.AnonymousClass2 */

                public void run() {
                    FileUtils.FileInfo realPath = FileUtils.getRealPath(PdfReader.this.context(), uZModuleContext, optString);
                    if (realPath != null) {
                        if (realPath.isAssert) {
                            FileUtils.copyToSdcard(PdfReader.this.context(), realPath.filePath, PdfReader.this.mCachePath, PdfReader.md5(realPath.filePath));
                            PdfReader.this.init(Uri.fromFile(new File(PdfReader.this.mCachePath, PdfReader.md5(realPath.filePath))));
                            PdfReader pdfReader = PdfReader.this;
                            pdfReader.callback(uZModuleContext, pdfReader.mCachePath, PdfReader.this.pageCount);
                            return;
                        }
                        PdfReader.this.init(Uri.fromFile(new File(realPath.filePath)));
                        PdfReader pdfReader2 = PdfReader.this;
                        pdfReader2.callback(uZModuleContext, pdfReader2.mCachePath, PdfReader.this.pageCount);
                    }
                }
            }).start();
        }
    }

    public void init(Uri uri) {
        this.key = uri.toString();
        if (uri.getScheme().equals("file")) {
            this.path = uri.getPath();
        } else {
            try {
                InputStream openInputStream = context().getContentResolver().openInputStream(uri);
                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                byte[] bArr = new byte[16384];
                while (true) {
                    int read = openInputStream.read(bArr);
                    if (read == -1) {
                        break;
                    }
                    byteArrayOutputStream.write(bArr, 0, read);
                }
                byteArrayOutputStream.flush();
                this.buffer = byteArrayOutputStream.toByteArray();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        Worker worker2 = new Worker((Activity) context());
        this.worker = worker2;
        worker2.start();
        this.layoutEm = 8.0f;
        this.fitPage = false;
        this.currentPage = 0;
        this.searchHitPage = -1;
        this.hasLoaded = false;
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class com.apicloud.pdfReader.PdfReader.AnonymousClass3 */

            public void run() {
                PdfReader pdfReader = PdfReader.this;
                pdfReader.mMupdfView = View.inflate(pdfReader.context(), R.layout.mupdf_view_layout, null);
                RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(PdfReader.this.w, PdfReader.this.h);
                layoutParams.leftMargin = PdfReader.this.x;
                layoutParams.topMargin = PdfReader.this.y;
                PdfReader pdfReader2 = PdfReader.this;
                pdfReader2.insertViewToCurWindow(pdfReader2.mMupdfView, layoutParams, PdfReader.this.fixedOn, PdfReader.this.fixed);
                PdfReader pdfReader3 = PdfReader.this;
                pdfReader3.pageView = (PageView) pdfReader3.mMupdfView.findViewById(com.artifex.mupdf.mini.R.id.page_view);
                PdfReader.this.pageView.setOnPageViewListener(new PageView.OnPageViewListener() {
                    /* class com.apicloud.pdfReader.PdfReader.AnonymousClass3.AnonymousClass1 */

                    @Override // com.artifex.mupdf.mini.PageView.OnPageViewListener
                    public void onSizeChanged(int i, int i2) {
                        PdfReader.this.onPageViewSizeChanged(i, i2);
                    }

                    @Override // com.artifex.mupdf.mini.PageView.OnPageViewListener
                    public void gotoURI(String str) {
                        PdfReader.this.gotoURI(str);
                    }

                    @Override // com.artifex.mupdf.mini.PageView.OnPageViewListener
                    public void gotoPage(int i) {
                        PdfReader.this.gotoPage(i);
                    }

                    @Override // com.artifex.mupdf.mini.PageView.OnPageViewListener
                    public void onPageViewZoomChanged(float f) {
                        PdfReader.this.onPageViewZoomChanged(f);
                    }

                    @Override // com.artifex.mupdf.mini.PageView.OnPageViewListener
                    public void onBackward() {
                        PdfReader.this.goBackward();
                    }

                    @Override // com.artifex.mupdf.mini.PageView.OnPageViewListener
                    public void onForward() {
                        PdfReader.this.goForward();
                    }
                });
            }
        });
    }

    public void onPageViewSizeChanged(int i, int i2) {
        this.pageZoom = 1.0f;
        this.canvasW = i;
        this.canvasH = i2;
        float f = this.displayDPI;
        this.layoutW = ((float) (i * 72)) / f;
        this.layoutH = ((float) (i2 * 72)) / f;
        if (!this.hasLoaded) {
            this.hasLoaded = true;
            openDocument();
        } else if (this.isReflowable) {
            relayoutDocument();
        } else {
            loadPage();
        }
    }

    public void onPageViewZoomChanged(float f) {
        if (f != this.pageZoom) {
            this.pageZoom = f;
            loadPage();
        }
    }

    /* access modifiers changed from: protected */
    public void openDocument() {
        this.worker.add(new Worker.Task() {
            /* class com.apicloud.pdfReader.PdfReader.AnonymousClass4 */
            boolean needsPassword;

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void work() {
                if (PdfReader.this.path != null) {
                    PdfReader pdfReader = PdfReader.this;
                    pdfReader.doc = Document.openDocument(pdfReader.path);
                } else {
                    PdfReader pdfReader2 = PdfReader.this;
                    pdfReader2.doc = Document.openDocument(pdfReader2.buffer, PdfReader.this.mimetype);
                }
                this.needsPassword = PdfReader.this.doc.needsPassword();
            }

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void run() {
                PdfReader.this.loadDocument();
            }
        });
    }

    /* access modifiers changed from: protected */
    public void loadDocument() {
        this.worker.add(new Worker.Task() {
            /* class com.apicloud.pdfReader.PdfReader.AnonymousClass5 */

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void work() {
                try {
                    String metaData = PdfReader.this.doc.getMetaData(Document.META_INFO_TITLE);
                    if (metaData != null) {
                        PdfReader.this.title = metaData;
                    }
                    PdfReader.this.isReflowable = PdfReader.this.doc.isReflowable();
                    if (PdfReader.this.isReflowable) {
                        PdfReader.this.doc.layout(PdfReader.this.layoutW, PdfReader.this.layoutH, PdfReader.this.layoutEm);
                    }
                    PdfReader.this.pageCount = PdfReader.this.doc.countPages();
                } catch (Throwable th) {
                    PdfReader.this.doc = null;
                    PdfReader.this.pageCount = 1;
                    PdfReader.this.currentPage = 0;
                    throw th;
                }
            }

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void run() {
                if (PdfReader.this.currentPage < 0 || PdfReader.this.currentPage >= PdfReader.this.pageCount) {
                    PdfReader.this.currentPage = 0;
                }
                PdfReader.this.loadPage();
            }
        });
    }

    /* access modifiers changed from: protected */
    public void relayoutDocument() {
        this.worker.add(new Worker.Task() {
            /* class com.apicloud.pdfReader.PdfReader.AnonymousClass6 */

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void work() {
                try {
                    long makeBookmark = PdfReader.this.doc.makeBookmark(PdfReader.this.currentPage);
                    PdfReader.this.doc.layout(PdfReader.this.layoutW, PdfReader.this.layoutH, PdfReader.this.layoutEm);
                    PdfReader.this.pageCount = PdfReader.this.doc.countPages();
                    PdfReader.this.currentPage = PdfReader.this.doc.findBookmark(makeBookmark);
                } catch (Throwable th) {
                    PdfReader.this.pageCount = 1;
                    PdfReader.this.currentPage = 0;
                    throw th;
                }
            }

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void run() {
                PdfReader.this.loadPage();
            }
        });
    }

    /* access modifiers changed from: protected */
    public void loadPage() {
        final int i = this.currentPage;
        final float f = this.pageZoom;
        this.stopSearch = true;
        this.worker.add(new Worker.Task() {
            /* class com.apicloud.pdfReader.PdfReader.AnonymousClass7 */
            public Bitmap bitmap;
            public Quad[] hits;
            public Link[] links;

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void work() {
                Matrix matrix;
                try {
                    Page loadPage = PdfReader.this.doc.loadPage(i);
                    if (PdfReader.this.fitPage) {
                        matrix = AndroidDrawDevice.fitPage(loadPage, PdfReader.this.canvasW, PdfReader.this.canvasH);
                    } else {
                        matrix = AndroidDrawDevice.fitPageWidth(loadPage, PdfReader.this.canvasW);
                    }
                    Link[] links2 = loadPage.getLinks();
                    this.links = links2;
                    if (links2 != null) {
                        for (Link link : links2) {
                            link.bounds.transform(matrix);
                        }
                    }
                    if (PdfReader.this.searchNeedle != null) {
                        Quad[] search = loadPage.search(PdfReader.this.searchNeedle);
                        this.hits = search;
                        if (search != null) {
                            for (Quad quad : search) {
                                quad.transform(matrix);
                            }
                        }
                    }
                    if (f != 1.0f) {
                        matrix.scale(f);
                    }
                    this.bitmap = AndroidDrawDevice.drawPage(loadPage, matrix);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }

            @Override // com.artifex.mupdf.mini.Worker.Task
            public void run() {
                if (this.bitmap != null) {
                    PdfReader.this.pageView.setBitmap(this.bitmap, f, PdfReader.this.wentBack, this.links, this.hits);
                } else {
                    PdfReader.this.pageView.setError();
                }
                PdfReader.this.wentBack = false;
            }
        });
    }

    public void goBackward() {
        int i = this.currentPage;
        if (i > 0) {
            this.wentBack = true;
            this.currentPage = i - 1;
            loadPage();
        }
    }

    public void goForward() {
        int i = this.currentPage;
        if (i < this.pageCount - 1) {
            this.currentPage = i + 1;
            loadPage();
        }
    }

    public void gotoPage(int i) {
        int i2;
        if (i >= 0 && i < this.pageCount && i != (i2 = this.currentPage)) {
            this.history.push(Integer.valueOf(i2));
            this.currentPage = i;
            loadPage();
        }
    }

    public void gotoURI(String str) {
        Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(str));
        intent.addFlags(524288);
        try {
            startActivity(intent);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public void jsmethod_hideView(UZModuleContext uZModuleContext) {
        View view = this.mMupdfView;
        if (view != null) {
            view.setVisibility(8);
        }
    }

    public void jsmethod_showView(UZModuleContext uZModuleContext) {
        View view = this.mMupdfView;
        if (view != null) {
            view.setVisibility(0);
        }
    }

    public void jsmethod_closeView(UZModuleContext uZModuleContext) {
        View view = this.mMupdfView;
        if (view != null) {
            removeViewFromCurWindow(view);
            this.mMupdfView = null;
        }
    }

    public void jsmethod_openPdfView(UZModuleContext uZModuleContext) {
        int i;
        if (this.pdfView != null) {
            removeViewFromCurWindow(this.pdfView);
        }
        this.pdfView = new PDFView(context(), null);
        int parseCssPixel = UZUtility.parseCssPixel("auto");
        int parseCssPixel2 = UZUtility.parseCssPixel("auto");
        JSONObject optJSONObject = uZModuleContext.optJSONObject("rect");
        int i2 = 0;
        if (optJSONObject != null) {
            int optInt = optJSONObject.optInt("x", 0);
            int optInt2 = optJSONObject.optInt("y", 0);
            int parseCssPixel3 = UZUtility.parseCssPixel(optJSONObject.optString("w", "auto"));
            parseCssPixel2 = UZUtility.parseCssPixel(optJSONObject.optString("h", "auto"));
            i = optInt2;
            i2 = optInt;
            parseCssPixel = parseCssPixel3;
        } else {
            i = 0;
        }
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(parseCssPixel, parseCssPixel2);
        layoutParams.leftMargin = i2;
        layoutParams.topMargin = i;
        String optString = uZModuleContext.optString("fixedOn");
        boolean optBoolean = uZModuleContext.optBoolean("fixed");
        if (optString == null || TextUtils.equals("", optString)) {
            insertViewToCurWindow(this.pdfView, layoutParams);
        } else {
            insertViewToCurWindow(this.pdfView, layoutParams, optString, optBoolean);
        }
        loadPdf(uZModuleContext);
    }

    public void jsmethod_zoomCenteredTo(UZModuleContext uZModuleContext) {
        int i;
        if (this.pdfView != null) {
            double optDouble = uZModuleContext.optDouble("zoom", 1.0d);
            JSONObject optJSONObject = uZModuleContext.optJSONObject("center");
            int i2 = 0;
            if (optJSONObject != null) {
                i2 = optJSONObject.optInt("x");
                i = optJSONObject.optInt("y");
            } else {
                i = 0;
            }
            this.pdfView.zoomCenteredTo((float) optDouble, new PointF((float) i2, (float) i));
        }
    }

    public void jsmethod_closePdfView(UZModuleContext uZModuleContext) {
        if (this.pdfView != null) {
            removeViewFromCurWindow(this.pdfView);
            this.pdfView = null;
        }
    }

    public void jsmethod_clearCache(UZModuleContext uZModuleContext) {
        clearCache();
    }

    public class DownLoadAsyncTask extends AsyncTask<String, Integer, String> {
        private String cacheDir;
        private boolean isOpenView;
        private ProgressDialog mDialog;
        private UZModuleContext uzContext;

        public DownLoadAsyncTask(String str, boolean z, UZModuleContext uZModuleContext) {
            this.cacheDir = str;
            this.isOpenView = z;
            this.uzContext = uZModuleContext;
        }

        /* access modifiers changed from: protected */
        public void onPreExecute() {
            this.mDialog = ProgressDialog.show(PdfReader.this.context(), "", "加载中 ...");
        }

        /* access modifiers changed from: protected */
        public void onPostExecute(String str) {
            ProgressDialog progressDialog = this.mDialog;
            if (progressDialog != null) {
                progressDialog.cancel();
            }
            if (TextUtils.isEmpty(str)) {
                Toast.makeText(PdfReader.this.context(), "加载失败", 1).show();
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("eventType", "loadFail");
                    this.uzContext.success(jSONObject, false);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            } else {
                File file = new File(str);
                if (file.exists() && !this.isOpenView) {
                    PdfReader.this.viewPdf(file);
                } else if (!file.exists() || !this.isOpenView) {
                    Toast.makeText(PdfReader.this.context(), "文件不存在", 1).show();
                } else {
                    PdfReader.this.init(Uri.fromFile(file));
                    PdfReader.this.callback(this.uzContext, file.getAbsolutePath(), PdfReader.this.pageCount);
                }
            }
        }

        /* access modifiers changed from: protected */
        public String doInBackground(String... strArr) {
            if (strArr == null && TextUtils.isEmpty(strArr[0])) {
                return null;
            }
            String str = strArr[0];
            String str2 = this.cacheDir;
            File file = new File(str2, PdfReader.md5(strArr[0]) + ".pdf");
            if (file.exists()) {
                return file.getAbsolutePath();
            }
            try {
                FileUtils.copy(new URL(str).openConnection().getInputStream(), file);
                return file.getAbsolutePath();
            } catch (MalformedURLException e) {
                e.printStackTrace();
                return null;
            } catch (IOException e2) {
                e2.printStackTrace();
                return null;
            }
        }
    }

    public void callback(UZModuleContext uZModuleContext, String str, int i) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("eventType", "show");
            jSONObject.put("pdfCachePath", str);
            jSONObject.put("totalPage", i);
            uZModuleContext.success(jSONObject, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public static String md5(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes("UTF-8"));
            StringBuilder sb = new StringBuilder(digest.length * 2);
            for (byte b : digest) {
                Log.i("xDebug==>", "b: " + ((int) b));
                int i = b & 255;
                if (i < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(i));
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return null;
        } catch (UnsupportedEncodingException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static String md51(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes("UTF-8"));
            StringBuilder sb = new StringBuilder(digest.length * 2);
            for (byte b : digest) {
                Log.i("xDebug", "b: " + ((int) b));
                if (b < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(b & 255));
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return null;
        } catch (UnsupportedEncodingException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void viewPDFFile(File file, BtnConfig btnConfig) {
        Uri fromFile = Uri.fromFile(file);
        Intent intent = new Intent(context(), MuPDFActivity.class);
        intent.setAction("android.intent.action.VIEW");
        intent.setData(fromFile);
        intent.putExtra(BACK_BTN_TAG, btnConfig);
        startActivity(intent);
    }

    public void clearCache() {
        File file = new File(context().getExternalCacheDir().getAbsolutePath());
        int length = file.listFiles().length;
        File[] listFiles = file.listFiles();
        for (int i = 0; i < length; i++) {
            listFiles[i].delete();
        }
    }
}
