package com.apicloud.third.gif;

import android.content.Context;

public class LibraryLoader {
    private static final String BASE_LIBRARY_NAME = "avmJni_gif";
    private static Context sAppContext;

    private LibraryLoader() {
    }

    static Context getContext() {
        if (sAppContext == null) {
            try {
                sAppContext = (Context) Class.forName("android.app.ActivityThread").getDeclaredMethod("currentApplication", new Class[0]).invoke(null, new Object[0]);
            } catch (Exception e) {
                throw new IllegalStateException("LibraryLoader not initialized. Call LibraryLoader.initialize() before using library classes.", e);
            }
        }
        return sAppContext;
    }

    public static void initialize(Context context) {
        sAppContext = context.getApplicationContext();
    }

    static void loadLibrary() {
        System.loadLibrary(BASE_LIBRARY_NAME);
    }
}
