package com.arcsoft.face;

public class FaceAttributeInfo {
    int leftEyeOpen;
    int mouthClose;
    int rightEyeOpen;
    int wearGlasses;

    public FaceAttributeInfo() {
        this.wearGlasses = -1;
        this.leftEyeOpen = -1;
        this.rightEyeOpen = -1;
        this.mouthClose = -1;
    }

    public FaceAttributeInfo(FaceAttributeInfo faceAttributeInfo) {
        if (faceAttributeInfo == null) {
            this.wearGlasses = -1;
            this.leftEyeOpen = -1;
            this.rightEyeOpen = -1;
            this.mouthClose = -1;
            return;
        }
        this.wearGlasses = faceAttributeInfo.getWearGlasses();
        this.leftEyeOpen = faceAttributeInfo.getLeftEyeOpen();
        this.rightEyeOpen = faceAttributeInfo.getRightEyeOpen();
        this.mouthClose = faceAttributeInfo.getMouthClose();
    }

    public int getWearGlasses() {
        return this.wearGlasses;
    }

    public int getLeftEyeOpen() {
        return this.leftEyeOpen;
    }

    public int getRightEyeOpen() {
        return this.rightEyeOpen;
    }

    public int getMouthClose() {
        return this.mouthClose;
    }

    public FaceAttributeInfo clone() {
        return new FaceAttributeInfo(this);
    }

    public String toString() {
        return "FaceAttributeInfo{wearGlasses=" + this.wearGlasses + ", leftEyeOpen=" + this.leftEyeOpen + ", rightEyeOpen=" + this.rightEyeOpen + ", mouthClose=" + this.mouthClose + '}';
    }
}
