package com.arcsoft.face;

import android.graphics.Rect;

public class FaceInfo {
    public static final int FACE_DATA_SIZE = 5000;
    Face3DAngle face3DAngle;
    FaceAttributeInfo faceAttributeInfo;
    byte[] faceData;
    int faceId;
    Rect foreheadRect;
    int isWithinBoundary;
    int orient;
    Rect rect;

    public FaceInfo(Rect rect2, int i, int i2, byte[] bArr, int i3, Rect rect3, FaceAttributeInfo faceAttributeInfo2, Face3DAngle face3DAngle2) {
        this.rect = new Rect(rect2);
        this.orient = i;
        this.faceId = i2;
        this.faceData = bArr;
        this.isWithinBoundary = i3;
        this.foreheadRect = new Rect(rect3);
        this.faceAttributeInfo = new FaceAttributeInfo(faceAttributeInfo2);
        this.face3DAngle = new Face3DAngle(face3DAngle2);
    }

    public FaceInfo(FaceInfo faceInfo) {
        if (faceInfo == null) {
            this.rect = new Rect();
            this.orient = 0;
            this.faceId = 0;
            this.faceData = new byte[5000];
            this.isWithinBoundary = 0;
            this.foreheadRect = new Rect();
            this.faceAttributeInfo = new FaceAttributeInfo();
            this.face3DAngle = new Face3DAngle();
            return;
        }
        this.rect = new Rect(faceInfo.rect);
        this.orient = faceInfo.orient;
        this.faceId = faceInfo.faceId;
        this.faceData = (byte[]) faceInfo.getFaceData().clone();
        this.isWithinBoundary = faceInfo.isWithinBoundary;
        this.foreheadRect = new Rect(faceInfo.foreheadRect);
        this.faceAttributeInfo = new FaceAttributeInfo(faceInfo.faceAttributeInfo);
        this.face3DAngle = new Face3DAngle(faceInfo.face3DAngle);
    }

    public FaceInfo() {
        this.rect = new Rect();
        this.orient = 0;
        this.faceId = 0;
        this.faceData = new byte[5000];
        this.isWithinBoundary = 0;
        this.foreheadRect = new Rect();
        this.faceAttributeInfo = new FaceAttributeInfo();
        this.face3DAngle = new Face3DAngle();
    }

    public Rect getRect() {
        return this.rect;
    }

    public void setRect(Rect rect2) {
        this.rect = rect2;
    }

    public int getOrient() {
        return this.orient;
    }

    public void setOrient(int i) {
        this.orient = i;
    }

    public int getFaceId() {
        return this.faceId;
    }

    public void setFaceId(int i) {
        this.faceId = i;
    }

    public byte[] getFaceData() {
        return this.faceData;
    }

    public void setFaceData(byte[] bArr) {
        this.faceData = bArr;
    }

    public int getIsWithinBoundary() {
        return this.isWithinBoundary;
    }

    public void setIsWithinBoundary(int i) {
        this.isWithinBoundary = i;
    }

    public Rect getForeheadRect() {
        return this.foreheadRect;
    }

    public void setForeheadRect(Rect rect2) {
        this.foreheadRect = rect2;
    }

    public FaceAttributeInfo getFaceAttributeInfo() {
        return new FaceAttributeInfo(this.faceAttributeInfo);
    }

    public void setFaceAttributeInfo(FaceAttributeInfo faceAttributeInfo2) {
        this.faceAttributeInfo = faceAttributeInfo2;
    }

    public Face3DAngle getFace3DAngle() {
        return new Face3DAngle(this.face3DAngle);
    }

    public void setFace3DAngle(Face3DAngle face3DAngle2) {
        this.face3DAngle = face3DAngle2;
    }

    public String toString() {
        return "FaceInfo{faceRect=" + this.rect.toString() + ", orient=" + this.orient + ", faceId=" + this.faceId + ", isWithinBoundary=" + this.isWithinBoundary + "\nforeheadRect=" + this.foreheadRect.toString() + ", " + this.face3DAngle.toString() + "\n" + this.faceAttributeInfo.toString() + '}';
    }

    public FaceInfo clone() {
        return new FaceInfo(this);
    }
}
