package com.artifex.mupdf;

import android.app.ListActivity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.uzmap.pkg.uzcore.UZResourcesIDFinder;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class ChoosePDFActivity extends ListActivity {
    private ArrayAdapter<String> adapter;
    private List<String> fileNames = new ArrayList();
    private File mDirectory;
    private File[] mFiles;

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (Environment.getExternalStorageState().equals("mounted")) {
            File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath());
            this.mDirectory = file;
            this.mFiles = file.listFiles();
            TextView textView = new TextView(this);
            textView.setText("./");
            getListView().addHeaderView(textView);
            File[] fileArr = this.mFiles;
            if (fileArr != null) {
                for (File file2 : fileArr) {
                    this.fileNames.add(file2.getName());
                }
            }
            ArrayAdapter<String> arrayAdapter = new ArrayAdapter<>(this, UZResourcesIDFinder.getResLayoutID("picker_entry"), this.fileNames);
            this.adapter = arrayAdapter;
            setListAdapter(arrayAdapter);
        }
    }

    /* access modifiers changed from: protected */
    public void onListItemClick(ListView listView, View view, int i, long j) {
        String str;
        super.onListItemClick(listView, view, i, j);
        if (i == 0) {
            str = this.mDirectory.getParent();
            if (str == null) {
                return;
            }
        } else {
            str = this.mFiles[i - 1].getAbsolutePath();
        }
        File file = new File(str);
        if (file.isDirectory()) {
            this.mDirectory = file;
            this.mFiles = file.listFiles();
            this.fileNames.clear();
            File[] fileArr = this.mFiles;
            if (fileArr != null) {
                for (File file2 : fileArr) {
                    this.fileNames.add(file2.getName());
                }
            }
            this.adapter.notifyDataSetChanged();
        } else if (str.toLowerCase().endsWith(".pdf") || str.toLowerCase().endsWith(".xps") || str.toLowerCase().endsWith(".cbz")) {
            Uri parse = Uri.parse(str);
            Intent intent = new Intent(this, MuPDFActivity.class);
            intent.setAction("android.intent.action.VIEW");
            intent.setData(parse);
            startActivity(intent);
        } else {
            Toast.makeText(this, "choose pdf/xps/cbz file", 0).show();
        }
    }

    class FileEntity {
        private String fileName;
        private File flie;

        FileEntity() {
        }

        public String getFileName() {
            return this.fileName;
        }

        public void setFileName(String str) {
            this.fileName = str;
        }

        public File getFlie() {
            return this.flie;
        }

        public void setFlie(File file) {
            this.flie = file;
        }
    }
}
