package com.artifex.mupdf;

import android.content.Context;
import android.graphics.Point;
import android.graphics.PointF;
import android.os.AsyncTask;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import java.util.concurrent.RejectedExecutionException;

public class MuPDFPageAdapter extends BaseAdapter {
    private final Context mContext;
    private final MuPDFCore mCore;
    private final SparseArray<PointF> mPageSizes = new SparseArray<>();

    public Object getItem(int i) {
        return null;
    }

    public long getItemId(int i) {
        return 0;
    }

    public MuPDFPageAdapter(Context context, MuPDFCore muPDFCore) {
        this.mContext = context;
        this.mCore = muPDFCore;
    }

    public int getCount() {
        return this.mCore.countPages();
    }

    public View getView(final int i, View view, ViewGroup viewGroup) {
        final MuPDFPageView muPDFPageView;
        if (view == null) {
            muPDFPageView = new MuPDFPageView(this.mContext, this.mCore, new Point(viewGroup.getWidth(), viewGroup.getHeight()));
        } else {
            muPDFPageView = (MuPDFPageView) view;
        }
        PointF pointF = this.mPageSizes.get(i);
        if (pointF != null) {
            muPDFPageView.setPage(i, pointF);
        } else {
            muPDFPageView.blank(i);
            try {
                new AsyncTask<Void, Void, PointF>() {
                    /* class com.artifex.mupdf.MuPDFPageAdapter.AnonymousClass1 */

                    /* access modifiers changed from: protected */
                    public PointF doInBackground(Void... voidArr) {
                        return MuPDFPageAdapter.this.mCore.getPageSize(i);
                    }

                    /* access modifiers changed from: protected */
                    public void onPostExecute(PointF pointF) {
                        super.onPostExecute((Object) pointF);
                        MuPDFPageAdapter.this.mPageSizes.put(i, pointF);
                        int page = muPDFPageView.getPage();
                        int i = i;
                        if (page == i) {
                            muPDFPageView.setPage(i, pointF);
                        }
                    }
                }.execute(null);
            } catch (RejectedExecutionException unused) {
                PointF pageSize = this.mCore.getPageSize(i);
                this.mPageSizes.put(i, pageSize);
                if (muPDFPageView.getPage() == i) {
                    muPDFPageView.setPage(i, pageSize);
                }
            }
        }
        return muPDFPageView;
    }
}
