package com.artifex.mupdf;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Point;

public class MuPDFPageView extends PageView {
    private final MuPDFCore mCore;

    public MuPDFPageView(Context context, MuPDFCore muPDFCore, Point point) {
        super(context, point);
        this.mCore = muPDFCore;
    }

    public int hitLinkPage(float f, float f2) {
        float width = (this.mSourceScale * ((float) getWidth())) / ((float) this.mSize.x);
        return this.mCore.hitLinkPage(this.mPageNumber, (f - ((float) getLeft())) / width, (f2 - ((float) getTop())) / width);
    }

    /* access modifiers changed from: protected */
    @Override // com.artifex.mupdf.PageView
    public void drawPage(Bitmap bitmap, int i, int i2, int i3, int i4, int i5, int i6) {
        this.mCore.drawPage(this.mPageNumber, bitmap, i, i2, i3, i4, i5, i6);
    }

    /* access modifiers changed from: protected */
    @Override // com.artifex.mupdf.PageView
    public LinkInfo[] getLinkInfo() {
        return this.mCore.getPageLinks(this.mPageNumber);
    }
}
