package com.artifex.mupdf.fitz;

public class ColorSpace {
    public static ColorSpace DeviceBGR = new ColorSpace(nativeDeviceBGR());
    public static ColorSpace DeviceCMYK = new ColorSpace(nativeDeviceCMYK());
    public static ColorSpace DeviceGray = new ColorSpace(nativeDeviceGray());
    public static ColorSpace DeviceRGB = new ColorSpace(nativeDeviceRGB());
    private long pointer;

    private static native long nativeDeviceBGR();

    private static native long nativeDeviceCMYK();

    private static native long nativeDeviceGray();

    private static native long nativeDeviceRGB();

    /* access modifiers changed from: protected */
    public native void finalize();

    public native int getNumberOfComponents();

    static {
        Context.init();
    }

    public void destroy() {
        finalize();
        this.pointer = 0;
    }

    private ColorSpace(long j) {
        this.pointer = j;
    }

    protected static ColorSpace fromPointer(long j) {
        ColorSpace colorSpace = DeviceGray;
        if (j == colorSpace.pointer) {
            return colorSpace;
        }
        ColorSpace colorSpace2 = DeviceRGB;
        if (j == colorSpace2.pointer) {
            return colorSpace2;
        }
        ColorSpace colorSpace3 = DeviceBGR;
        if (j == colorSpace3.pointer) {
            return colorSpace3;
        }
        ColorSpace colorSpace4 = DeviceCMYK;
        if (j == colorSpace4.pointer) {
            return colorSpace4;
        }
        return new ColorSpace(j);
    }

    public String toString() {
        if (this == DeviceGray) {
            return "DeviceGray";
        }
        if (this == DeviceRGB) {
            return "DeviceRGB";
        }
        if (this == DeviceBGR) {
            return "DeviceBGR";
        }
        if (this == DeviceCMYK) {
            return "DeviceCMYK";
        }
        return "ColorSpace(" + getNumberOfComponents() + ")";
    }
}
