package com.artifex.mupdf.fitz;

public class Context {
    private static boolean inited = false;

    public static native int gprfSupportedNative();

    private static native int initNative();

    static {
        init();
    }

    public static void init() {
        if (!inited) {
            inited = true;
            try {
                System.loadLibrary("mupdf_java");
            } catch (UnsatisfiedLinkError unused) {
                try {
                    System.loadLibrary("mupdf_java64");
                } catch (UnsatisfiedLinkError unused2) {
                    System.loadLibrary("mupdf_java32");
                }
            }
            if (initNative() < 0) {
                throw new RuntimeException("cannot initialize mupdf library");
            }
        }
    }
}
