package com.artifex.mupdf.fitz;

public class DisplayList {
    private long pointer;

    private native long newNative(Rect rect);

    /* access modifiers changed from: protected */
    public native void finalize();

    public native void run(Device device, Matrix matrix, Rect rect, Cookie cookie);

    public native Quad[] search(String str);

    public native Pixmap toPixmap(Matrix matrix, ColorSpace colorSpace, boolean z);

    public native StructuredText toStructuredText(String str);

    static {
        Context.init();
    }

    public void destroy() {
        finalize();
        this.pointer = 0;
    }

    public DisplayList(Rect rect) {
        this.pointer = newNative(rect);
    }

    private DisplayList(long j) {
        this.pointer = j;
    }

    public StructuredText toStructuredText() {
        return toStructuredText(null);
    }

    public void run(Device device, Matrix matrix, Cookie cookie) {
        run(device, matrix, null, cookie);
    }
}
