package com.artifex.mupdf.fitz;

public class PDFPage extends Page {
    private PDFWidget[] widgets;

    private native PDFWidget[] getWidgetsNative();

    public native PDFAnnotation createAnnotation(int i);

    public native void deleteAnnotation(PDFAnnotation pDFAnnotation);

    public native PDFAnnotation[] getAnnotations();

    public native boolean update();

    static {
        Context.init();
    }

    private PDFPage(long j) {
        super(j);
    }

    public PDFWidget[] getWidgets() {
        if (this.widgets == null) {
            this.widgets = getWidgetsNative();
        }
        return this.widgets;
    }

    public PDFWidget activateWidgetAt(float f, float f2) {
        PDFWidget[] widgets2 = getWidgets();
        for (PDFWidget pDFWidget : widgets2) {
            if (pDFWidget.getBounds().contains(f, f2)) {
                pDFWidget.eventEnter();
                pDFWidget.eventDown();
                pDFWidget.eventFocus();
                pDFWidget.eventUp();
                pDFWidget.eventExit();
                pDFWidget.eventBlur();
                return pDFWidget;
            }
        }
        return null;
    }
}
