package com.artifex.mupdf.fitz;

public class Page {
    private long pointer;

    /* access modifiers changed from: protected */
    public native void finalize();

    public native Rect getBounds();

    public native Link[] getLinks();

    public native Separations getSeparations();

    public native void run(Device device, Matrix matrix, Cookie cookie);

    public native void runPageAnnots(Device device, Matrix matrix, Cookie cookie);

    public native void runPageContents(Device device, Matrix matrix, Cookie cookie);

    public native void runPageWidgets(Device device, Matrix matrix, Cookie cookie);

    public native Quad[] search(String str);

    public native byte[] textAsHtml();

    public native DisplayList toDisplayList(boolean z);

    public native Pixmap toPixmap(Matrix matrix, ColorSpace colorSpace, boolean z, boolean z2);

    public native StructuredText toStructuredText(String str);

    static {
        Context.init();
    }

    public void destroy() {
        finalize();
        this.pointer = 0;
    }

    protected Page(long j) {
        this.pointer = j;
    }

    public void run(Device device, Matrix matrix) {
        run(device, matrix, null);
    }

    public Pixmap toPixmap(Matrix matrix, ColorSpace colorSpace, boolean z) {
        return toPixmap(matrix, colorSpace, z, true);
    }

    public DisplayList toDisplayList() {
        return toDisplayList(true);
    }

    public StructuredText toStructuredText() {
        return toStructuredText(null);
    }
}
