package com.artifex.mupdf.mini;

import android.app.ListActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import java.io.Serializable;
import java.util.ArrayList;

public class OutlineActivity extends ListActivity {
    protected ArrayAdapter<Item> adapter;

    public static class Item implements Serializable {
        public int page;
        public String title;

        public Item(String str, int i) {
            this.title = str;
            this.page = i;
        }

        public String toString() {
            return this.title;
        }
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        requestWindowFeature(1);
        getWindow().addFlags(1024);
        ArrayAdapter<Item> arrayAdapter = new ArrayAdapter<>(this, 17367043);
        this.adapter = arrayAdapter;
        setListAdapter(arrayAdapter);
        Bundle extras = getIntent().getExtras();
        int i = extras.getInt("POSITION");
        ArrayList arrayList = (ArrayList) extras.getSerializable("OUTLINE");
        int i2 = -1;
        for (int i3 = 0; i3 < arrayList.size(); i3++) {
            Item item = (Item) arrayList.get(i3);
            if (i2 < 0 && item.page >= i) {
                i2 = i3;
            }
            this.adapter.add(item);
        }
        if (i2 >= 0) {
            setSelection(i2);
        }
    }

    /* access modifiers changed from: protected */
    public void onListItemClick(ListView listView, View view, int i, long j) {
        setResult(this.adapter.getItem(i).page + 1);
        finish();
    }
}
