package com.artifex.mupdf.mini;

import android.app.Activity;
import android.util.Log;
import android.widget.Toast;
import java.util.concurrent.LinkedBlockingQueue;

public class Worker implements Runnable {
    protected Activity activity;
    protected boolean alive;
    protected LinkedBlockingQueue<Task> queue = new LinkedBlockingQueue<>();

    public static class Task implements Runnable {
        public void run() {
        }

        public void work() {
        }
    }

    public Worker(Activity activity2) {
        this.activity = activity2;
    }

    public void start() {
        this.alive = true;
        new Thread(this).start();
    }

    public void stop() {
        this.alive = false;
    }

    public void add(Task task) {
        try {
            this.queue.put(task);
        } catch (InterruptedException e) {
            Log.e("MuPDF Worker", e.getMessage());
        }
    }

    public void run() {
        while (this.alive) {
            try {
                Task take = this.queue.take();
                take.work();
                this.activity.runOnUiThread(take);
            } catch (Throwable th) {
                Log.e("MuPDF Worker", th.getMessage());
                this.activity.runOnUiThread(new Runnable() {
                    /* class com.artifex.mupdf.mini.Worker.AnonymousClass1 */

                    public void run() {
                        Toast.makeText(Worker.this.activity, th.getMessage(), 0).show();
                    }
                });
            }
        }
    }
}
