package com.deepe.c.a;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.provider.ContactsContract;
import android.provider.MediaStore;
import com.deepe.b;
import com.deepe.c.f.n;
import com.deepe.c.i.j;
import com.uzmap.pkg.uzapp.DataProvider;
import com.uzmap.pkg.uzcore.UZCoreUtil;
import com.uzmap.pkg.uzcore.external.h;
import java.io.File;

public class d {
    public static Intent a() {
        Intent intent = new Intent("android.intent.action.PICK");
        intent.setData(ContactsContract.CommonDataKinds.Phone.CONTENT_URI);
        if (Build.VERSION.SDK_INT < 11) {
            intent.setData(ContactsContract.Contacts.CONTENT_URI);
        }
        return intent;
    }

    public static Intent a(int i) {
        String str;
        Intent intent = new Intent("android.intent.action.PICK");
        if (i == 2) {
            intent.setType(Build.VERSION.SDK_INT < 11 ? "*/*;image/*;video/*" : "image/*,video/*");
        } else {
            Uri uri = MediaStore.Images.Media.EXTERNAL_CONTENT_URI;
            if (i == 1) {
                uri = MediaStore.Video.Media.EXTERNAL_CONTENT_URI;
                str = "vnd.android.cursor.dir/video";
            } else {
                str = "vnd.android.cursor.dir/image";
            }
            intent.setDataAndType(uri, str);
        }
        if (!UZCoreUtil.appExist(intent)) {
            intent.setData(MediaStore.Images.Media.EXTERNAL_CONTENT_URI);
        }
        return intent;
    }

    public static Intent a(int i, Context context, File file) {
        Intent intent = new Intent("android.media.action.VIDEO_CAPTURE");
        intent.putExtra("android.intent.extra.videoQuality", i);
        if (file != null) {
            intent.putExtra("output", DataProvider.a(context, file));
        }
        intent.setFlags(4194304);
        return intent;
    }

    public static Intent a(Context context, File file) {
        Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
        intent.putExtra("output", DataProvider.a(context, file));
        intent.setFlags(4194304);
        return intent;
    }

    public static Intent a(String str, boolean z) {
        Intent intent = new Intent();
        intent.setAction(z ? "android.intent.action.CALL" : "android.intent.action.DIAL");
        intent.setData(Uri.parse("tel:" + str));
        intent.setFlags(268435456);
        return intent;
    }

    public static Intent a(String[] strArr, String[] strArr2, String str, String str2) {
        Intent intent;
        if (strArr == null || strArr.length <= 0) {
            intent = new Intent("android.intent.action.SENDTO");
            intent.setData(Uri.parse("mailto:"));
        } else {
            intent = new Intent("android.intent.action.SEND");
            intent.setType("*/*");
            intent.putExtra("android.intent.extra.STREAM", a(strArr[0]));
        }
        if (strArr2 != null) {
            intent.putExtra("android.intent.extra.EMAIL", strArr2);
        }
        intent.putExtra("android.intent.extra.TEXT", str);
        intent.putExtra("android.intent.extra.SUBJECT", str2);
        return intent;
    }

    static Uri a(String str) {
        try {
            return Uri.parse(str);
        } catch (Exception unused) {
            return null;
        }
    }

    public static final boolean a(Activity activity) throws Exception {
        try {
            activity.startActivityForResult(n.a(activity), 30102);
            return true;
        } catch (Exception e) {
            throw e;
        }
    }

    public static final boolean a(Context context) throws Exception {
        try {
            Intent intent = new Intent();
            intent.setAction("android.settings.APPLICATION_DETAILS_SETTINGS");
            intent.addCategory("android.intent.category.DEFAULT");
            intent.setData(Uri.parse("package:" + context.getPackageName()));
            context.startActivity(intent);
            return true;
        } catch (Exception e) {
            throw e;
        }
    }

    public static boolean a(Context context, String str) {
        if (com.deepe.c.i.d.a((CharSequence) str)) {
            return false;
        }
        File file = new File(str.replace("file://", ""));
        if (!file.exists()) {
            return false;
        }
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.setFlags(268435456);
        DataProvider.a(context, intent, j.d("apk"), file, false);
        try {
            context.startActivity(intent);
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean a(Intent intent) {
        if (intent == null) {
            return true;
        }
        return (intent.getExtras() == null && intent.getData() == null) || intent.hasExtra("profile");
    }

    public static String b(Activity activity) {
        Uri uri;
        try {
            Intent intent = activity.getIntent();
            String stringExtra = intent.getStringExtra("android.intent.extra.REFERRER");
            if (stringExtra != null) {
                return stringExtra;
            }
            if (Build.VERSION.SDK_INT >= 22) {
                Uri referrer = activity.getReferrer();
                if (referrer != null) {
                    return referrer.getAuthority();
                }
                if (referrer != null) {
                    return referrer.toString();
                }
                return null;
            } else if (Build.VERSION.SDK_INT >= 17 && (uri = (Uri) intent.getParcelableExtra("android.intent.extra.REFERRER")) != null) {
                return uri.toString();
            } else {
                String callingPackage = activity.getCallingPackage();
                if (callingPackage != null) {
                    return callingPackage;
                }
                return null;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void b(Context context, String str) {
        Intent intent = new Intent("android.intent.action.DELETE", Uri.parse("package:" + str));
        intent.setFlags(276824064);
        try {
            context.startActivity(intent);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static final boolean b(Context context) {
        try {
            Intent intent = new Intent();
            if (Build.VERSION.SDK_INT >= 26) {
                intent.setAction("android.settings.APP_NOTIFICATION_SETTINGS");
                intent.putExtra("android.provider.extra.APP_PACKAGE", context.getPackageName());
            } else if (Build.VERSION.SDK_INT >= 21) {
                intent.setAction("android.settings.APP_NOTIFICATION_SETTINGS");
                intent.putExtra("app_package", context.getPackageName());
                intent.putExtra("app_uid", context.getApplicationInfo().uid);
            } else {
                intent.setAction("android.settings.APPLICATION_DETAILS_SETTINGS");
                intent.addCategory("android.intent.category.DEFAULT");
                intent.setData(Uri.parse("package:" + context.getPackageName()));
            }
            context.startActivity(intent);
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    public static boolean c(Context context, String str) {
        if ("permission-setting:".equals(str)) {
            try {
                Activity a = a.a(context);
                if (a != null) {
                    a(a);
                }
            } catch (Exception unused) {
                h.a(b.ac);
            }
            return true;
        } else if (!"app-settings:".equals(str)) {
            return false;
        } else {
            try {
                a(context);
            } catch (Exception unused2) {
                h.a(b.ac);
            }
            return true;
        }
    }
}
