package com.deepe.c.i;

import android.content.Context;
import android.net.Uri;
import com.deepe.c.a.j;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import java.util.zip.GZIPInputStream;

public class g {
    static String a;

    public static abstract class a {
        private final long a;
        private long b = 0;

        public a(long j) {
            this.a = j;
        }

        public abstract void a(double d, File file);

        /* access modifiers changed from: package-private */
        public void a(long j, File file) {
            long j2 = this.b + j;
            this.b = j2;
            a(d.a(((((float) j2) * 1.0f) / ((float) this.a)) * 100.0f), file);
        }
    }

    public static InputStream a(Uri uri) {
        try {
            return com.deepe.a.f().getContentResolver().openInputStream(uri);
        } catch (Exception unused) {
            com.deepe.d.a.h("IoUtils.openContentResolver: " + uri + " not found!");
            return null;
        }
    }

    private static InputStream a(String str, InputStream inputStream) throws IOException {
        return (str.endsWith(".zip") || str.endsWith(".svgz")) ? new GZIPInputStream(inputStream) : inputStream;
    }

    public static final String a(Context context) {
        String str;
        String str2 = a;
        if (str2 != null) {
            return str2;
        }
        File externalCacheDir = context.getExternalCacheDir();
        if (externalCacheDir == null) {
            externalCacheDir = context.getCacheDir();
        }
        if (externalCacheDir != null) {
            str = String.valueOf(externalCacheDir.toString()) + File.separator;
        } else {
            str = null;
        }
        a = str;
        return str;
    }

    public static String a(InputStream inputStream) {
        byte[] bArr;
        try {
            bArr = b(inputStream);
        } catch (IOException unused) {
            com.deepe.d.a.h("can not read string, input = " + inputStream);
            bArr = null;
        }
        return bArr != null ? new String(bArr) : "";
    }

    public static String a(InputStream inputStream, String str) {
        byte[] bArr;
        try {
            bArr = b(inputStream);
        } catch (IOException unused) {
            com.deepe.d.a.h("IoUtils can not read string, input=" + inputStream + ", charset=" + str);
            bArr = null;
        }
        if (!(str == null || str.length() == 0)) {
            if (bArr == null) {
                return "";
            }
            try {
                return new String(bArr, str);
            } catch (UnsupportedEncodingException unused2) {
                com.deepe.d.a.h("IoUtils unsupported encoding: " + str);
            }
        }
        return bArr != null ? new String(bArr) : "";
    }

    public static String a(Object obj) {
        return m.a(obj);
    }

    public static String a(String str, String str2) throws IOException {
        InputStream c = c(str);
        String a2 = c != null ? a(c, str2) : null;
        a((Closeable) c);
        return a2;
    }

    public static void a(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (Exception unused) {
            }
        }
    }

    public static void a(File file) {
        if (file.isFile()) {
            file.delete();
            return;
        }
        File[] listFiles = file.listFiles();
        if (listFiles == null || listFiles.length == 0) {
            file.delete();
            return;
        }
        for (File file2 : listFiles) {
            a(file2);
        }
        file.delete();
    }

    public static void a(File file, long j) {
        if (file.isFile()) {
            long lastModified = file.lastModified();
            if (lastModified > 0 && lastModified < j) {
                file.delete();
                return;
            }
            return;
        }
        File[] listFiles = file.listFiles();
        if (listFiles == null || listFiles.length == 0) {
            file.delete();
            return;
        }
        for (File file2 : listFiles) {
            a(file2, j);
        }
        file.delete();
    }

    public static void a(File file, a aVar) {
        if (file.isFile()) {
            long length = file.length();
            file.delete();
            if (aVar != null) {
                aVar.a(length, file);
                return;
            }
            return;
        }
        File[] listFiles = file.listFiles();
        if (listFiles == null || listFiles.length == 0) {
            file.delete();
            return;
        }
        for (File file2 : listFiles) {
            a(file2, aVar);
        }
        file.delete();
    }

    public static void a(InputStream inputStream, OutputStream outputStream) throws IOException {
        byte[] bArr = new byte[8192];
        while (true) {
            int read = inputStream.read(bArr);
            if (read > 0) {
                outputStream.write(bArr, 0, read);
            } else {
                return;
            }
        }
    }

    public static boolean a(Context context, String str) {
        try {
            context.getAssets().open(str).close();
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean a(File file, String str, boolean z) throws IOException {
        File parentFile = file.getParentFile();
        if (!parentFile.exists()) {
            parentFile.mkdirs();
        }
        if (!file.exists()) {
            file.createNewFile();
        }
        FileWriter fileWriter = new FileWriter(file, z);
        fileWriter.write(str);
        fileWriter.flush();
        a((Closeable) fileWriter);
        return true;
    }

    public static boolean a(String str, File file) {
        Throwable th;
        FileOutputStream fileOutputStream;
        Exception e;
        InputStream inputStream = null;
        try {
            InputStream d = d(str);
            try {
                fileOutputStream = new FileOutputStream(file);
            } catch (Exception e2) {
                e = e2;
                fileOutputStream = null;
                inputStream = d;
                try {
                    e.printStackTrace();
                    a((Closeable) inputStream);
                    a((Closeable) fileOutputStream);
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    a((Closeable) inputStream);
                    a((Closeable) fileOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = null;
                inputStream = d;
                a((Closeable) inputStream);
                a((Closeable) fileOutputStream);
                throw th;
            }
            try {
                a(d, fileOutputStream);
                fileOutputStream.flush();
                a((Closeable) d);
                a((Closeable) fileOutputStream);
                return true;
            } catch (Exception e3) {
                e = e3;
                inputStream = d;
                e.printStackTrace();
                a((Closeable) inputStream);
                a((Closeable) fileOutputStream);
                return false;
            } catch (Throwable th4) {
                th = th4;
                inputStream = d;
                a((Closeable) inputStream);
                a((Closeable) fileOutputStream);
                throw th;
            }
        } catch (Exception e4) {
            e = e4;
            fileOutputStream = null;
            e.printStackTrace();
            a((Closeable) inputStream);
            a((Closeable) fileOutputStream);
            return false;
        } catch (Throwable th5) {
            th = th5;
            fileOutputStream = null;
            a((Closeable) inputStream);
            a((Closeable) fileOutputStream);
            throw th;
        }
    }

    public static boolean a(String str, String str2, boolean z) throws IOException {
        return a(new File(str), str2, z);
    }

    public static byte[] a(InputStream inputStream, int i) throws IOException {
        if (inputStream != null) {
            c cVar = new c(i * 5);
            byte[] bArr = new byte[i];
            while (true) {
                int read = inputStream.read(bArr);
                if (-1 == read) {
                    return cVar.a();
                }
                cVar.a(bArr, 0, read);
            }
        } else {
            throw new IOException("InputStream can not be null");
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:?, code lost:
        com.deepe.d.a.h("can not read byte, input = " + r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0023, code lost:
        a((java.io.Closeable) r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0026, code lost:
        return r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0027, code lost:
        r4 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0028, code lost:
        r0 = r1;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0012 */
    public static byte[] a(String str) {
        InputStream inputStream;
        byte[] bArr = null;
        bArr = null;
        bArr = null;
        InputStream inputStream2 = null;
        try {
            inputStream = c(str);
            if (inputStream != null) {
                bArr = b(inputStream);
            }
            a((Closeable) inputStream);
            return bArr;
        } catch (Exception unused) {
            inputStream = null;
        } catch (Throwable th) {
            Throwable th2 = th;
            a((Closeable) inputStream2);
            throw th2;
        }
    }

    public static long b(File file) {
        long j = 0;
        if (file != null && file.exists()) {
            if (file.isFile()) {
                return file.length();
            }
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                for (File file2 : listFiles) {
                    j += b(file2);
                }
            }
        }
        return j;
    }

    public static String b(Context context, String str) {
        if (d.a((CharSequence) str)) {
            return str;
        }
        try {
            String f = f(str);
            String str2 = String.valueOf(j.c(context)) + f;
            File file = new File(str2);
            if (!file.exists()) {
                file.getParentFile().mkdirs();
                if (!a(f, file)) {
                    return null;
                }
            }
            return "file://" + str2;
        } catch (Exception e) {
            e.printStackTrace();
            return str;
        }
    }

    public static String b(String str) {
        InputStream inputStream;
        Throwable th;
        Exception e;
        String str2 = null;
        try {
            inputStream = c(str);
            if (inputStream != null) {
                try {
                    str2 = a(inputStream);
                } catch (Exception e2) {
                    e = e2;
                }
            }
            a((Closeable) inputStream);
            return str2;
        } catch (Exception e3) {
            e = e3;
            inputStream = null;
            try {
                e.printStackTrace();
                a((Closeable) inputStream);
                return null;
            } catch (Throwable th2) {
                th = th2;
                a((Closeable) inputStream);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            inputStream = null;
            a((Closeable) inputStream);
            throw th;
        }
    }

    public static byte[] b(InputStream inputStream) throws IOException {
        return a(inputStream, 8192);
    }

    public static InputStream c(String str) throws IOException {
        if (d.a((CharSequence) str)) {
            return null;
        }
        Uri parse = Uri.parse(str);
        String scheme = parse.getScheme();
        if (!"file".equals(scheme)) {
            return "content".equals(scheme) ? a(parse) : g(str);
        }
        String path = parse.getPath();
        return e(path) ? d(f(path)) : g(path);
    }

    public static Reader c(File file) throws FileNotFoundException {
        return new BufferedReader(new FileReader(file));
    }

    public static InputStream d(String str) {
        try {
            String l = l(str);
            return a(l, new BufferedInputStream(com.deepe.a.f().getAssets().open(l, 2)));
        } catch (Exception unused) {
            com.deepe.d.a.h("IO Utils OpenAssets: " + str + " not found!");
            return null;
        }
    }

    public static boolean e(String str) {
        return s.j(str);
    }

    public static String f(String str) {
        return s.n(str);
    }

    public static InputStream g(String str) {
        try {
            return new BufferedInputStream(new FileInputStream(str.replaceFirst("file://", "")));
        } catch (Exception unused) {
            com.deepe.d.a.h("IO Utils OpenFile: " + str + " not found!");
            return null;
        }
    }

    public static String h(String str) {
        return m.a(str);
    }

    public static boolean i(String str) {
        return j(str) || k(str);
    }

    public static boolean j(String str) {
        try {
            return new File(str).exists();
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean k(String str) {
        if (!e(str)) {
            return false;
        }
        try {
            InputStream open = com.deepe.a.f().getAssets().open(f(str));
            if (open != null) {
                a((Closeable) open);
                return true;
            }
        } catch (Exception unused) {
        }
        return false;
    }

    private static String l(String str) {
        return (str.length() <= 1 || str.charAt(0) != '/') ? str : str.substring(1);
    }
}
