package com.deepe.c.l.a;

import android.support.v4.view.PointerIconCompat;
import com.deepe.c.l.d;
import com.deepe.c.l.d.e;
import com.deepe.c.l.g.f;
import com.deepe.c.l.g.h;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.lang.reflect.InvocationTargetException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.Socket;
import java.net.URI;
import java.net.UnknownHostException;
import java.nio.ByteBuffer;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.util.Collection;
import java.util.Collections;
import java.util.Map;
import java.util.TreeMap;
import java.util.concurrent.CountDownLatch;
import javax.net.SocketFactory;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLException;
import javax.net.ssl.SSLParameters;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;
import net.lingala.zip4j.util.InternalZipConstants;

public abstract class b extends com.deepe.c.l.a implements com.deepe.c.l.b, Runnable {
    protected URI a;
    private d b;
    private Socket c;
    private SocketFactory d;
    private OutputStream e;
    private Proxy f;
    private Thread g;
    private Thread h;
    private com.deepe.c.l.b.a i;
    private Map<String, String> j;
    private CountDownLatch k;
    private CountDownLatch l;
    private int m;
    private a n;

    private class a implements Runnable {
        private final b b;

        a(b bVar) {
            this.b = bVar;
        }

        private void a() throws IOException {
            while (!Thread.interrupted()) {
                try {
                    ByteBuffer take = b.this.b.a.take();
                    b.this.e.write(take.array(), 0, take.limit());
                    b.this.e.flush();
                } catch (InterruptedException unused) {
                    for (ByteBuffer byteBuffer : b.this.b.a) {
                        b.this.e.write(byteBuffer.array(), 0, byteBuffer.limit());
                        b.this.e.flush();
                    }
                    Thread.currentThread().interrupt();
                    return;
                }
            }
        }

        private void b() {
            try {
                if (b.this.c != null) {
                    b.this.c.close();
                }
            } catch (IOException e) {
                b.this.a((com.deepe.c.l.b) this.b, (Exception) e);
            }
        }

        public void run() {
            Thread currentThread = Thread.currentThread();
            currentThread.setName("WebSocketWriteThread-" + Thread.currentThread().getId());
            try {
                a();
            } catch (IOException e) {
                b.this.a((b) e);
            } catch (Throwable th) {
                b();
                b.this.g = null;
                throw th;
            }
            b();
            b.this.g = null;
        }
    }

    public b(URI uri, com.deepe.c.l.b.a aVar) {
        this(uri, aVar, null, 0);
    }

    public b(URI uri, com.deepe.c.l.b.a aVar, Map<String, String> map, int i2) {
        this.a = null;
        this.b = null;
        this.c = null;
        this.d = null;
        this.f = Proxy.NO_PROXY;
        this.k = new CountDownLatch(1);
        this.l = new CountDownLatch(1);
        this.m = 0;
        this.n = null;
        if (uri == null) {
            throw new IllegalArgumentException();
        } else if (aVar != null) {
            this.a = uri;
            this.i = aVar;
            this.n = new a() {
                /* class com.deepe.c.l.a.b.AnonymousClass1 */

                @Override // com.deepe.c.l.a.a
                public InetAddress a(URI uri) throws UnknownHostException {
                    return InetAddress.getByName(uri.getHost());
                }
            };
            if (map != null) {
                TreeMap treeMap = new TreeMap(String.CASE_INSENSITIVE_ORDER);
                this.j = treeMap;
                treeMap.putAll(map);
            }
            this.m = i2;
            a(false);
            b(false);
            this.b = new d(this, aVar);
        } else {
            throw new IllegalArgumentException("null as draft is permitted for `WebSocketServer` only!");
        }
    }

    private void a() throws NoSuchAlgorithmException, KeyManagementException, IOException {
        SSLSocketFactory sSLSocketFactory;
        SocketFactory socketFactory = this.d;
        if (socketFactory instanceof SSLSocketFactory) {
            sSLSocketFactory = (SSLSocketFactory) socketFactory;
        } else {
            SSLContext instance = SSLContext.getInstance("TLSv1.2");
            instance.init(null, null, null);
            sSLSocketFactory = instance.getSocketFactory();
        }
        this.c = sSLSocketFactory.createSocket(this.c, this.a.getHost(), c(), true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(IOException iOException) {
        if (iOException instanceof SSLException) {
            a((Exception) iOException);
        }
        this.b.a();
    }

    private boolean b() throws IOException {
        Socket socket;
        if (this.f != Proxy.NO_PROXY) {
            socket = new Socket(this.f);
        } else {
            SocketFactory socketFactory = this.d;
            if (socketFactory != null) {
                this.c = socketFactory.createSocket();
            } else {
                Socket socket2 = this.c;
                if (socket2 == null) {
                    socket = new Socket(this.f);
                } else if (socket2.isClosed()) {
                    throw new IOException();
                }
            }
            return false;
        }
        this.c = socket;
        return true;
    }

    private int c() {
        int port = this.a.getPort();
        String scheme = this.a.getScheme();
        if ("wss".equals(scheme)) {
            if (port == -1) {
                return 443;
            }
            return port;
        } else if (!"ws".equals(scheme)) {
            throw new IllegalArgumentException("unknown scheme: " + scheme);
        } else if (port == -1) {
            return 80;
        } else {
            return port;
        }
    }

    private void n() throws e {
        String rawPath = this.a.getRawPath();
        String rawQuery = this.a.getRawQuery();
        if (rawPath == null || rawPath.length() == 0) {
            rawPath = InternalZipConstants.ZIP_FILE_SEPARATOR;
        }
        if (rawQuery != null) {
            rawPath = String.valueOf(rawPath) + '?' + rawQuery;
        }
        int c2 = c();
        StringBuilder sb = new StringBuilder(String.valueOf(this.a.getHost()));
        sb.append((c2 == 80 || c2 == 443) ? "" : ":" + c2);
        String sb2 = sb.toString();
        com.deepe.c.l.g.d dVar = new com.deepe.c.l.g.d();
        dVar.a(rawPath);
        dVar.a("Host", sb2);
        Map<String, String> map = this.j;
        if (map != null) {
            for (Map.Entry<String, String> entry : map.entrySet()) {
                dVar.a(entry.getKey(), entry.getValue());
            }
        }
        this.b.a((com.deepe.c.l.g.b) dVar);
    }

    public void a(int i2) {
        this.b.a(i2);
    }

    public abstract void a(int i2, String str, boolean z);

    @Override // com.deepe.c.l.e
    public void a(com.deepe.c.l.b bVar, int i2, String str) {
        b(i2, str);
    }

    @Override // com.deepe.c.l.e
    public final void a(com.deepe.c.l.b bVar, int i2, String str, boolean z) {
        d();
        Thread thread = this.g;
        if (thread != null) {
            thread.interrupt();
        }
        a(i2, str, z);
        this.k.countDown();
        this.l.countDown();
    }

    @Override // com.deepe.c.l.e
    public final void a(com.deepe.c.l.b bVar, f fVar) {
        e();
        a((h) fVar);
        this.k.countDown();
    }

    @Override // com.deepe.c.l.e
    public final void a(com.deepe.c.l.b bVar, Exception exc) {
        a(exc);
    }

    @Override // com.deepe.c.l.e
    public final void a(com.deepe.c.l.b bVar, String str) {
        a(str);
    }

    @Override // com.deepe.c.l.e
    public final void a(com.deepe.c.l.b bVar, ByteBuffer byteBuffer) {
        a(byteBuffer);
    }

    @Override // com.deepe.c.l.b
    public void a(com.deepe.c.l.f.f fVar) {
        this.b.a(fVar);
    }

    public abstract void a(h hVar);

    public abstract void a(Exception exc);

    public abstract void a(String str);

    public void a(ByteBuffer byteBuffer) {
    }

    /* access modifiers changed from: protected */
    public void a(SSLParameters sSLParameters) {
        sSLParameters.setEndpointIdentificationAlgorithm("HTTPS");
    }

    public void a(byte[] bArr) {
        this.b.a(bArr);
    }

    public void b(int i2, String str) {
    }

    public void b(int i2, String str, boolean z) {
    }

    @Override // com.deepe.c.l.e
    public final void b(com.deepe.c.l.b bVar) {
    }

    @Override // com.deepe.c.l.e
    public void b(com.deepe.c.l.b bVar, int i2, String str, boolean z) {
        b(i2, str, z);
    }

    public void b(String str) {
        this.b.a(str);
    }

    public void c(int i2, String str) {
        this.b.a(i2, str);
    }

    /* access modifiers changed from: protected */
    @Override // com.deepe.c.l.a
    public Collection<com.deepe.c.l.b> f() {
        return Collections.singletonList(this.b);
    }

    public URI i() {
        return this.a;
    }

    public void j() {
        if (this.h == null) {
            Thread thread = new Thread(this);
            this.h = thread;
            thread.setName("WebSocketConnectReadThread-" + this.h.getId());
            this.h.start();
            return;
        }
        throw new IllegalStateException("WebSocketClient objects are not reuseable");
    }

    public void k() {
        if (this.g != null) {
            this.b.a(1000);
        }
    }

    public boolean l() {
        return this.b.e();
    }

    public boolean m() {
        return this.b.d();
    }

    public void run() {
        try {
            boolean b2 = b();
            this.c.setTcpNoDelay(g());
            this.c.setReuseAddress(h());
            if (!this.c.isConnected()) {
                this.c.connect(this.n == null ? InetSocketAddress.createUnresolved(this.a.getHost(), c()) : new InetSocketAddress(this.n.a(this.a), c()), this.m);
            }
            if (b2 && "wss".equals(this.a.getScheme())) {
                a();
            }
            if (this.c instanceof SSLSocket) {
                SSLSocket sSLSocket = (SSLSocket) this.c;
                SSLParameters sSLParameters = sSLSocket.getSSLParameters();
                a(sSLParameters);
                sSLSocket.setSSLParameters(sSLParameters);
            }
            InputStream inputStream = this.c.getInputStream();
            this.e = this.c.getOutputStream();
            n();
            Thread thread = new Thread(new a(this));
            this.g = thread;
            thread.start();
            byte[] bArr = new byte[16384];
            while (true) {
                try {
                    if (m() || l()) {
                        break;
                    }
                    int read = inputStream.read(bArr);
                    if (read == -1) {
                        break;
                    }
                    this.b.a(ByteBuffer.wrap(bArr, 0, read));
                } catch (IOException e2) {
                    a(e2);
                } catch (RuntimeException e3) {
                    a(e3);
                    this.b.b(PointerIconCompat.TYPE_CELL, e3.getMessage());
                }
            }
            this.b.a();
            this.h = null;
        } catch (Exception e4) {
            a(this.b, e4);
            this.b.b(-1, e4.getMessage());
        } catch (InternalError e5) {
            if (!(e5.getCause() instanceof InvocationTargetException) || !(e5.getCause().getCause() instanceof IOException)) {
                throw e5;
            }
            IOException iOException = (IOException) e5.getCause().getCause();
            a(this.b, iOException);
            this.b.b(-1, iOException.getMessage());
        }
    }
}
