package com.deepe.sdk;

public class OptResult {
    private final ResultReceiver mReceiver;
    private boolean mResult;

    public interface ResultReceiver {
        void onComplete(OptResult optResult);
    }

    public OptResult(ResultReceiver resultReceiver) {
        this.mReceiver = resultReceiver;
    }

    private final void wakeUp() {
        this.mReceiver.onComplete(this);
    }

    public final void confirm() {
        this.mResult = true;
        wakeUp();
    }

    public final boolean getResult() {
        return this.mResult;
    }
}
