package com.deepe.sdk;

import com.uzmap.pkg.uzcore.uzmodule.b;

public class ViewEntity {
    public static final String KEY_NAV_SHOW = "navShow";
    public static final String KEY_URL = "url";
    public int delta;
    private b mArgs;
    public boolean silent;
    public String url;

    public ViewEntity() {
    }

    public ViewEntity(b bVar) {
        this.mArgs = bVar;
    }

    public final boolean has(String str) {
        b bVar = this.mArgs;
        if (bVar != null) {
            return bVar.has(str);
        }
        return false;
    }

    public final Object opt(String str) {
        b bVar = this.mArgs;
        if (bVar != null) {
            return bVar.opt(str);
        }
        return null;
    }

    public final Object optAll() {
        b bVar = this.mArgs;
        return bVar != null ? bVar : "";
    }

    public final boolean optBoolean(String str) {
        return optBoolean(str, false);
    }

    public final boolean optBoolean(String str, boolean z) {
        b bVar = this.mArgs;
        return bVar != null ? bVar.optBoolean(str, z) : z;
    }

    public final double optDouble(String str) {
        return optDouble(str, Double.NaN);
    }

    public final double optDouble(String str, double d) {
        b bVar = this.mArgs;
        return bVar != null ? bVar.optDouble(str, d) : d;
    }

    public final int optInt(String str) {
        return optInt(str, 0);
    }

    public final int optInt(String str, int i) {
        if (this.mArgs == null) {
            return i;
        }
        if (!KEY_NAV_SHOW.equals(str)) {
            return this.mArgs.optInt(str, i);
        }
        if (has(KEY_NAV_SHOW)) {
            return this.mArgs.optInt(KEY_NAV_SHOW);
        }
        int i2 = i == 0 ? 0 : 1;
        if (has("hideNavigationBar")) {
            i2 = !optBoolean("hideNavigationBar");
        }
        if (!optBoolean("navigateToOpen")) {
            return 0;
        }
        return i2;
    }

    public final long optLong(String str) {
        return optLong(str, 0);
    }

    public final long optLong(String str, long j) {
        b bVar = this.mArgs;
        return bVar != null ? bVar.optLong(str, j) : j;
    }

    public final String optString(String str) {
        return optString(str, null);
    }

    public final String optString(String str, String str2) {
        if (this.mArgs == null) {
            return str2;
        }
        if (!KEY_URL.equals(str)) {
            return this.mArgs.optString(str, str2);
        }
        String str3 = this.url;
        return str3 != null ? str3 : this.mArgs.getUrl();
    }

    public String toString() {
        b bVar = this.mArgs;
        if (bVar != null) {
            return bVar.toString();
        }
        return "{url=" + this.url + ", delta=" + this.delta + ", silent=" + this.silent + "}";
    }
}
