package com.deepe.sdk;

import android.os.Build;
import android.webkit.WebResourceResponse;
import android.webkit.WebView;
import com.deepe.c.i.d;
import com.deepe.c.i.g;
import com.deepe.c.i.j;
import com.deepe.c.i.m;
import com.deepe.c.i.q;
import com.deepe.c.k.k;
import com.uzmap.pkg.uzcore.g.a;
import com.uzmap.pkg.uzcore.g.f;
import com.uzmap.pkg.uzcore.uzmodule.ThirdManager;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import net.lingala.zip4j.util.InternalZipConstants;

public final class WebShare {
    public static final String TAG_EXTENDS_BEGIN = "view[";
    public static final String TAG_EXTENDS_END = "]";
    private static final q<DebugHandler> sDebugHandlers = new q<>();
    private static final q<PathHandler> sPathHandlers = new q<>();
    private static final Hashtable<String, List<String>> sResLoadeds = new Hashtable<>();

    public interface DebugHandler {
        void onEngineLog(int i, String str);
    }

    public interface PathHandler {
        RESResponse handle(RESRequest rESRequest);
    }

    public static void addDebugHandler(DebugHandler debugHandler) {
        sDebugHandlers.add(debugHandler);
    }

    public static void addPathHandler(PathHandler pathHandler) {
        sPathHandlers.add(pathHandler);
    }

    public static void appendThirdJS(String str, String str2, boolean z) {
        String b = g.b(str2);
        if (!d.a((CharSequence) b)) {
            ThirdManager.appendJS(str, b, z);
        }
    }

    public static void appendUserAgent(String str) {
        if (str != null) {
            k.b(str);
        }
    }

    public static final void cleanResLoadeds(WebView webView) {
        List<String> list = sResLoadeds.get(makeWebviewTag(webView));
        if (list != null) {
            list.clear();
        }
    }

    public static void deliverLog(int i, String str) {
        Iterator<DebugHandler> it = sDebugHandlers.iterator();
        while (it.hasNext()) {
            it.next().onEngineLog(i, str);
        }
    }

    public static final String getFileName(String str) {
        if (str == null) {
            return "";
        }
        int indexOf = str.indexOf("#");
        if (indexOf > 0) {
            str = str.substring(0, indexOf);
        }
        int indexOf2 = str.indexOf("?");
        if (indexOf2 > 0) {
            str = str.substring(0, indexOf2);
        }
        if (str.endsWith(InternalZipConstants.ZIP_FILE_SEPARATOR)) {
            str = str.substring(0, str.length() - 1);
        }
        int lastIndexOf = str.lastIndexOf(47);
        return lastIndexOf > 0 ? str.substring(lastIndexOf + 1) : str;
    }

    public static Object getGlobalData(String str) {
        return a.a(str);
    }

    public static final List<String> getResLoadeds(WebView webView) {
        String makeWebviewTag = makeWebviewTag(webView);
        List<String> list = sResLoadeds.get(makeWebviewTag);
        if (list != null) {
            return list;
        }
        ArrayList arrayList = new ArrayList();
        sResLoadeds.put(makeWebviewTag, arrayList);
        return arrayList;
    }

    public static final boolean isResLoadeds(String str, String str2) {
        List<String> list = sResLoadeds.get(str);
        if (list != null) {
            return list.contains(str2);
        }
        return false;
    }

    public static final RESRequest makeRESRequest(WebView webView, String str, boolean z, boolean z2, String str2, Map<String, String> map) {
        return new RESRequest(str, z, z2, str2, map);
    }

    public static String makeWebviewTag(Object obj) {
        String d = m.d(obj);
        return TAG_EXTENDS_BEGIN + d + TAG_EXTENDS_END;
    }

    private static final void putResLoadeds(WebView webView, RESResponse rESResponse) {
        List<String> resLoadeds = getResLoadeds(webView);
        List<String> resTag = rESResponse.getResTag();
        if (!(resTag == null || resTag.isEmpty())) {
            for (String str : resTag) {
                if (!resLoadeds.contains(str)) {
                    resLoadeds.add(str);
                }
            }
        }
    }

    public static final void removeDebugHandler(DebugHandler debugHandler) {
        sDebugHandlers.remove(debugHandler);
    }

    public static final void removePathHandler(PathHandler pathHandler) {
        sPathHandlers.remove(pathHandler);
    }

    public static String revertTag(String str) {
        return str.startsWith(TAG_EXTENDS_BEGIN) ? str.substring(str.indexOf(TAG_EXTENDS_END) + 1) : str;
    }

    public static String revertWebviewTag(String str) {
        return str.startsWith(TAG_EXTENDS_BEGIN) ? str.substring(0, str.indexOf(TAG_EXTENDS_END) + 1) : str;
    }

    public static void setGlobalData(String str, Object obj) {
        a.a(str, obj);
    }

    public static void setPublishHost(String str) {
        f.a().a("publish_host", str);
    }

    public static final WebResourceResponse shouldInterceptRequest(WebView webView, RESRequest rESRequest) {
        if (sPathHandlers.isEmpty()) {
            return null;
        }
        rESRequest.setLoadedResTag(getResLoadeds(webView));
        Iterator<PathHandler> it = sPathHandlers.iterator();
        while (it.hasNext()) {
            RESResponse handle = it.next().handle(rESRequest);
            if (handle != null && handle.data != null) {
                String str = handle.mimeType;
                if (d.a((CharSequence) str)) {
                    str = j.d(rESRequest.getUrl());
                    if (d.a((CharSequence) str)) {
                        str = "text/javascript";
                    }
                }
                WebResourceResponse webResourceResponse = new WebResourceResponse(str, d.a(handle.encoding) ? "UTF-8" : handle.encoding, handle.data);
                if (Build.VERSION.SDK_INT >= 21) {
                    webResourceResponse.setStatusCodeAndReasonPhrase(200, "OK");
                }
                putResLoadeds(webView, handle);
                return webResourceResponse;
            }
        }
        return null;
    }
}
