package com.ly.loratm.db;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class SQLiteHelper extends SQLiteOpenHelper {
    public SQLiteHelper(Context context) {
        super(context, "/sdcard/lora_tm.db", (SQLiteDatabase.CursorFactory) null, 3);
    }

    public void onCreate(SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.execSQL("create table if not exists client  (id varchar(64) primary key not null , serial_server_code varchar(32), serial_self_code varchar(32), air_speed varchar(16), power varchar(16), channel varchar(16));");
        sQLiteDatabase.execSQL("create table if not exists flow  (id varchar(64) primary key not null , serial_num int(11), package_count int(11), send_count int(11), send_state char(1), api varchar(32), param text, receive_state char(1), result text, create_time varchar(32), last_update_time varchar(32));");
        sQLiteDatabase.execSQL("create table if not exists sub_package  (id varchar(64) primary key not null , flow_id varchar(64), seq int(11), send_state char(1), content text);");
        sQLiteDatabase.execSQL("create table if not exists  message  (id varchar(64) primary key not null , serial_num int(11), from_code varchar(16), from_client varchar(32), content text, type varchar(8), send_state varchar(8), create_time varchar(32));");
    }

    public void onUpgrade(SQLiteDatabase sQLiteDatabase, int i, int i2) {
        if (i < 3) {
            sQLiteDatabase.execSQL("drop table if exists message ;");
            sQLiteDatabase.execSQL("create table if not exists  message  (id varchar(64) primary key not null , serial_num int(11), from_code varchar(16), from_client varchar(32), content text, type varchar(8), send_state varchar(8), create_time varchar(32));");
        }
    }
}
