package com.uzmap.pkg.openapi;

import android.content.Context;
import com.deepe.d.a;
import com.uzmap.pkg.uzcore.UZCoreUtil;
import com.uzmap.pkg.uzcore.f;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public final class APIEventCenter {
    private static APIEventCenter b;
    Context a;
    private HashMap<String, List<Html5EventListener>> c = new HashMap<>();

    private APIEventCenter(Context context) {
        this.a = context;
    }

    private final void addH5EventListener(Context context, Html5EventListener html5EventListener) {
        eventListeners(context).add(html5EventListener);
    }

    private List<Html5EventListener> eventListeners(Context context) {
        String str = toStr(context);
        List<Html5EventListener> list = this.c.get(str);
        if (list != null) {
            return list;
        }
        ArrayList arrayList = new ArrayList(5);
        this.c.put(str, arrayList);
        return arrayList;
    }

    public static APIEventCenter get() {
        return b;
    }

    public static void init(Context context) {
        if (b == null) {
            b = new APIEventCenter(context.getApplicationContext());
        }
    }

    private final void removeH5EventListener(Context context, Html5EventListener html5EventListener) {
        String str = toStr(context);
        if (html5EventListener == null) {
            this.c.remove(str);
        } else {
            eventListeners(context).remove(html5EventListener);
        }
    }

    private final void sendEventToH5(Context context, EventEntity eventEntity) {
        if (context == null) {
            a.e("APIEventCenter sendEventToH5 activity is null！");
            return;
        }
        f b2 = f.b(context);
        if (b2 != null) {
            b2.a(eventEntity.name, eventEntity.extra);
        }
    }

    private String toStr(Context context) {
        return UZCoreUtil.activityToStr(context);
    }

    public final void addHtml5EventListener(Context context, Html5EventListener html5EventListener) {
        if (html5EventListener != null) {
            addH5EventListener(context, html5EventListener);
        }
    }

    public final void addHtml5EventListener(Html5EventListener html5EventListener) {
        if (html5EventListener != null) {
            addH5EventListener(null, html5EventListener);
        }
    }

    public List<Html5EventListener> getEventListeners(Context context) {
        return eventListeners(context);
    }

    public final void registerPushListener(PushListener pushListener) {
    }

    public final void removeAllHtml5EventListener(Context context) {
        removeH5EventListener(context, null);
    }

    public final void removeHtml5EventListener(Context context, Html5EventListener html5EventListener) {
        if (html5EventListener != null) {
            removeH5EventListener(context, html5EventListener);
        }
    }

    public final void sendEvent(Context context, EventEntity eventEntity) {
        sendEventToHtml5(context, eventEntity);
    }

    @Deprecated
    public final void sendEventToHtml5(Context context, EventEntity eventEntity) {
        sendEventToH5(context, eventEntity);
    }

    public final void unregisterPushListener(PushListener pushListener) {
    }
}
