package com.uzmap.pkg.uzcore.uzmodule;

import org.json.JSONArray;
import org.json.JSONObject;

public class ModuleResult {
    public static final int DATA_TYPE_BOOLEAN = 5;
    public static final int DATA_TYPE_JSON = 2;
    public static final int DATA_TYPE_JSONARRAY = 3;
    public static final int DATA_TYPE_NULL = 6;
    public static final int DATA_TYPE_NUMBER = 4;
    public static final int DATA_TYPE_STRING = 1;
    private String data;
    private int dataType;

    public ModuleResult() {
        this((String) null);
    }

    public ModuleResult(float f) {
        this.dataType = 4;
        StringBuilder sb = new StringBuilder();
        sb.append(f);
        this.data = sb.toString();
    }

    public ModuleResult(int i) {
        this.dataType = 4;
        StringBuilder sb = new StringBuilder();
        sb.append(i);
        this.data = sb.toString();
    }

    public ModuleResult(long j) {
        this.dataType = 4;
        StringBuilder sb = new StringBuilder();
        sb.append(j);
        this.data = sb.toString();
    }

    public ModuleResult(Object obj) {
        String bool;
        int i;
        if (obj instanceof String) {
            i = 1;
        } else if (obj instanceof JSONObject) {
            i = 2;
        } else if (obj instanceof JSONArray) {
            i = 3;
        } else {
            if (obj instanceof Number) {
                this.dataType = 4;
                StringBuilder sb = new StringBuilder();
                sb.append(obj);
                bool = sb.toString();
            } else if (obj instanceof Boolean) {
                this.dataType = 5;
                bool = Boolean.toString(((Boolean) obj).booleanValue());
            } else {
                throw new RuntimeException("Un Supported Type!");
            }
            this.data = bool;
        }
        this.dataType = i;
        bool = obj.toString();
        this.data = bool;
    }

    public ModuleResult(String str) {
        this.dataType = str == null ? 6 : 1;
        this.data = str;
    }

    public ModuleResult(JSONArray jSONArray) {
        this.dataType = 3;
        this.data = jSONArray.toString();
    }

    public ModuleResult(JSONObject jSONObject) {
        this.dataType = 2;
        this.data = jSONObject.toString();
    }

    public ModuleResult(boolean z) {
        this.dataType = 5;
        this.data = Boolean.toString(z);
    }

    public final String quote() {
        char c;
        char c2;
        StringBuilder sb = new StringBuilder();
        int i = this.dataType;
        if (i == 1) {
            c = 's';
        } else if (i != 4) {
            if (i == 5) {
                c2 = this.data.charAt(0);
            } else if (i != 6) {
                c = 'J';
            } else {
                c2 = 'N';
            }
            sb.append(c2);
            return sb.toString();
        } else {
            c = 'n';
        }
        sb.append(c);
        sb.append(this.data);
        return sb.toString();
    }

    public String toString() {
        return quote();
    }
}
