package com.uzmap.pkg.uzcore.uzmodule;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.ValueCallback;
import android.widget.RelativeLayout;
import com.deepe.c.a.a;
import com.deepe.sdk.WebShare;
import com.uzmap.pkg.uzcore.UZAppActivity;
import com.uzmap.pkg.uzcore.UZWebView;
import com.uzmap.pkg.uzcore.am;
import com.uzmap.pkg.uzcore.b.d;
import com.uzmap.pkg.uzcore.b.g;
import com.uzmap.pkg.uzcore.d.i;
import com.uzmap.pkg.uzcore.e;
import com.uzmap.pkg.uzcore.f;
import com.uzmap.pkg.uzcore.uzmodule.b.q;
import com.uzmap.pkg.uzcore.uzmodule.b.u;
import com.uzmap.pkg.uzcore.x;
import com.uzmap.pkg.uzcore.y;
import com.uzmap.pkg.uzkit.data.UZWidgetInfo;
import org.json.JSONObject;

public abstract class UZModule implements ActivityResult, a, y {
    private Context _mContext;
    @Deprecated
    protected UZAppActivity mContext;
    protected f mEngine;
    private boolean mIntentResult;
    private String mModuleName;
    protected UZWebView mWebView;

    public UZModule(UZWebView uZWebView) {
        this.mWebView = uZWebView;
        initPlatform(uZWebView.getContext());
    }

    public final Activity activity() {
        return a.a(this._mContext);
    }

    public final void closeWidgetWidthInfo(final u uVar) {
        runOnUiThread(new Runnable() {
            /* class com.uzmap.pkg.uzcore.uzmodule.UZModule.AnonymousClass5 */

            public void run() {
                if (UZModule.this.valid()) {
                    UZModule.this.mEngine.a(uVar, false);
                }
            }
        });
    }

    public final Context context() {
        return this._mContext;
    }

    public final void destroy() {
        if (this.mIntentResult) {
            this.mEngine.a((a) this, hashCode(), false);
        }
        this.mEngine = null;
        this.mWebView = null;
        this.mContext = null;
        this.mIntentResult = false;
    }

    public final void execScript(String str) {
        execScript(str, null);
    }

    public final void execScript(String str, ValueCallback valueCallback) {
        if (valid()) {
            this.mWebView.a(str, valueCallback);
        }
    }

    public final void execScript(String str, String str2, String str3) {
        i q;
        if (valid() && (q = this.mWebView.q()) != null) {
            q qVar = new q(null, this.mWebView);
            qVar.a = str;
            qVar.b = str2;
            qVar.c = str3;
            q.a(qVar);
        }
    }

    public final void finishApplication() {
        runOnUiThread(new Runnable() {
            /* class com.uzmap.pkg.uzcore.uzmodule.UZModule.AnonymousClass1 */

            public void run() {
                UZModule.this.mEngine.a(true);
            }
        });
    }

    @Deprecated
    public final UZAppActivity getContext() {
        return this.mContext;
    }

    public final Object getCurView() {
        return this.mWebView;
    }

    public String getFeatureValue(String str, String str2) {
        d z;
        g d;
        if (!valid() || (z = this.mWebView.z()) == null || (d = z.d(str)) == null) {
            return null;
        }
        return d.a(str2);
    }

    public String getFrameName() {
        UZWebView uZWebView = this.mWebView;
        if (uZWebView == null || !(uZWebView instanceof com.uzmap.pkg.uzcore.a)) {
            return null;
        }
        return ((com.uzmap.pkg.uzcore.a) uZWebView).g();
    }

    public final String getModuleName() {
        return this.mModuleName;
    }

    public String getSecureValue(String str) {
        return e.a().k().b(str);
    }

    public final String getUrl() {
        UZWebView uZWebView = this.mWebView;
        if (uZWebView != null) {
            return uZWebView.b();
        }
        return null;
    }

    public final String getWebviewId() {
        return WebShare.makeWebviewTag(this.mWebView);
    }

    public final UZWidgetInfo getWidgetInfo() {
        d z;
        if (valid() && (z = this.mWebView.z()) != null) {
            return z.l();
        }
        return null;
    }

    public String getWindowName() {
        UZWebView uZWebView = this.mWebView;
        if (uZWebView != null) {
            return uZWebView.q().v();
        }
        return null;
    }

    public boolean inImmerseState() {
        if (!valid()) {
            return false;
        }
        return this.mEngine.z();
    }

    /* access modifiers changed from: protected */
    public final void initPlatform(Context context) {
        if (context != null) {
            this._mContext = context;
            this.mEngine = f.b(context);
            Context context2 = this._mContext;
            if (context2 instanceof UZAppActivity) {
                this.mContext = (UZAppActivity) context2;
            }
        }
    }

    public final void insertViewToCurWindow(View view, ViewGroup.LayoutParams layoutParams, String str) {
        insertViewToCurWindow(view, layoutParams, str, true);
    }

    public final void insertViewToCurWindow(View view, ViewGroup.LayoutParams layoutParams, String str, boolean z) {
        insertViewToCurWindow(view, layoutParams, str, z, false);
    }

    public final void insertViewToCurWindow(final View view, final ViewGroup.LayoutParams layoutParams, final String str, final boolean z, final boolean z2) {
        runOnUiThread(new Runnable() {
            /* class com.uzmap.pkg.uzcore.uzmodule.UZModule.AnonymousClass2 */

            public void run() {
                if (UZModule.this.valid()) {
                    UZModule.this.mWebView.a(view, layoutParams, str, z, z2);
                }
            }
        });
    }

    public final void insertViewToCurWindow(View view, RelativeLayout.LayoutParams layoutParams) {
        insertViewToCurWindow(view, layoutParams, null);
    }

    public boolean isForbiddenScheme(String str) {
        if (!valid()) {
            return true;
        }
        if (x.c(str)) {
            return false;
        }
        return this.mWebView.z().g(str);
    }

    public final String makeAbsUrl(String str) {
        return x.a(this.mWebView.b(), str);
    }

    public final String makeRealPath(String str) {
        return am.b(str) ? str : !am.c(str) ? makeAbsUrl(str) : x.a(str, getWidgetInfo());
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.ActivityResult
    public void onActivityResult(int i, int i2, Intent intent) {
    }

    /* access modifiers changed from: protected */
    public void onClean() {
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.a
    public void onNewIntent(Intent intent) {
    }

    public final boolean openWidgetById(String str) {
        d a;
        if (!valid() || (a = com.uzmap.pkg.uzcore.b.f.a(str, false)) == null) {
            return false;
        }
        openWidgetWidthInfo(a);
        return true;
    }

    /* access modifiers changed from: protected */
    public final void openWidgetWidthInfo(final d dVar) {
        runOnUiThread(new Runnable() {
            /* class com.uzmap.pkg.uzcore.uzmodule.UZModule.AnonymousClass4 */

            public void run() {
                if (UZModule.this.valid()) {
                    UZModule.this.mEngine.b(dVar);
                }
            }
        });
    }

    public final void removeViewFromCurWindow(final View view) {
        runOnUiThread(new Runnable() {
            /* class com.uzmap.pkg.uzcore.uzmodule.UZModule.AnonymousClass3 */

            public void run() {
                if (UZModule.this.valid()) {
                    UZModule.this.mWebView.a(view);
                }
            }
        });
    }

    public final boolean runOnUiThread(Runnable runnable) {
        return runOnUiThreadDelay(runnable, 0);
    }

    public final boolean runOnUiThreadDelay(Runnable runnable, int i) {
        if (!valid()) {
            return false;
        }
        return this.mWebView.a(runnable, (long) i);
    }

    public final void sendEventToHtml5(String str, JSONObject jSONObject) {
        if (valid()) {
            this.mEngine.a(str, jSONObject);
        }
    }

    public final void setIntentResult(boolean z) {
        this.mEngine.a(this, hashCode(), z);
        this.mIntentResult = true;
    }

    public final void setModuleName(String str) {
        this.mModuleName = str;
    }

    public final void setUserAgent(String str, boolean z) {
        UZWebView uZWebView = this.mWebView;
        if (uZWebView != null && (uZWebView instanceof com.uzmap.pkg.uzcore.a)) {
            ((com.uzmap.pkg.uzcore.a) uZWebView).a(str, z);
        }
    }

    public final void startActivity(Intent intent) {
        if (valid()) {
            this.mEngine.a((ActivityResult) null, intent, 0, false);
        }
    }

    public final void startActivityForResult(Intent intent, int i) {
        if (valid()) {
            startActivityForResult(this, intent, i);
        }
    }

    public final void startActivityForResult(ActivityResult activityResult, Intent intent, int i) {
        if (valid()) {
            this.mEngine.a(activityResult, intent, i, true);
        }
    }

    public final void startActivityForResult(UZActivityResult uZActivityResult, Intent intent, int i) {
        if (valid()) {
            startActivityForResult((ActivityResult) uZActivityResult, intent, i);
        }
    }

    /* access modifiers changed from: protected */
    public boolean valid() {
        UZWebView uZWebView;
        return (this.mEngine == null || (uZWebView = this.mWebView) == null || uZWebView.D()) ? false : true;
    }
}
