package com.uzmap.pkg.uzkit.fineHttp;

import com.deepe.c.i.d;
import com.deepe.c.i.m;
import com.deepe.sdk.ViewEntity;
import com.uzmap.pkg.b.f.b;
import com.uzmap.pkg.uzcore.UZCoreUtil;
import com.uzmap.pkg.uzcore.a.a;
import com.uzmap.pkg.uzkit.UZOpenApi;
import com.uzmap.pkg.uzkit.UZUtility;
import com.uzmap.pkg.uzkit.data.UZWidgetInfo;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.json.JSONObject;

public class RequestParam {
    public static final String API_APP_ID = "X-APICloud-AppId";
    public static final String API_APP_KEY = "X-APICloud-AppKey";
    public static final String API_APP_PLATFORM = "X-APICloud-Platform";
    public static final String API_APP_UUID = "X-APICloud-UUID";
    public static final String API_VERSION = "X-APICloud-Version";
    public static final int DATA_TYPE_JSON = 0;
    public static final int DATA_TYPE_TEXT = 1;
    public static final int DEFAULT_TIMEOUT = 30000;
    public static final int METHOD_DELETE = 4;
    public static final int METHOD_DOWNLOAD = 5;
    public static final int METHOD_GET = 0;
    public static final int METHOD_HEAD = 2;
    public static final int METHOD_OPTIONS = 7;
    public static final int METHOD_PATCH = 9;
    public static final int METHOD_POST = 1;
    public static final int METHOD_PUT = 3;
    public static final int METHOD_TRACE = 8;
    public static final int METHOD_UPLOAD = 6;
    public static final int MIN_PROGRESS_TIME = 400;
    public static final int SAFE_MODE_BOTH = 0;
    public static final int SAFE_MODE_NONE = -1;
    public static final int SAFE_MODE_REQUEST = 1;
    public static final int SAFE_MODE_RESPONSE = 2;
    public boolean allowResume;
    public Object body;
    public boolean cache;
    public String capath;
    public String capsw;
    public String charset;
    public int dataType;
    public String defaultSavePath;
    public boolean encode;
    public List<b> files;
    private boolean fromAjax;
    public b heads;
    private boolean isDownload;
    public int method;
    public boolean needErrorInfo;
    public boolean needEscape;
    public int protocolVersion;
    public String proxyHost;
    public int proxyPort;
    public boolean report;
    public boolean returnAll;
    public int safeMode;
    public String savePath;
    public String stream;
    private String tag;
    public int timeout;
    boolean traditional;
    public String url;
    public List<b> values;

    public RequestParam() {
        this.safeMode = -1;
        this.protocolVersion = -1;
        this.fromAjax = false;
        this.traditional = false;
        this.encode = true;
        this.method = 0;
        this.dataType = 0;
        this.cache = true;
        this.needEscape = true;
        detmineTimeout(0);
    }

    public RequestParam(com.uzmap.pkg.uzcore.uzmodule.b bVar) {
        this.safeMode = -1;
        this.protocolVersion = -1;
        this.fromAjax = false;
        this.traditional = false;
        this.encode = true;
        this.fromAjax = true;
        parse(bVar);
    }

    public RequestParam(JSONObject jSONObject) {
        this(a.a(jSONObject));
    }

    public static RequestParam builder(String str) {
        a aVar = new a(str);
        aVar.setResultDataType(0);
        return aVar;
    }

    public static RequestParam builder(String str, String str2) {
        RequestParam builder = builder(str);
        if (!d.a((CharSequence) str2)) {
            builder.setRqHeads(API_VERSION, str2);
        }
        return builder;
    }

    private void detmineTimeout(int i) {
        this.timeout = i <= 0 ? DEFAULT_TIMEOUT : i * 1000;
    }

    private void parse(com.uzmap.pkg.uzcore.uzmodule.b bVar) {
        if (bVar != null) {
            this.url = bVar.optString(ViewEntity.KEY_URL);
            this.cache = bVar.optBoolean("cache", false);
            this.needEscape = bVar.optBoolean("escape", true);
            this.allowResume = bVar.optBoolean("allowResume");
            this.returnAll = bVar.optBoolean("returnAll");
            this.report = bVar.optBoolean("report");
            detmineTimeout(bVar.optInt("timeout"));
            this.method = com.uzmap.pkg.uzcore.uzmodule.a.b.a(bVar.optString("method"), 0);
            this.safeMode = com.uzmap.pkg.uzcore.uzmodule.a.b.a(bVar.optString("safeMode"), -1);
            this.dataType = com.uzmap.pkg.uzcore.uzmodule.a.b.a(bVar.optString("dataType"), 0);
            this.savePath = bVar.optString("savePath");
            this.charset = bVar.optString("charset");
            this.tag = bVar.optString("tag", null);
            this.traditional = bVar.optBoolean("traditional");
            this.encode = bVar.optBoolean("encode", true);
            serializeHeads(bVar.optJSONObject("headers"));
            JSONObject optJSONObject = bVar.optJSONObject(UZOpenApi.DATA);
            if (optJSONObject != null) {
                this.body = optJSONObject.opt("body");
                this.stream = optJSONObject.optString("stream");
                serializeValues(optJSONObject.optJSONObject("values"));
                serializeFiles(optJSONObject.optJSONObject("files"));
            }
            JSONObject optJSONObject2 = bVar.optJSONObject("certificate");
            if (optJSONObject2 != null) {
                this.capath = optJSONObject2.optString("path");
                this.capsw = optJSONObject2.optString("password");
            }
            JSONObject optJSONObject3 = bVar.optJSONObject("proxy");
            if (optJSONObject3 != null) {
                this.proxyHost = optJSONObject3.optString("host");
                this.proxyPort = optJSONObject3.optInt("port");
                this.protocolVersion = optJSONObject3.optInt("protocolVersion", -1);
            }
        }
    }

    private void serializeFiles(JSONObject jSONObject) {
        if (jSONObject != null && jSONObject.length() != 0) {
            this.files = c.b(jSONObject);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0033, code lost:
        if (r0 != null) goto L_0x0035;
     */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x006b A[RETURN] */
    public String assembleUrl() {
        StringBuilder sb;
        List<b> list;
        if (!this.fromAjax || d.a((CharSequence) this.url)) {
            return this.url;
        }
        Object obj = this.body;
        String str = null;
        if (obj == null) {
            list = this.values;
        } else if (obj instanceof JSONObject) {
            list = c.a((String) null, (JSONObject) obj);
        } else {
            String obj2 = obj.toString();
            if (!d.a((CharSequence) obj2) && !"null".equals(obj2)) {
                str = obj2;
            }
            String str2 = this.url;
            if (str != null) {
                return str2;
            }
            String str3 = "?";
            if (str2.contains(str3)) {
                sb = new StringBuilder(String.valueOf(this.url));
                str3 = "&";
            } else {
                sb = new StringBuilder(String.valueOf(this.url));
            }
            sb.append(str3);
            sb.append(str);
            return sb.toString();
        }
        str = b.a(list, this.encode);
        String str22 = this.url;
        if (str != null) {
        }
    }

    public final void bindViewTag(String str) {
        if (d.a((CharSequence) this.tag)) {
            this.tag = str;
        } else if (!this.tag.startsWith(str)) {
            this.tag = String.valueOf(str) + this.tag;
        }
    }

    public String getTag() {
        String str = this.tag;
        if (str != null) {
            return str;
        }
        String b = m.b((Object) this.url);
        this.tag = b;
        return b;
    }

    public boolean hasSavePath() {
        return !d.a((CharSequence) this.savePath);
    }

    public boolean isDownloadRequest() {
        return this.isDownload || 5 == this.method;
    }

    public void makeRealUrl(UZWidgetInfo uZWidgetInfo) {
        if (this.files != null) {
            ArrayList arrayList = new ArrayList(this.files.size());
            for (b bVar : this.files) {
                arrayList.add(new b(bVar.a(), UZUtility.makeRealPath(bVar.b(), uZWidgetInfo)));
            }
            this.files = arrayList;
        }
        String str = this.savePath;
        if (str != null) {
            this.savePath = UZUtility.makeRealPath(str, uZWidgetInfo);
        }
        String str2 = this.capath;
        if (str2 != null) {
            this.capath = UZUtility.makeRealPath(str2, uZWidgetInfo);
        }
    }

    public String makeTmpFileName() {
        return String.valueOf(getTag()) + ".tmp";
    }

    public boolean multi() {
        return ((this.values == null || this.files == null) && this.files == null) ? false : true;
    }

    public boolean needGzip() {
        return this.method != 5;
    }

    public boolean needToJson() {
        return this.dataType == 0;
    }

    public boolean onlyBody() {
        return this.body != null;
    }

    public boolean onlyStream() {
        return !d.a((CharSequence) this.stream);
    }

    public boolean onlyValue() {
        return this.values != null && this.files == null;
    }

    public void serializeHeads(JSONObject jSONObject) {
        if (jSONObject != null && jSONObject.length() != 0) {
            this.heads = c.a(jSONObject);
        }
    }

    public void serializeValues(JSONObject jSONObject) {
        if (jSONObject != null && jSONObject.length() != 0) {
            if (this.values == null) {
                this.values = new ArrayList(jSONObject.length());
            }
            if (this.traditional) {
                this.values.addAll(c.a((String) null, jSONObject));
                return;
            }
            Iterator<String> keys = jSONObject.keys();
            while (keys.hasNext()) {
                String next = keys.next();
                this.values.add(new b(next, jSONObject.opt(next)));
            }
        }
    }

    public void setAllowResume(boolean z) {
        this.allowResume = z;
    }

    public void setAsDownloadRequest(boolean z) {
        this.isDownload = z;
    }

    public void setCacheable(boolean z) {
        this.cache = z;
    }

    public void setDefaultSavePath(String str) {
        this.defaultSavePath = str;
    }

    public void setEscape(boolean z) {
        this.needEscape = z;
    }

    public void setFileSavePath(String str) {
        this.savePath = str;
    }

    public void setInSecure(String str) {
        setRqHeads(API_APP_ID, str);
        setRqHeads(API_APP_KEY, com.uzmap.pkg.uzapp.a.a(str));
        setRqHeads(API_APP_UUID, UZCoreUtil.getUUID());
        setRqHeads(API_APP_PLATFORM, "0");
    }

    public void setMethod(int i) {
        this.method = i;
    }

    public void setNeedErrorInfo(boolean z) {
        this.needErrorInfo = z;
    }

    public void setResultDataType(int i) {
        this.dataType = i;
    }

    public void setRqBody(Object obj) {
        this.body = obj;
    }

    public void setRqFile(String str, String str2) {
        if (this.files == null) {
            this.files = new ArrayList();
        }
        this.files.add(new b(str, str2));
    }

    public void setRqHeads(String str, String str2) {
        if (this.heads == null) {
            this.heads = new b();
        }
        if (!d.a((CharSequence) str)) {
            if (str2 == null) {
                str2 = "";
            }
            this.heads.put(str, str2);
        }
    }

    public void setRqHeads(Map<String, String> map) {
        if (map != null) {
            if (this.heads == null) {
                this.heads = new b();
            }
            this.heads.putAll(map);
        }
    }

    public void setRqValue(String str, Object obj) {
        if (this.values == null) {
            this.values = new ArrayList();
        }
        this.values.add(new b(str, obj));
    }

    public void setRqValue(Map<String, String> map) {
        if (!(map == null || map.size() == 0)) {
            if (this.values == null) {
                this.values = new ArrayList(map.size());
            }
            for (String str : map.keySet()) {
                this.values.add(new b(str, map.get(str)));
            }
        }
    }

    public void setRqValue(JSONObject jSONObject) {
        serializeValues(jSONObject);
    }

    public void setTag(String str) {
        if (d.a((CharSequence) this.tag)) {
            this.tag = str;
        }
    }

    public void setTimeout(int i) {
        detmineTimeout(i);
    }

    public void setUrl(String str) {
        this.url = str;
    }

    public void setWillReportProgress(boolean z) {
        this.report = z;
    }

    public int timeout() {
        return this.timeout;
    }

    public void transToAESBody() {
        List<b> list = this.values;
        if (list != null) {
            this.body = b.a(list);
            this.values = null;
        }
    }

    public void transToAESBody(String str, String str2) {
        List<b> list = this.values;
        if (list != null) {
            this.body = b.a(list, str, str2);
            this.values = null;
        }
    }
}
