package com.uzmap.pkg.uzkit.fineHttp;

import com.deepe.c.j.a.a;
import com.uzmap.pkg.uzkit.request.Request;
import java.util.Map;
import org.json.JSONException;
import org.json.JSONObject;

public class Response {
    public static final int AUTH = 2;
    public static final int ERROR = 0;
    public static final int TIMEOUT = 1;
    public static final int UN_SAFE = 4;
    public static final int UN_VALID_FORMAT = 3;
    public String content;
    public String error;
    public int errorCode;
    public JSONObject headers;
    private Request mRequest;
    public int statusCode;

    public Response(int i) {
        this.statusCode = i;
        int i2 = unAuth(i) ? 2 : this.statusCode;
        this.errorCode = i2;
        this.error = i2 == 2 ? "权限错误" : null;
    }

    public static boolean success(int i) {
        return i >= 200 && i < 300;
    }

    public static boolean unAuth(int i) {
        return i >= 401 && i < 404;
    }

    public Map<String, String> getRequestHeader() {
        try {
            if (this.mRequest != null) {
                return this.mRequest.getHeaders();
            }
            return null;
        } catch (a e) {
            e.printStackTrace();
            return null;
        }
    }

    public Response setContent(String str) {
        this.content = str;
        return this;
    }

    public Response setError(String str) {
        this.error = str;
        return this;
    }

    public Response setHeader(String str, String str2) {
        if (this.headers == null) {
            this.headers = new JSONObject();
        }
        try {
            this.headers.put(str, str2);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return this;
    }

    public Response setHeaders(JSONObject jSONObject) {
        this.headers = jSONObject;
        return this;
    }

    public Response setRequest(Request request) {
        this.mRequest = request;
        return this;
    }

    public Response setTimeout(boolean z) {
        if (z) {
            this.errorCode = 1;
            this.error = "网络请求超时，请稍后重试";
        }
        return this;
    }

    public boolean success() {
        return success(this.statusCode);
    }

    public String toString() {
        return !success() ? this.error : this.content;
    }

    public Response transCache(String str) {
        this.statusCode = 200;
        this.content = str;
        return this;
    }
}
