package com.uzmap.pkg.uzkit.request;

import android.os.SystemClock;
import android.support.v4.media.session.PlaybackStateCompat;
import com.deepe.c.i.d;
import com.deepe.c.j.a.b;
import com.deepe.c.j.a.g;
import com.deepe.c.j.e.a.a;
import com.deepe.c.j.f;
import com.deepe.c.j.j;
import com.deepe.c.j.k;
import com.deepe.c.j.m;
import com.deepe.c.j.q;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.zip.GZIPInputStream;

public class HttpDownload extends Request {
    long b;
    private String d;
    private String e;
    private String f;
    private String g;
    private long h;
    private long i;
    private boolean j;
    private boolean k;
    private OutputStream l;
    private boolean m;
    private Params n;
    private a o;

    private class OutputStreamWrap extends FilterOutputStream {
        public OutputStreamWrap(OutputStream outputStream) {
            super(outputStream);
        }

        @Override // java.io.OutputStream, java.io.FilterOutputStream
        public void write(byte[] bArr, int i, int i2) throws IOException {
            super.write(bArr, i, i2);
            HttpDownload.this.reportFinishLength((long) i2);
        }
    }

    public HttpDownload(String str) {
        super(0, str);
    }

    public HttpDownload(String str, Params params) {
        super(1, str);
        this.n = params;
        if (params.getAdditionalHeaders() != null) {
            addHeader(params.getAdditionalHeaders());
        }
    }

    private void checkEntity() {
        if (this.o == null) {
            this.o = this.n.getHttpEntity();
        }
    }

    private void finished(long j2, File file, String str) {
        if (!isCanceled()) {
            if (file != null) {
                try {
                    file.renameTo(new File(getSavePath()));
                } catch (Exception e2) {
                    e2.printStackTrace();
                    return;
                }
            }
            this.h = j2;
            this.g = str;
        }
    }

    private int makeBufferLength(long j2) {
        if (j2 <= 0) {
            return 3072;
        }
        if (j2 >= PlaybackStateCompat.ACTION_SET_CAPTIONING_ENABLED) {
            return 5120;
        }
        return j2 >= 512000 ? 8192 : 2048;
    }

    private String makeTmpFileName() {
        return String.valueOf(f.a((Object) getUrl())) + ".tmp";
    }

    private File prepare(a aVar, com.deepe.c.j.e.f fVar) {
        String a = f.a(getUrl(), fVar.e(), fVar.d());
        String replace = !d.a(getSavePath()) ? this.f.replace(".tmp", "") : this.f.replace(".tmp", "." + f.g(a));
        setSavePath(replace);
        File file = new File(replace);
        if (!file.exists() || !shouldCache()) {
            File file2 = new File(this.f);
            File parentFile = file2.getParentFile();
            if (parentFile != null && !parentFile.exists()) {
                parentFile.mkdirs();
            }
            if (this.j || !file2.exists()) {
                return null;
            }
            file2.delete();
            return null;
        }
        setHasCached();
        return file;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void reportFinishLength(long j2) {
    }

    private void setHasCached() {
        this.k = true;
    }

    private long streamWrite(a aVar, long j2) throws IllegalStateException, IOException {
        OutputStream outputStream;
        long j3 = 0;
        if (hasCached()) {
            return 0;
        }
        InputStream a = aVar.a();
        if (a != null) {
            long f2 = aVar.f();
            if (f2 <= 2147483647L) {
                if (f2 > 0) {
                    j3 = f2;
                }
                long j4 = j3 + j2;
                String d2 = aVar.d();
                if (d2 != null && "gzip".equalsIgnoreCase(d2)) {
                    a = new GZIPInputStream(a, 4096);
                }
                File file = null;
                if (this.m) {
                    outputStream = this.l;
                } else {
                    file = new File(this.f);
                    outputStream = new FileOutputStream(file, this.j);
                }
                try {
                    byte[] bArr = new byte[makeBufferLength(j4)];
                    long j5 = j2;
                    while (true) {
                        if (isCanceled()) {
                            break;
                        }
                        int read = a.read(bArr);
                        if (read == -1) {
                            break;
                        }
                        j5 += (long) read;
                        outputStream.write(bArr, 0, read);
                        long elapsedRealtime = SystemClock.elapsedRealtime();
                        if (elapsedRealtime - this.i > ((long) getMinGapTime()) || j5 == j4) {
                            this.i = elapsedRealtime;
                            deliverProgress(j4, j5);
                        }
                    }
                    if (!this.m) {
                        ensuresSync(outputStream);
                        closeQuietly(outputStream);
                    }
                    finished(j4, file, aVar.c());
                    return j4;
                } finally {
                    try {
                        aVar.b();
                    } catch (Exception unused) {
                    }
                }
            } else {
                throw new IOException("HTTP entity too large to be buffered in memory");
            }
        } else {
            throw new IOException("HTTP entity is empty");
        }
    }

    @Override // com.deepe.c.j.k
    public boolean checkBodySafe() throws com.deepe.c.j.a.a {
        Params params = this.n;
        if (params != null) {
            return params.contentSafe();
        }
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.deepe.c.j.e.e
    public void deliverResponse(j jVar) {
        q.a("deliverResponse", jVar);
        if (hasCallback()) {
            HttpResult httpResult = new HttpResult(jVar.a);
            httpResult.headers = jVar.c;
            httpResult.data = jVar.a(getCharset());
            httpResult.contentType = this.g;
            httpResult.savePath = this.d;
            httpResult.fileSize = this.h;
            performFinish(httpResult);
        }
        performResponse(jVar);
    }

    @Override // com.deepe.c.j.k
    public byte[] getBody() throws com.deepe.c.j.a.a {
        checkEntity();
        a aVar = this.o;
        if (aVar != null) {
            return aVar.g();
        }
        return null;
    }

    @Override // com.deepe.c.j.k
    public String getBodyContentType() {
        checkEntity();
        a aVar = this.o;
        return aVar != null ? aVar.c() : super.getBodyContentType();
    }

    @Override // com.deepe.c.j.k
    public long getContentLength() {
        checkEntity();
        a aVar = this.o;
        if (aVar != null) {
            return aVar.f();
        }
        return 0;
    }

    public String getContentType() {
        return this.g;
    }

    public long getFileSize() {
        return this.h;
    }

    @Override // com.deepe.c.j.k
    public k.a getPriority() {
        return k.a.LOW;
    }

    public String getSavePath() {
        return this.d;
    }

    @Override // com.deepe.c.j.k
    public boolean handleResponse(com.deepe.c.j.e.f fVar) throws IOException, g {
        int c = fVar.c();
        if (c < 200 || c >= 300) {
            return true;
        }
        a b2 = fVar.b();
        File prepare = prepare(b2, fVar);
        if (prepare != null && hasCached()) {
            b2.b();
            finished(prepare.length(), prepare, b2.c());
            return true;
        } else if (streamWrite(b2, this.h) >= 0) {
            return true;
        } else {
            throw new IOException("local file IO error");
        }
    }

    public boolean hasCached() {
        return this.k;
    }

    @Override // com.deepe.c.j.k
    public boolean isEmpty() throws com.deepe.c.j.a.a {
        checkEntity();
        return this.o == null;
    }

    @Override // com.deepe.c.j.k
    public void onPreExecute() {
        String str;
        String savePath = getSavePath();
        if (!d.a((CharSequence) savePath)) {
            File file = new File(savePath);
            if (file.exists()) {
                if (shouldCache()) {
                    setHasCached();
                    setSavePath(file.getAbsolutePath());
                } else {
                    file.delete();
                }
            }
            str = String.valueOf(savePath) + ".tmp";
        } else {
            str = String.valueOf(this.e) + makeTmpFileName();
        }
        this.f = str;
        if (this.j) {
            File file2 = new File(this.f);
            if (file2.exists()) {
                this.h = file2.length();
                addHeader("Range", "bytes=" + this.h + "-");
            }
        }
        addHeader("Accept-Encoding", "identity");
    }

    /* access modifiers changed from: protected */
    @Override // com.deepe.c.j.k, com.deepe.c.j.e.e
    public m<j> parseNetworkResponse(j jVar) {
        return !isCanceled() ? m.a(jVar, null) : m.a(new b());
    }

    public void setAllowResume(boolean z) {
        this.j = z;
    }

    public void setDefaultSavePath(String str) {
        this.e = str;
    }

    public final void setOutputStream(OutputStream outputStream) {
        this.l = outputStream;
        this.m = outputStream != null;
    }

    public void setSavePath(String str) {
        this.d = str;
    }

    @Override // com.deepe.c.j.k
    public void writeTo(OutputStream outputStream) throws IOException, com.deepe.c.j.a.a {
        checkEntity();
        a aVar = this.o;
        if (aVar != null) {
            this.b = aVar.f();
            this.o.a(new OutputStreamWrap(outputStream));
        }
    }
}
