package com.uzmap.pkg.uzkit.request;

import android.webkit.MimeTypeMap;
import com.deepe.c.i.d;
import com.deepe.c.j.e.a.a;
import com.deepe.c.j.e.a.c;
import com.deepe.c.j.e.a.f;
import com.deepe.c.j.e.a.i;
import com.deepe.c.j.e.a.j;
import com.deepe.c.j.e.a.k;
import com.deepe.c.j.e.g;
import com.uzmap.pkg.uzkit.fineHttp.RequestParam;
import com.uzmap.pkg.uzkit.fineHttp.b;
import java.io.File;
import java.io.FileInputStream;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class HttpParams implements Params {
    public Object body;
    public String fileStream;
    public List<g> files;
    public List<g> values;

    private static void copyParam(RequestParam requestParam, HttpParams httpParams) {
        if (requestParam != null) {
            httpParams.setBody(requestParam.body);
            httpParams.setStream(requestParam.stream);
            List<b> list = requestParam.values;
            if (list != null) {
                for (b bVar : list) {
                    httpParams.addValue(bVar.a(), bVar.b());
                }
            }
            List<b> list2 = requestParam.files;
            if (list2 != null) {
                for (b bVar2 : list2) {
                    httpParams.addFile(bVar2.a(), bVar2.b());
                }
            }
        }
    }

    private a createFormEntity() {
        try {
            return new k(this.values, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        }
    }

    private a createInputStemEntity() {
        com.deepe.c.j.e.a.b bVar;
        Exception e;
        try {
            String str = this.fileStream;
            if (d.a((CharSequence) str)) {
                return null;
            }
            File file = new File(str.replaceFirst("file://", ""));
            if (!file.exists()) {
                return null;
            }
            bVar = new com.deepe.c.j.e.a.b(new FileInputStream(file), file.length());
            try {
                bVar.a("application/octet-stream");
            } catch (Exception e2) {
                e = e2;
            }
            return bVar;
        } catch (Exception e3) {
            bVar = null;
            e = e3;
            e.printStackTrace();
            return bVar;
        }
    }

    private a createMultiEntity() {
        try {
            c cVar = new c();
            List<g> list = this.values;
            if (list != null) {
                for (g gVar : list) {
                    cVar.a(new i(gVar.a(), gVar.b()));
                }
            }
            List<g> list2 = this.files;
            if (list2 != null) {
                for (g gVar2 : list2) {
                    String a = gVar2.a();
                    String b = gVar2.b();
                    if (!d.a((CharSequence) b)) {
                        String replaceFirst = b.replaceFirst("file://", "");
                        File file = new File(replaceFirst);
                        if (file.exists()) {
                            cVar.a(new f(a, file, mimeTypeFromUrl(replaceFirst), (String) null));
                        }
                    }
                }
            }
            return cVar;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    private a createStringEntity() {
        try {
            return new j(this.body.toString(), "UTF-8");
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    private String mimeTypeFromUrl(String str) {
        if (d.a((CharSequence) str)) {
            return null;
        }
        String mimeTypeFromExtension = MimeTypeMap.getSingleton().getMimeTypeFromExtension(MimeTypeMap.getFileExtensionFromUrl(str).toLowerCase());
        if (d.a((CharSequence) mimeTypeFromExtension)) {
            return null;
        }
        return mimeTypeFromExtension;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0058, code lost:
        if (r1 != 9) goto L_0x005a;
     */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00a5  */
    public static Request toRequest(RequestParam requestParam, APICloudHttpClient aPICloudHttpClient) {
        HttpPost httpPost;
        HttpDownload httpDownload;
        String str = requestParam.url;
        int i = requestParam.method;
        boolean z = true;
        Request request = null;
        HttpDownload httpDownload2 = null;
        if (requestParam.isDownloadRequest()) {
            if (i == 1) {
                HttpParams httpParams = new HttpParams();
                copyParam(requestParam, httpParams);
                httpDownload = new HttpDownload(str, httpParams);
            } else {
                httpDownload = new HttpDownload(requestParam.assembleUrl());
            }
            httpDownload.setAllowResume(requestParam.allowResume);
            httpDownload.setSavePath(requestParam.savePath);
            String str2 = requestParam.defaultSavePath;
            if (d.a((CharSequence) str2)) {
                str2 = aPICloudHttpClient.getCacheRootDir();
            }
            httpDownload.setDefaultSavePath(str2);
            httpDownload2 = httpDownload;
        } else if (i != 0) {
            if (i != 1) {
                if (i == 2) {
                    httpDownload2 = new HttpHead(requestParam.assembleUrl());
                } else if (i != 3) {
                    if (i == 4) {
                        httpDownload2 = new HttpDelete(str);
                    } else if (i == 7) {
                        httpDownload2 = new HttpOptions(str);
                    } else if (i == 8) {
                        httpDownload2 = new HttpTrace(str);
                    }
                }
            }
            HttpParams httpParams2 = new HttpParams();
            copyParam(requestParam, httpParams2);
            if (i == 1) {
                httpPost = new HttpPost(str, httpParams2);
            } else if (i == 3) {
                httpPost = new HttpPut(str, httpParams2);
            } else {
                if (i == 9) {
                    httpPost = new HttpPatch(str, httpParams2);
                }
                if (request != null) {
                    String tag = requestParam.getTag();
                    String c = com.deepe.c.k.k.c(tag);
                    request.setTag((Object) tag);
                    request.addHeader("User-Agent", c);
                    request.addHeader(requestParam.heads);
                    request.setCertificate(requestParam.capath, requestParam.capsw);
                    request.setCharset(requestParam.charset);
                    request.setNeedReport(requestParam.report);
                    request.setNeedEscape(requestParam.needEscape);
                    request.setNeedErrorInfo(requestParam.needErrorInfo);
                    request.setNeedEncode(requestParam.encode);
                    request.setSafeMode(requestParam.safeMode);
                    request.setProxy(requestParam.proxyHost, requestParam.proxyPort, requestParam.protocolVersion);
                    if (z) {
                        request.setShouldCache(false);
                    } else {
                        request.setShouldCache(requestParam.cache);
                    }
                    request.setTimeout(requestParam.timeout / 1000);
                }
                return request;
            }
            request = httpPost;
            if (request != null) {
            }
            return request;
        } else {
            httpDownload2 = new HttpGet(requestParam.assembleUrl());
        }
        z = false;
        request = httpDownload2;
        if (request != null) {
        }
        return request;
    }

    public boolean addFile(String str, String str2) {
        if (d.a((CharSequence) str)) {
            return false;
        }
        if (this.files == null) {
            this.files = new ArrayList();
        }
        this.files.add(new g(str, str2));
        return true;
    }

    public boolean addValue(String str, String str2) {
        if (d.a((CharSequence) str)) {
            return false;
        }
        if (this.values == null) {
            this.values = new ArrayList();
        }
        this.values.add(new g(str, str2));
        return true;
    }

    @Override // com.uzmap.pkg.uzkit.request.Params
    public boolean contentSafe() {
        List<g> list = this.values;
        if (list != null) {
            for (g gVar : list) {
                if (com.deepe.c.j.b.a.a(gVar.b())) {
                    return false;
                }
            }
            return true;
        }
        Object obj = this.body;
        return obj == null || !com.deepe.c.j.b.a.a(obj.toString());
    }

    @Override // com.uzmap.pkg.uzkit.request.Params
    public Map<String, String> getAdditionalHeaders() {
        return null;
    }

    @Override // com.uzmap.pkg.uzkit.request.Params
    public a getHttpEntity() {
        if (!d.a((CharSequence) this.fileStream)) {
            return createInputStemEntity();
        }
        if (this.values != null && this.files == null) {
            return createFormEntity();
        }
        if (this.body != null) {
            return createStringEntity();
        }
        if ((this.values == null || this.files == null) && this.files == null) {
            return null;
        }
        return createMultiEntity();
    }

    public boolean setBody(Object obj) {
        if (obj == null) {
            return false;
        }
        this.body = obj;
        return true;
    }

    public boolean setStream(String str) {
        if (d.a((CharSequence) str)) {
            return false;
        }
        this.fileStream = str;
        return true;
    }
}
