package com.uzmap.pkg.uzkit.request;

import android.os.SystemClock;
import com.deepe.c.j.e.a.a;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class HttpPost extends Request {
    private a b;
    private Params d;
    private long e;
    private long f;
    private long g;

    private class OutputStreamWrap extends FilterOutputStream {
        public OutputStreamWrap(OutputStream outputStream) {
            super(outputStream);
        }

        @Override // java.io.OutputStream, java.io.FilterOutputStream
        public void write(byte[] bArr, int i, int i2) throws IOException {
            super.write(bArr, i, i2);
            HttpPost.this.reportFinishLength((long) i2);
        }
    }

    protected HttpPost(int i, String str, Params params) {
        super(i, str);
        if (params != null) {
            this.d = params;
            if (params.getAdditionalHeaders() != null) {
                addHeader(params.getAdditionalHeaders());
                return;
            }
            return;
        }
        throw new RuntimeException("Params can not be empty");
    }

    public HttpPost(String str, Params params) {
        this(1, str, params);
    }

    private void checkEntity() {
        if (this.b == null) {
            this.b = this.d.getHttpEntity();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void reportFinishLength(long j) {
        this.f += j;
        long elapsedRealtime = SystemClock.elapsedRealtime();
        if (elapsedRealtime - this.g > ((long) getMinGapTime()) || this.f == this.e) {
            this.g = elapsedRealtime;
            deliverProgress(this.e, this.f);
        }
    }

    @Override // com.deepe.c.j.k
    public boolean checkBodySafe() throws com.deepe.c.j.a.a {
        Params params = this.d;
        if (params != null) {
            return params.contentSafe();
        }
        return true;
    }

    @Override // com.deepe.c.j.k
    public byte[] getBody() throws com.deepe.c.j.a.a {
        checkEntity();
        a aVar = this.b;
        if (aVar != null) {
            return aVar.g();
        }
        return null;
    }

    @Override // com.deepe.c.j.k
    public String getBodyContentType() {
        checkEntity();
        a aVar = this.b;
        return aVar != null ? aVar.c() : super.getBodyContentType();
    }

    @Override // com.deepe.c.j.k
    public long getContentLength() {
        checkEntity();
        a aVar = this.b;
        if (aVar != null) {
            return aVar.f();
        }
        return 0;
    }

    @Override // com.deepe.c.j.k
    public boolean isEmpty() throws com.deepe.c.j.a.a {
        checkEntity();
        return this.b == null;
    }

    public void setParams(Params params) {
        this.d = params;
        if (params != null && params.getAdditionalHeaders() != null) {
            addHeader(params.getAdditionalHeaders());
        }
    }

    @Override // com.deepe.c.j.k
    public void writeTo(OutputStream outputStream) throws IOException, com.deepe.c.j.a.a {
        checkEntity();
        a aVar = this.b;
        if (aVar != null) {
            this.e = aVar.f();
            this.b.a(new OutputStreamWrap(outputStream));
        }
    }
}
