package com.uzmap.pkg.uzmodules.uzFNScanner;

import android.app.Activity;
import android.content.Intent;
import android.hardware.Camera;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Build;
import android.support.v4.app.NotificationCompat;
import android.text.TextUtils;
import android.util.Log;
import android.view.OrientationEventListener;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.ViewGroup;
import android.widget.AbsoluteLayout;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import com.deepe.c.j.e.e;
import com.google.zxing.Result;
import com.google.zxing.common.StringUtils;
import com.uzmap.pkg.uzcore.UZResourcesIDFinder;
import com.uzmap.pkg.uzcore.UZWebView;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZOpenApi;
import com.uzmap.pkg.uzkit.UZUtility;
import com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.CaptureActivity;
import com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.CaptureView;
import com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.camera.CameraManager;
import com.uzmap.pkg.uzmodules.uzFNScanner.utlis.BeepUtil;
import com.uzmap.pkg.uzmodules.uzFNScanner.utlis.Capture;
import com.uzmap.pkg.uzmodules.uzFNScanner.utlis.JsParamsUtil;
import com.uzmap.pkg.uzmodules.uzFNScanner.utlis.ScanUtil;
import com.uzmap.pkg.uzmodules.uzFNScanner.utlis.ScannerDecoder;
import com.uzmap.pkg.uzmodules.uzFNScanner.utlis.UriUtils;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.nio.charset.Charset;
import org.json.JSONException;
import org.json.JSONObject;

public class UzFNScanner extends UZModule implements SurfaceHolder.Callback {
    public static boolean autoZoom = false;
    public static boolean autoZoomView = false;
    public static boolean isWindow = false;
    public static UZModuleContext mModuleContext;
    public final int DECODE_CODE = e.MIN_PROGRESS_TIME;
    public final int OPEN_CODE = 100;
    private BeepUtil mBeepUtil;
    private Camera mCamera;
    private CaptureView mCaptureView;
    private boolean mIsOrientation = false;
    private JsParamsUtil mJsParamsUtil;
    private int mOrientation = 0;
    private OrientationEventListener mOrientationListener;
    private Runnable mParseImgRunable = new Runnable() {
        /* class com.uzmap.pkg.uzmodules.uzFNScanner.UzFNScanner.AnonymousClass3 */

        public void run() {
            Result decodeBar = ScannerDecoder.decodeBar(UzFNScanner.this.mSelectedImgPath);
            UzFNScanner.this.mBeepUtil.playBeepSoundAndVibrate();
            if (decodeBar == null) {
                UzFNScanner.this.decodeCallBack(false, null);
            } else {
                UzFNScanner.this.decodeCallBack(true, decodeBar.toString());
            }
        }
    };
    private String mSelectedImgPath;
    private SurfaceHolder mSurfaceHolder;
    private SurfaceView mSurfaceView;

    public interface CopyFinishedListener {
        void onCopyFinised(File file);
    }

    public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {
    }

    public UzFNScanner(UZWebView uZWebView) {
        super(uZWebView);
    }

    public void jsmethod_openScanner(UZModuleContext uZModuleContext) {
        mModuleContext = uZModuleContext;
        isWindow = false;
        callBack(uZModuleContext);
        this.mJsParamsUtil = JsParamsUtil.getInstance();
        stopCamera();
        String optString = uZModuleContext.optString("verticalLineColor");
        Intent intent = new Intent(context(), CaptureActivity.class);
        initIntentParams(uZModuleContext, intent);
        intent.putExtra("isNewUI", false);
        intent.putExtra("lineColor", optString);
        autoZoom = uZModuleContext.optBoolean("isDrawQRCodeRect", false);
        String optString2 = uZModuleContext.optString("albumText", UZResourcesIDFinder.getString("fnscanner_album"));
        boolean optBoolean = uZModuleContext.optBoolean("isAlbum", false);
        String optString3 = uZModuleContext.optString("cameraDirection", "rear");
        JSONObject optJSONObject = uZModuleContext.optJSONObject("font");
        if (optJSONObject == null) {
            optJSONObject = new JSONObject();
        }
        JSONObject optJSONObject2 = optJSONObject.optJSONObject("hintText");
        if (optJSONObject2 == null) {
            optJSONObject2 = new JSONObject();
        }
        int optInt = optJSONObject2.optInt("size", 16);
        String optString4 = optJSONObject2.optString("color", "#FFFFFF");
        JsParamsUtil.getInstance().setHintTextSise(optInt);
        JsParamsUtil.getInstance().setHintTextColor(optString4);
        intent.putExtra("isLight", uZModuleContext.optBoolean("isLight", false));
        intent.putExtra("albumText", optString2);
        intent.putExtra("isAlbum", optBoolean);
        intent.putExtra("hintTextSize", optInt);
        intent.putExtra("hintTerxtColor", optString4);
        intent.putExtra("foundCamera", TextUtils.equals("front", optString3));
        startActivityForResult(this, intent, 100);
    }

    public void jsmethod_open(UZModuleContext uZModuleContext) {
        String str;
        mModuleContext = uZModuleContext;
        isWindow = false;
        callBack(uZModuleContext);
        this.mJsParamsUtil = JsParamsUtil.getInstance();
        stopCamera();
        String optString = uZModuleContext.optString("verticalLineColor");
        Intent intent = new Intent(context(), CaptureActivity.class);
        initIntentParams(uZModuleContext, intent);
        intent.putExtra("isNewUI", true);
        intent.putExtra("lineColor", optString);
        autoZoom = uZModuleContext.optBoolean("isDrawQRCodeRect", false);
        String optString2 = uZModuleContext.optString("albumText", UZResourcesIDFinder.getString("fnscanner_album"));
        String optString3 = uZModuleContext.optString("lightText", UZResourcesIDFinder.getString("fnscanner_flash_on"));
        String optString4 = uZModuleContext.optString("closeText", UZResourcesIDFinder.getString("fnscanner_flash_off"));
        boolean optBoolean = uZModuleContext.optBoolean("isAlbum", false);
        boolean optBoolean2 = uZModuleContext.optBoolean("isLight", false);
        String optString5 = uZModuleContext.optString("cameraDirection", "rear");
        intent.putExtra("isLight", optBoolean2);
        JSONObject optJSONObject = uZModuleContext.optJSONObject("font");
        if (optJSONObject == null) {
            optJSONObject = new JSONObject();
        }
        JSONObject optJSONObject2 = optJSONObject.optJSONObject("hintText");
        if (optJSONObject2 == null) {
            optJSONObject2 = new JSONObject();
        }
        int optInt = optJSONObject2.optInt("size", 16);
        String str2 = "#FFFFFF";
        String optString6 = optJSONObject2.optString("color", str2);
        JsParamsUtil.getInstance().setHintTextSise(optInt);
        JsParamsUtil instance = JsParamsUtil.getInstance();
        if (TextUtils.isEmpty(optString6)) {
            str = optString6;
            optString6 = str2;
        } else {
            str = optString6;
        }
        instance.setHintTextColor(optString6);
        JSONObject optJSONObject3 = optJSONObject.optJSONObject("albumText");
        if (optJSONObject3 == null) {
            optJSONObject3 = new JSONObject();
        }
        int optInt2 = optJSONObject3.optInt("size", 16);
        String optString7 = optJSONObject3.optString("color", str2);
        JSONObject optJSONObject4 = optJSONObject.optJSONObject("lightText");
        if (optJSONObject4 == null) {
            optJSONObject4 = new JSONObject();
        }
        int optInt3 = optJSONObject4.optInt("size", 16);
        String optString8 = optJSONObject4.optString("color", str2);
        intent.putExtra("albumText", optString2);
        intent.putExtra("lightText", optString3);
        intent.putExtra("closeText", optString4);
        intent.putExtra("isAlbum", optBoolean);
        intent.putExtra("hintTextSize", optInt);
        intent.putExtra("hintTerxtColor", TextUtils.isEmpty(str) ? str2 : str);
        intent.putExtra("albumTextSize", optInt2);
        if (TextUtils.isEmpty(optString7)) {
            optString7 = str2;
        }
        intent.putExtra("albumTextColor", optString7);
        intent.putExtra("lightTextSize", optInt3);
        if (!TextUtils.isEmpty(optString8)) {
            str2 = optString8;
        }
        intent.putExtra("lightTextColor", str2);
        intent.putExtra("foundCamera", TextUtils.equals("front", optString5));
        startActivityForResult(this, intent, 100);
    }

    public void jsmethod_openView(UZModuleContext uZModuleContext) {
        mModuleContext = uZModuleContext;
        isWindow = true;
        this.mJsParamsUtil = JsParamsUtil.getInstance();
        autoZoomView = uZModuleContext.optBoolean("isDrawQRCodeRect", false);
        String optString = uZModuleContext.optString("cameraDirection", "rear");
        callBack(uZModuleContext);
        openDIYScanner(uZModuleContext, TextUtils.equals("front", optString) ? 1 : 0);
        boolean optBoolean = uZModuleContext.optBoolean("autorotation", false);
        this.mIsOrientation = optBoolean;
        if (optBoolean) {
            initOrientation();
            startOrientationChangeListener();
        }
    }

    public void jsmethod_setFrame(UZModuleContext uZModuleContext) {
        this.mJsParamsUtil = JsParamsUtil.getInstance();
        resetLayout(uZModuleContext);
    }

    public void jsmethod_closeView(UZModuleContext uZModuleContext) {
        destroyCamera();
        removePreView();
    }

    public void jsmethod_decodeImg(UZModuleContext uZModuleContext) {
        mModuleContext = uZModuleContext;
        JsParamsUtil instance = JsParamsUtil.getInstance();
        this.mJsParamsUtil = instance;
        BeepUtil beepUtil = new BeepUtil(context(), makeRealPath(instance.sound(uZModuleContext)));
        this.mBeepUtil = beepUtil;
        beepUtil.initBeep();
        decode(uZModuleContext);
    }

    public void jsmethod_encodeImg(UZModuleContext uZModuleContext) {
        mModuleContext = uZModuleContext;
        this.mJsParamsUtil = JsParamsUtil.getInstance();
        encodeCallBack(uZModuleContext, encode(uZModuleContext), ScanUtil.ALBUM_IMG_PATH);
    }

    public void jsmethod_switchLight(UZModuleContext uZModuleContext) {
        this.mJsParamsUtil = JsParamsUtil.getInstance();
        switchLight(uZModuleContext);
    }

    public void jsmethod_onResume(UZModuleContext uZModuleContext) {
        if (Capture.getInstance().getCaptureView() != null) {
            Capture.getInstance().getCaptureView().onResume();
        }
    }

    public void jsmethod_onPause(UZModuleContext uZModuleContext) {
        if (Capture.getInstance().getCaptureView() != null) {
            Capture.getInstance().getCaptureView().onPause();
        }
    }

    private void callBack(UZModuleContext uZModuleContext) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("eventType", "show");
            uZModuleContext.success(jSONObject, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public void openDIYScanner(UZModuleContext uZModuleContext, int i) {
        stopCamera();
        removePreView();
        initCaptureView(uZModuleContext, i);
        initParams(uZModuleContext);
        insertCaptureView(uZModuleContext);
        Capture.getInstance().getCaptureView().onResume();
    }

    private void switchLight(UZModuleContext uZModuleContext) {
        try {
            if (Build.VERSION.SDK_INT < 21) {
                lightSwitchLower21(lightStatus(uZModuleContext));
            } else {
                lightSwitch(lightStatus(uZModuleContext));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private boolean lightStatus(UZModuleContext uZModuleContext) {
        return uZModuleContext.optString(NotificationCompat.CATEGORY_STATUS, "off").equals("on");
    }

    private void lightSwitchLower21(boolean z) {
        if (z) {
            if (Capture.getInstance().getCaptureView() == null) {
                if (this.mCamera == null) {
                    this.mCamera = Camera.open();
                }
                Camera.Parameters parameters = this.mCamera.getParameters();
                parameters.setFlashMode("torch");
                this.mCamera.setParameters(parameters);
                return;
            }
            CameraManager.get().openLight();
        } else if (Capture.getInstance().getCaptureView() == null) {
            Camera.Parameters parameters2 = this.mCamera.getParameters();
            parameters2.setFlashMode("off");
            this.mCamera.setParameters(parameters2);
        } else {
            CameraManager.get().offLight();
        }
    }

    private void lightSwitch(boolean z) {
        if (Capture.getInstance().getCaptureView() == null) {
            SurfaceView surfaceView = this.mSurfaceView;
            if (surfaceView != null) {
                removeViewFromCurWindow(surfaceView);
                this.mSurfaceView = null;
            }
            stopCamera();
            SurfaceView surfaceView2 = new SurfaceView(context());
            this.mSurfaceView = surfaceView2;
            SurfaceHolder holder = surfaceView2.getHolder();
            this.mSurfaceHolder = holder;
            holder.addCallback(this);
            this.mSurfaceHolder.setType(3);
            insertViewToCurWindow(this.mSurfaceView, new RelativeLayout.LayoutParams(1, 1));
        } else if (z) {
            CameraManager.get().openLight();
        } else {
            CameraManager.get().offLight();
        }
    }

    private String encode(UZModuleContext uZModuleContext) {
        String encodeContent = this.mJsParamsUtil.encodeContent(uZModuleContext);
        boolean isBar = this.mJsParamsUtil.isBar(uZModuleContext);
        String scanResult2img = ScanUtil.scanResult2img(encodeContent, makeRealPath(this.mJsParamsUtil.saveImgPath(uZModuleContext)), this.mJsParamsUtil.saveImgW(uZModuleContext), this.mJsParamsUtil.saveImgH(uZModuleContext), this.mJsParamsUtil.saveToAlbum(uZModuleContext), isBar, context());
        notifyToScan(scanResult2img);
        return scanResult2img;
    }

    public void notifyToScan(String str) {
        context().sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.parse("file://" + str)));
        MediaScannerConnection.scanFile(context(), new String[]{str}, null, null);
    }

    private void decode(UZModuleContext uZModuleContext) {
        String decodePath = this.mJsParamsUtil.decodePath(uZModuleContext);
        if (TextUtils.isEmpty(decodePath)) {
            selectImgFromSystem();
        } else {
            decodeImg(decodePath);
        }
    }

    private void decodeImg(String str) {
        final String makeRealPath = makeRealPath(UZUtility.makeRealPath(str, getWidgetInfo()));
        if (!TextUtils.isEmpty(makeRealPath)) {
            new Thread(new Runnable() {
                /* class com.uzmap.pkg.uzmodules.uzFNScanner.UzFNScanner.AnonymousClass1 */

                public void run() {
                    Result decodeBar = ScannerDecoder.decodeBar(makeRealPath);
                    UzFNScanner.this.mBeepUtil.playBeepSoundAndVibrate();
                    if (decodeBar == null) {
                        UzFNScanner.this.decodeCallBack(false, null);
                    } else {
                        UzFNScanner.this.decodeCallBack(true, decodeBar.toString());
                    }
                }
            }).start();
        }
    }

    private void selectImgFromSystem() {
        Intent intent = new Intent();
        if (Build.VERSION.SDK_INT < 19) {
            intent.setAction("android.intent.action.GET_CONTENT");
        } else {
            intent.setAction("android.intent.action.OPEN_DOCUMENT");
        }
        intent.setType("image/*");
        startActivityForResult(intent, e.MIN_PROGRESS_TIME);
    }

    private void initCaptureView(UZModuleContext uZModuleContext, int i) {
        this.mCaptureView = new CaptureView(context(), this, uZModuleContext, getDisplayRotation(), i);
        Capture.getInstance().setCaptureView(this.mCaptureView);
    }

    public void insertCaptureView(UZModuleContext uZModuleContext) {
        insertViewToCurWindow(Capture.getInstance().getCaptureView(), captureViewLayout(uZModuleContext), uZModuleContext.optString("fixedOn"), uZModuleContext.optBoolean("fixed", true));
    }

    private RelativeLayout.LayoutParams captureViewLayout(UZModuleContext uZModuleContext) {
        int x = this.mJsParamsUtil.x(uZModuleContext);
        int y = this.mJsParamsUtil.y(uZModuleContext);
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(this.mJsParamsUtil.w(uZModuleContext, context()), this.mJsParamsUtil.h(uZModuleContext, context(), this));
        layoutParams.setMargins(x, y, 0, 0);
        return layoutParams;
    }

    private void resetLayout(UZModuleContext uZModuleContext) {
        int dipToPix = UZUtility.dipToPix(uZModuleContext.optInt("x"));
        int dipToPix2 = UZUtility.dipToPix(uZModuleContext.optInt("y"));
        int dipToPix3 = UZUtility.dipToPix(uZModuleContext.optInt("w"));
        int dipToPix4 = UZUtility.dipToPix(uZModuleContext.optInt("h"));
        if (Capture.getInstance().getCaptureView().getLayoutParams() instanceof FrameLayout.LayoutParams) {
            FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(dipToPix3, dipToPix4);
            layoutParams.setMargins(dipToPix, dipToPix2, 0, 0);
            Capture.getInstance().getCaptureView().setLayoutParams(layoutParams);
        } else if (Capture.getInstance().getCaptureView().getLayoutParams() instanceof ViewGroup.MarginLayoutParams) {
            RelativeLayout.LayoutParams layoutParams2 = new RelativeLayout.LayoutParams(dipToPix3, dipToPix4);
            layoutParams2.setMargins(dipToPix, dipToPix2, 0, 0);
            Capture.getInstance().getCaptureView().setLayoutParams(layoutParams2);
        } else {
            Capture.getInstance().getCaptureView().setLayoutParams(new AbsoluteLayout.LayoutParams(dipToPix3, dipToPix4, dipToPix, dipToPix2));
        }
    }

    private void initIntentParams(UZModuleContext uZModuleContext, Intent intent) {
        String makeRealPath = makeRealPath(this.mJsParamsUtil.sound(uZModuleContext));
        boolean saveToAlbum = this.mJsParamsUtil.saveToAlbum(uZModuleContext);
        String saveImgPath = this.mJsParamsUtil.saveImgPath(uZModuleContext);
        boolean optBoolean = uZModuleContext.optBoolean("autorotation", false);
        String makeRealPath2 = makeRealPath(saveImgPath);
        int saveImgW = this.mJsParamsUtil.saveImgW(uZModuleContext);
        int saveImgH = this.mJsParamsUtil.saveImgH(uZModuleContext);
        intent.putExtra("soundPath", makeRealPath);
        intent.putExtra("isSaveToAlbum", saveToAlbum);
        intent.putExtra("savePath", makeRealPath2);
        intent.putExtra("saveW", saveImgW);
        intent.putExtra("saveH", saveImgH);
        intent.putExtra("autorotation", optBoolean);
    }

    private void initParams(UZModuleContext uZModuleContext) {
        String makeRealPath = makeRealPath(this.mJsParamsUtil.sound(uZModuleContext));
        boolean saveToAlbum = this.mJsParamsUtil.saveToAlbum(uZModuleContext);
        Capture.getInstance().getCaptureView().initParams(makeRealPath(this.mJsParamsUtil.saveImgPath(uZModuleContext)), this.mJsParamsUtil.saveImgW(uZModuleContext), this.mJsParamsUtil.saveImgH(uZModuleContext), makeRealPath, saveToAlbum);
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.ActivityResult, com.uzmap.pkg.uzcore.uzmodule.UZModule
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 != -1) {
            return;
        }
        if (i == 100) {
            onOpenParseResult(intent);
        } else if (i == 300) {
            try {
                new Thread(new CopyFileThread(context().getContentResolver().openInputStream(intent.getData()), new File(context().getExternalCacheDir(), "img.jpg"), new CopyFinishedListener() {
                    /* class com.uzmap.pkg.uzmodules.uzFNScanner.UzFNScanner.AnonymousClass2 */

                    @Override // com.uzmap.pkg.uzmodules.uzFNScanner.UzFNScanner.CopyFinishedListener
                    public void onCopyFinised(File file) {
                        UzFNScanner.this.mSelectedImgPath = file.getAbsolutePath();
                        Result decodeBar = ScannerDecoder.decodeBar(UzFNScanner.this.mSelectedImgPath);
                        UzFNScanner.this.mBeepUtil.playBeepSoundAndVibrate();
                        if (decodeBar == null) {
                            UzFNScanner.this.decodeCallBack(false, null);
                        } else {
                            UzFNScanner.this.decodeCallBack(true, decodeBar.toString());
                        }
                    }
                })).start();
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void copyFile(InputStream inputStream, File file) {
        byte[] bArr = new byte[1024];
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            while (true) {
                int read = inputStream.read(bArr);
                if (read != -1) {
                    fileOutputStream.write(bArr, 0, read);
                } else {
                    fileOutputStream.close();
                    inputStream.close();
                    return;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    class CopyFileThread implements Runnable {
        private CopyFinishedListener mConpyFinishedListener;
        private InputStream mInputStream;
        private File mOutFile;

        public CopyFileThread(InputStream inputStream, File file, CopyFinishedListener copyFinishedListener) {
            this.mInputStream = inputStream;
            this.mOutFile = file;
            this.mConpyFinishedListener = copyFinishedListener;
        }

        public void run() {
            UzFNScanner.this.copyFile(this.mInputStream, this.mOutFile);
            CopyFinishedListener copyFinishedListener = this.mConpyFinishedListener;
            if (copyFinishedListener != null) {
                copyFinishedListener.onCopyFinised(this.mOutFile);
            }
        }
    }

    private void onDecodeParseResult(Intent intent) {
        initSelectedImgPath(intent);
    }

    private void initSelectedImgPath(Intent intent) {
        this.mSelectedImgPath = UriUtils.getPathForUri(context(), intent.getData());
        parseImg();
    }

    private void parseImg() {
        new Thread(this.mParseImgRunable).start();
    }

    private void onOpenParseResult(Intent intent) {
        if (intent != null) {
            try {
                String stringExtra = intent.getStringExtra(UZOpenApi.RESULT);
                Log.e("Tim", "扫描结果：" + stringExtra);
                String stringExtra2 = intent.getStringExtra("savePath");
                String stringExtra3 = intent.getStringExtra("albumPath");
                if (Charset.forName("ISO-8859-1").newEncoder().canEncode(stringExtra)) {
                    openCallback(new String(stringExtra.getBytes("ISO-8859-1"), StringUtils.GB2312), "success", stringExtra2, stringExtra3);
                } else {
                    openCallback(stringExtra, "success", stringExtra2, stringExtra3);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    private void openCallback(String str, String str2, String str3, String str4) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("eventType", str2);
            if (str3 != null) {
                jSONObject.put("imgPath", str3);
            }
            if (str4 != null) {
                jSONObject.put("albumPath", str4);
            }
            jSONObject.put("content", str);
            mModuleContext.success(jSONObject, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void decodeCallBack(boolean z, String str) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, z);
            if (z) {
                jSONObject.put("content", str);
            }
            if (!TextUtils.isEmpty(this.mSelectedImgPath)) {
                jSONObject.put("albumPath", this.mSelectedImgPath);
            }
            mModuleContext.success(jSONObject, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    private void encodeCallBack(UZModuleContext uZModuleContext, String str, String str2) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("imgPath", str);
            if (str2 != null) {
                jSONObject.put("albumPath", str2);
            }
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
            uZModuleContext.success(jSONObject, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    private void removePreView() {
        if (Capture.getInstance().getCaptureView() != null) {
            Capture.getInstance().getCaptureView().onPause();
            Capture.getInstance().getCaptureView().onDestroy();
            removeViewFromCurWindow(Capture.getInstance().getCaptureView());
            Capture.getInstance().setCaptureView(null);
        }
    }

    public void surfaceCreated(SurfaceHolder surfaceHolder) {
        try {
            if (this.mCamera == null) {
                this.mCamera = Camera.open();
            }
            this.mCamera.setPreviewDisplay(this.mSurfaceHolder);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
        destroyCamera();
    }

    private void stopCamera() {
        SurfaceView surfaceView = this.mSurfaceView;
        if (surfaceView != null) {
            removeViewFromCurWindow(surfaceView);
            this.mSurfaceView = null;
        }
        destroyCamera();
    }

    /* access modifiers changed from: protected */
    @Override // com.uzmap.pkg.uzcore.uzmodule.UZModule
    public void onClean() {
        destroyCamera();
        removePreView();
        SurfaceView surfaceView = this.mSurfaceView;
        if (surfaceView != null) {
            removeViewFromCurWindow(surfaceView);
            this.mSurfaceView = null;
        }
        super.onClean();
    }

    private void destroyCamera() {
        Camera camera = this.mCamera;
        if (camera != null) {
            camera.stopPreview();
            this.mCamera.release();
            this.mCamera = null;
        }
    }

    private void initOrientation() {
        int displayRotation = getDisplayRotation();
        if (displayRotation == 0) {
            this.mOrientation = 1;
        } else if (displayRotation == 90) {
            this.mOrientation = 0;
        } else if (displayRotation == 180) {
            this.mOrientation = 3;
        } else if (displayRotation == 270) {
            this.mOrientation = 2;
        }
    }

    public int getDisplayRotation() {
        if (context() == null || ((Activity) context()).getWindowManager() == null) {
            return 0;
        }
        int rotation = ((Activity) context()).getWindowManager().getDefaultDisplay().getRotation();
        if (rotation == 0) {
            return 90;
        }
        if (rotation == 2) {
            return 270;
        }
        if (rotation != 3) {
            return 0;
        }
        return 180;
    }

    private final void startOrientationChangeListener() {
        AnonymousClass4 r0 = new OrientationEventListener(context()) {
            /* class com.uzmap.pkg.uzmodules.uzFNScanner.UzFNScanner.AnonymousClass4 */

            public void onOrientationChanged(int i) {
                synchronized (UzFNScanner.this.mOrientationListener) {
                    int displayRotation = UzFNScanner.this.getDisplayRotation();
                    if (displayRotation == 0) {
                        if (UzFNScanner.this.mOrientation != 1) {
                            UzFNScanner.this.chargeScreenAngle();
                        }
                        UzFNScanner.this.mOrientation = 1;
                    } else if (displayRotation == 180) {
                        if (UzFNScanner.this.mOrientation != 3) {
                            UzFNScanner.this.chargeScreenAngle();
                        }
                        UzFNScanner.this.mOrientation = 3;
                    } else if (displayRotation == 90) {
                        if (UzFNScanner.this.mOrientation != 0) {
                            UzFNScanner.this.chargeScreenAngle();
                        }
                        UzFNScanner.this.mOrientation = 0;
                    } else if (displayRotation == 270) {
                        if (UzFNScanner.this.mOrientation != 2) {
                            UzFNScanner.this.chargeScreenAngle();
                        }
                        UzFNScanner.this.mOrientation = 2;
                    }
                }
            }
        };
        this.mOrientationListener = r0;
        r0.enable();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void chargeScreenAngle() {
        int displayRotation = getDisplayRotation();
        if (CameraManager.get() != null) {
            CameraManager.get().setScreemOrientation(displayRotation);
        }
    }

    public void checkOpenCameraCallback(CaptureView captureView) {
        if (mModuleContext != null) {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("eventType", "cameraError");
                mModuleContext.success(jSONObject, false);
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }
}
