package com.uzmap.pkg.uzmodules.uzFNScanner.utlis;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Rect;
import android.util.DisplayMetrics;
import com.uzmap.pkg.uzcore.UZCoreUtil;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZUtility;
import java.io.IOException;
import java.io.InputStream;
import org.json.JSONObject;

public class JsParamsUtil {
    private static JsParamsUtil instance;
    private String mHintTextColor = "#FFFFFF";
    private int mHintTextSize = 16;

    public static JsParamsUtil getInstance() {
        if (instance == null) {
            instance = new JsParamsUtil();
        }
        return instance;
    }

    public int x(UZModuleContext uZModuleContext) {
        JSONObject optJSONObject = uZModuleContext.optJSONObject("rect");
        if (!uZModuleContext.isNull("rect")) {
            return optJSONObject.optInt("x", 0);
        }
        return 0;
    }

    public int y(UZModuleContext uZModuleContext) {
        JSONObject optJSONObject = uZModuleContext.optJSONObject("rect");
        if (!uZModuleContext.isNull("rect")) {
            return optJSONObject.optInt("y", 0);
        }
        return 0;
    }

    public int w(UZModuleContext uZModuleContext, Context context) {
        int screenWidth = getScreenWidth((Activity) context);
        return !uZModuleContext.isNull("rect") ? uZModuleContext.optJSONObject("rect").optInt("w", screenWidth) : screenWidth;
    }

    public int h(UZModuleContext uZModuleContext, Context context, UZModule uZModule) {
        int screenHeight = getScreenHeight((Activity) context, uZModule);
        return !uZModuleContext.isNull("rect") ? uZModuleContext.optJSONObject("rect").optInt("h", screenHeight) : screenHeight;
    }

    public String sound(UZModuleContext uZModuleContext) {
        return uZModuleContext.optString("sound");
    }

    public boolean saveToAlbum(UZModuleContext uZModuleContext) {
        return uZModuleContext.optBoolean("saveToAlbum", false);
    }

    public String saveImgPath(UZModuleContext uZModuleContext) {
        JSONObject optJSONObject = uZModuleContext.optJSONObject("saveImg");
        if (!uZModuleContext.isNull("saveImg")) {
            return optJSONObject.optString("path");
        }
        return null;
    }

    public int saveImgW(UZModuleContext uZModuleContext) {
        JSONObject optJSONObject = uZModuleContext.optJSONObject("saveImg");
        if (!uZModuleContext.isNull("saveImg")) {
            return optJSONObject.optInt("w", 200);
        }
        return 200;
    }

    public int saveImgH(UZModuleContext uZModuleContext) {
        JSONObject optJSONObject = uZModuleContext.optJSONObject("saveImg");
        if (!uZModuleContext.isNull("saveImg")) {
            return optJSONObject.optInt("h", 200);
        }
        return 200;
    }

    public String decodePath(UZModuleContext uZModuleContext) {
        return uZModuleContext.optString("path");
    }

    public String encodeContent(UZModuleContext uZModuleContext) {
        return uZModuleContext.optString("content");
    }

    public boolean isBar(UZModuleContext uZModuleContext) {
        return !uZModuleContext.optString("type", "qr_image").equals("qr_image");
    }

    private int getScreenWidth(Activity activity) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        activity.getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        return UZCoreUtil.pixToDip(displayMetrics.widthPixels);
    }

    private int getScreenHeight(Activity activity, UZModule uZModule) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        activity.getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        Rect rect = new Rect();
        activity.getWindow().getDecorView().getWindowVisibleDisplayFrame(rect);
        int i = rect.top;
        return UZCoreUtil.pixToDip(displayMetrics.heightPixels);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0013 A[SYNTHETIC, Splitter:B:10:0x0013] */
    public Bitmap getBitmap(String str) {
        InputStream inputStream;
        IOException e;
        Bitmap bitmap = null;
        try {
            inputStream = UZUtility.guessInputStream(str);
            try {
                bitmap = BitmapFactory.decodeStream(inputStream);
            } catch (IOException e2) {
                e = e2;
            }
        } catch (IOException e3) {
            e = e3;
            inputStream = null;
            e.printStackTrace();
            if (inputStream != null) {
            }
            return bitmap;
        }
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException e4) {
                e4.printStackTrace();
            }
        }
        return bitmap;
    }

    public void setHintTextSise(int i) {
        this.mHintTextSize = i;
    }

    public int getHintTextSize() {
        return this.mHintTextSize;
    }

    public void setHintTextColor(String str) {
        this.mHintTextColor = str;
    }

    public String getHintTextColor() {
        return this.mHintTextColor;
    }
}
