package com.uzmap.pkg.uzmodules.uzdb;

import android.support.v4.app.NotificationCompat;
import android.text.TextUtils;
import com.uzmap.pkg.uzcore.UZWebView;
import com.uzmap.pkg.uzcore.uzmodule.ModuleResult;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZOpenApi;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class UzDatebaseSQL extends UZModule {
    public UzDatebaseSQL(UZWebView uZWebView) {
        super(uZWebView);
    }

    public void jsmethod_subfile(UZModuleContext uZModuleContext) {
        String str;
        String optString = uZModuleContext.optString("directory");
        if (TextUtils.isEmpty(optString)) {
            str = String.valueOf(context().getFilesDir().getParent()) + File.separator + "databases" + File.separator;
        } else {
            str = makeRealPath(optString);
            File file = new File(str);
            if (!file.exists()) {
                subfileCall(uZModuleContext, false, 1, "该路径不存在文件", null, null);
                return;
            } else if (file.isFile()) {
                subfileCall(uZModuleContext, false, 2, "该路径是文件路径非目录路径", null, null);
                return;
            }
        }
        File[] listFiles = new File(str).listFiles();
        JSONArray jSONArray = new JSONArray();
        JSONArray jSONArray2 = new JSONArray();
        for (File file2 : listFiles) {
            if (file2.isFile()) {
                jSONArray.put(file2.getAbsolutePath());
            } else if (file2.isDirectory()) {
                jSONArray2.put(file2.getAbsolutePath());
            }
        }
        subfileCall(uZModuleContext, true, 0, "", jSONArray, jSONArray2);
    }

    public ModuleResult jsmethod_subfileSync_sync(UZModuleContext uZModuleContext) {
        String str;
        String optString = uZModuleContext.optString("directory");
        if (TextUtils.isEmpty(optString)) {
            str = String.valueOf(context().getFilesDir().getParent()) + File.separator + "databases" + File.separator;
        } else {
            str = makeRealPath(optString);
            File file = new File(str);
            if (!file.exists()) {
                return new ModuleResult(subfileCall(false, 1, "该路径不存在文件", null, null));
            }
            if (file.isFile()) {
                return new ModuleResult(subfileCall(false, 2, "该路径是文件路径非目录路径", null, null));
            }
        }
        File[] listFiles = new File(str).listFiles();
        JSONArray jSONArray = new JSONArray();
        JSONArray jSONArray2 = new JSONArray();
        for (File file2 : listFiles) {
            if (file2.isFile()) {
                jSONArray.put(file2.getAbsolutePath());
            } else if (file2.isDirectory()) {
                jSONArray2.put(file2.getAbsolutePath());
            }
        }
        return new ModuleResult(subfileCall(true, 0, "", jSONArray, jSONArray2));
    }

    public JSONObject subfileCall(boolean z, int i, String str, JSONArray jSONArray, JSONArray jSONArray2) {
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, z);
            if (z) {
                jSONObject.put("files", jSONArray);
                jSONObject.put("folders", jSONArray2);
            } else {
                jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, str);
                jSONObject.put("code", i);
            }
            return jSONObject;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    private void subfileCall(UZModuleContext uZModuleContext, boolean z, int i, String str, JSONArray jSONArray, JSONArray jSONArray2) {
        try {
            JSONObject jSONObject = new JSONObject();
            JSONObject jSONObject2 = new JSONObject();
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, z);
            if (z) {
                jSONObject.put("files", jSONArray);
                jSONObject.put("folders", jSONArray2);
            } else {
                jSONObject2.put(NotificationCompat.CATEGORY_MESSAGE, str);
                jSONObject2.put("code", i);
            }
            uZModuleContext.error(jSONObject, jSONObject2, false);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public void jsmethod_openDatabase(final UZModuleContext uZModuleContext) {
        final String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            errorCallback(uZModuleContext, "Database Name Can Not Be Null!");
        } else {
            new Thread() {
                /* class com.uzmap.pkg.uzmodules.uzdb.UzDatebaseSQL.AnonymousClass1 */

                public void run() {
                    String str;
                    String makeRealPath = UzDatebaseSQL.this.makeRealPath(uZModuleContext.optString("path"));
                    String isAssetPath = UzDatebaseSQL.this.isAssetPath(makeRealPath);
                    boolean z = false;
                    if (isAssetPath != null) {
                        makeRealPath = UzDatebaseSQL.this.copyDatebase(uZModuleContext, isAssetPath, String.valueOf(UzDatebaseSQL.this.context().getDir("database", 0).getPath()) + File.separator);
                        if (makeRealPath != null) {
                            z = true;
                        } else {
                            UzDatebaseSQL.this.errorCallback(uZModuleContext, "I/O Error!");
                            return;
                        }
                    }
                    if (makeRealPath != null) {
                        str = makeRealPath.replaceFirst("file://", "");
                    } else {
                        str = "";
                    }
                    if (DBManager.instance().openDatabase(UzDatebaseSQL.this.context(), optString, str, z)) {
                        UzDatebaseSQL.this.successCallback(uZModuleContext, "");
                    } else {
                        UzDatebaseSQL.this.errorCallback(uZModuleContext, !TextUtils.isEmpty(str) ? "Database Path Can Not Access" : "Exception");
                    }
                }
            }.start();
        }
    }

    public ModuleResult jsmethod_openDatabaseSync_sync(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            return new ModuleResult(errorCallback("Database Name Can Not Be Null!"));
        }
        String makeRealPath = makeRealPath(uZModuleContext.optString("path"));
        String isAssetPath = isAssetPath(makeRealPath);
        boolean z = false;
        if (isAssetPath != null) {
            makeRealPath = copyDatebase(uZModuleContext, isAssetPath, String.valueOf(context().getDir("database", 0).getPath()) + File.separator);
            if (makeRealPath == null) {
                return new ModuleResult(errorCallback("I/O Error!"));
            }
            z = true;
        }
        String str = "";
        if (makeRealPath != null) {
            str = makeRealPath.replaceFirst("file://", str);
        }
        if (DBManager.instance().openDatabase(context(), optString, str, z)) {
            return new ModuleResult(successCallback());
        }
        return new ModuleResult(errorCallback(!TextUtils.isEmpty(str) ? "Database Path Can Not Access" : "Exception"));
    }

    public ModuleResult jsmethod_closeDatabaseSync_sync(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            return new ModuleResult(errorCallback("Database Name Can Not Be Null!"));
        }
        if (DBManager.instance().closeDatabase(optString)) {
            return new ModuleResult(successCallback());
        }
        return new ModuleResult(errorCallback("Database Not Open"));
    }

    public void jsmethod_closeDatabase(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            errorCallback(uZModuleContext, "Database Name Can Not Be Null!");
        } else if (DBManager.instance().closeDatabase(optString)) {
            successCallback(uZModuleContext, "");
        } else {
            errorCallback(uZModuleContext, "Database Not Open");
        }
    }

    public void jsmethod_transaction(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            errorCallback(uZModuleContext, "Database Name Can Not Be Null!");
            return;
        }
        DBWrap database = DBManager.instance().getDatabase(optString);
        if (database == null) {
            errorCallback(uZModuleContext, "Database Not Open");
        } else if (database.readonly()) {
            errorCallback(uZModuleContext, "Database Readonly");
        } else {
            String optString2 = uZModuleContext.optString("operation", "");
            if ("begin".equals(optString2)) {
                database.beginTransaction();
            } else if ("commit".equals(optString2)) {
                try {
                    database.setTransactionSuccessful();
                    database.endTransaction();
                } catch (Exception unused) {
                }
            } else if ("rollback".equals(optString2)) {
                database.endTransaction();
            } else {
                errorCallback(uZModuleContext, "Operation Error!");
                return;
            }
            successCallback(uZModuleContext, "");
        }
    }

    public ModuleResult jsmethod_transactionSync_sync(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            return new ModuleResult(errorCallback("Database Name Can Not Be Null!"));
        }
        DBWrap database = DBManager.instance().getDatabase(optString);
        if (database == null) {
            return new ModuleResult(errorCallback("Database Not Open"));
        }
        if (database.readonly()) {
            return new ModuleResult(errorCallback("Database Readonly"));
        }
        String optString2 = uZModuleContext.optString("operation", "");
        if ("begin".equals(optString2)) {
            database.beginTransaction();
        } else if ("commit".equals(optString2)) {
            try {
                database.setTransactionSuccessful();
                database.endTransaction();
            } catch (Exception unused) {
            }
        } else if (!"rollback".equals(optString2)) {
            return new ModuleResult(errorCallback("Operation Error!"));
        } else {
            database.endTransaction();
        }
        return new ModuleResult(successCallback());
    }

    public void jsmethod_executeSql(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            errorCallback(uZModuleContext, "Database Name Can Not Be Null!");
            return;
        }
        String optString2 = uZModuleContext.optString("sql");
        if (TextUtils.isEmpty(optString2)) {
            errorCallback(uZModuleContext, "SQL Can Not Be Null!");
            return;
        }
        DBWrap database = DBManager.instance().getDatabase(optString);
        if (database == null) {
            errorCallback(uZModuleContext, "Database Not Open");
        } else if (database.readonly()) {
            errorCallback(uZModuleContext, "Database Readonly");
        } else {
            try {
                database.execSQL(optString2);
                successCallback(uZModuleContext, "");
            } catch (Exception e) {
                errorCallback(uZModuleContext, e.getMessage());
            }
        }
    }

    public ModuleResult jsmethod_executeSqlSync_sync(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            return new ModuleResult(errorCallback("Database Name Can Not Be Null!"));
        }
        String optString2 = uZModuleContext.optString("sql");
        if (TextUtils.isEmpty(optString2)) {
            return new ModuleResult(errorCallback("SQL Can Not Be Null!"));
        }
        DBWrap database = DBManager.instance().getDatabase(optString);
        if (database == null) {
            return new ModuleResult(errorCallback("Database Not Open"));
        }
        if (database.readonly()) {
            return new ModuleResult(errorCallback("Database Readonly"));
        }
        try {
            database.execSQL(optString2);
            return new ModuleResult(successCallback());
        } catch (Exception e) {
            return new ModuleResult(errorCallback(e.getMessage()));
        }
    }

    public void jsmethod_selectSql(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            errorCallback(uZModuleContext, "Database Name Can Not Be Null!");
            return;
        }
        String optString2 = uZModuleContext.optString("sql");
        if (TextUtils.isEmpty(optString2)) {
            errorCallback(uZModuleContext, "SQL Can Not Be Null!");
        } else if (DBManager.instance().getDatabase(optString) == null) {
            errorCallback(uZModuleContext, "Database Not Open");
        } else {
            new JSONArray();
            try {
                JSONArray rawQuery = DBManager.instance().rawQuery(optString, optString2);
                JSONObject jSONObject = new JSONObject();
                jSONObject.put(UZOpenApi.DATA, rawQuery);
                jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
                uZModuleContext.success(jSONObject, true);
            } catch (Exception e) {
                e.printStackTrace();
                errorCallback(uZModuleContext, e.getMessage());
            }
        }
    }

    public ModuleResult jsmethod_selectSqlSync_sync(UZModuleContext uZModuleContext) {
        String optString = uZModuleContext.optString("name");
        if (TextUtils.isEmpty(optString)) {
            return new ModuleResult(errorCallback("Database Name Can Not Be Null!"));
        }
        String optString2 = uZModuleContext.optString("sql");
        if (TextUtils.isEmpty(optString2)) {
            return new ModuleResult(errorCallback("SQL Can Not Be Null!"));
        }
        if (DBManager.instance().getDatabase(optString) == null) {
            return new ModuleResult(errorCallback("Database Not Open"));
        }
        new JSONArray();
        try {
            JSONArray rawQuery = DBManager.instance().rawQuery(optString, optString2);
            JSONObject jSONObject = new JSONObject();
            jSONObject.put(UZOpenApi.DATA, rawQuery);
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
            return new ModuleResult(jSONObject);
        } catch (Exception e) {
            e.printStackTrace();
            return new ModuleResult(errorCallback(e.getMessage()));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void errorCallback(UZModuleContext uZModuleContext, String str) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, false);
            jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, str);
        } catch (Exception unused) {
        }
        uZModuleContext.error(null, jSONObject, true);
    }

    private JSONObject errorCallback(String str) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, false);
            jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, str);
        } catch (Exception unused) {
        }
        return jSONObject;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void successCallback(UZModuleContext uZModuleContext, String str) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
            jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, str);
        } catch (Exception unused) {
        }
        uZModuleContext.success(jSONObject, true);
    }

    private JSONObject successCallback() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put(NotificationCompat.CATEGORY_STATUS, true);
        } catch (Exception unused) {
        }
        return jSONObject;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String isAssetPath(String str) {
        if (str == null || !str.contains("android_asset/")) {
            return null;
        }
        return str.substring(str.lastIndexOf("android_asset/") + 14);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String copyDatebase(UZModuleContext uZModuleContext, String str, String str2) {
        InputStream inputStream;
        int lastIndexOf = str.lastIndexOf(47);
        String str3 = String.valueOf(str2) + (lastIndexOf >= 0 ? str.substring(lastIndexOf + 1) : str);
        File file = new File(str3);
        if (file.exists()) {
            return file.getAbsolutePath();
        }
        try {
            inputStream = context().getAssets().open(str);
        } catch (Exception unused) {
            inputStream = null;
        }
        if (inputStream != null) {
            try {
                File parentFile = file.getParentFile();
                if (!parentFile.exists()) {
                    parentFile.mkdirs();
                }
                FileOutputStream fileOutputStream = new FileOutputStream(file);
                byte[] bArr = new byte[8192];
                while (true) {
                    int read = inputStream.read(bArr);
                    if (read <= 0) {
                        inputStream.close();
                        fileOutputStream.close();
                        return str3;
                    }
                    fileOutputStream.write(bArr, 0, read);
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return null;
    }
}
