package com.uzmap.pkg.uzmodules.uzdb.daoImpl;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import com.uzmap.pkg.uzmodules.uzdb.UzDBHelper;
import com.uzmap.pkg.uzmodules.uzdb.dao.DBDao;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;

public class DBDaoImpl implements DBDao {
    private Context context;

    public DBDaoImpl(Context context2) {
        this.context = context2;
    }

    @Override // com.uzmap.pkg.uzmodules.uzdb.dao.DBDao
    public SQLiteDatabase openDatabase(String str, String str2) {
        String absolutePath = this.context.getDatabasePath(str).getAbsolutePath();
        if (TextUtils.isEmpty(str2)) {
            if (isExists(absolutePath)) {
                return SQLiteDatabase.openDatabase(absolutePath, null, 0);
            }
            return new UzDBHelper(this.context, absolutePath, 1).getWritableDatabase();
        } else if (TextUtils.isEmpty(str2)) {
            return null;
        } else {
            File file = new File(str2);
            if (!file.exists()) {
                while (!file.getParentFile().exists()) {
                    file.getParentFile().mkdirs();
                }
            }
            return SQLiteDatabase.openOrCreateDatabase(new File(str2), (SQLiteDatabase.CursorFactory) null);
        }
    }

    public void getCreateTime(String str) {
        String str2;
        String readLine;
        try {
            Runtime runtime = Runtime.getRuntime();
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(runtime.exec("cmd /C dir " + str + "/tc").getInputStream()));
            do {
                readLine = bufferedReader.readLine();
                if (readLine == null) {
                    str2 = null;
                    break;
                }
            } while (!readLine.endsWith(".txt"));
            str2 = readLine.substring(0, 17);
        } catch (IOException e) {
            e.printStackTrace();
        }
        PrintStream printStream = System.out;
        printStream.println("创建时间    " + str2);
    }

    @Override // com.uzmap.pkg.uzmodules.uzdb.dao.DBDao
    public boolean isExists(String str) {
        File file = new File(str);
        return file.exists() && file.length() > 0;
    }
}
