package com.zakww.loratm.bean;

import android.database.Cursor;
import net.lingala.zip4j.util.InternalZipConstants;

public class MessageBean {
    private String content;
    private String createTime;
    private String fromClient;
    private String fromCode;
    private String id;
    private String sendState;
    private Integer serialNum;
    private String type;

    public void fromCursor(Cursor cursor) {
        this.id = cursor.getString(cursor.getColumnIndex("id"));
        this.serialNum = Integer.valueOf(cursor.getInt(cursor.getColumnIndex("serial_num")));
        this.fromCode = cursor.getString(cursor.getColumnIndex("from_code"));
        this.fromClient = cursor.getString(cursor.getColumnIndex("from_client"));
        this.content = cursor.getString(cursor.getColumnIndex("content"));
        this.createTime = cursor.getString(cursor.getColumnIndex("create_time"));
        this.type = cursor.getString(cursor.getColumnIndex("type"));
        this.sendState = cursor.getString(cursor.getColumnIndex("send_state"));
    }

    public enum Type {
        Send("s", "发送"),
        Receive(InternalZipConstants.READ_MODE, "接收");
        
        private String code;
        private String text;

        private Type(String str, String str2) {
            this.code = str;
            this.text = str2;
        }

        public String getCode() {
            return this.code;
        }

        public String getText() {
            return this.text;
        }
    }

    public enum SendState {
        Yes("y", "已发送"),
        No("n", "未发送");
        
        private String code;
        private String text;

        private SendState(String str, String str2) {
            this.code = str;
            this.text = str2;
        }

        public String getCode() {
            return this.code;
        }

        public String getText() {
            return this.text;
        }
    }

    public String getId() {
        return this.id;
    }

    public void setId(String str) {
        this.id = str;
    }

    public String getFromCode() {
        return this.fromCode;
    }

    public void setFromCode(String str) {
        this.fromCode = str;
    }

    public String getFromClient() {
        return this.fromClient;
    }

    public void setFromClient(String str) {
        this.fromClient = str;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String str) {
        this.content = str;
    }

    public String getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(String str) {
        this.createTime = str;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String str) {
        this.type = str;
    }

    public String getSendState() {
        return this.sendState;
    }

    public void setSendState(String str) {
        this.sendState = str;
    }

    public Integer getSerialNum() {
        return this.serialNum;
    }

    public void setSerialNum(Integer num) {
        this.serialNum = num;
    }
}
