package com.zakww.loratm.bean;

import com.zakww.loratm.util.Crc16Util;

public class PackageBean {
    private String actionType;
    private String airSpeed;
    private boolean busyState;
    private String channel;
    private String command;
    private boolean connectState;
    private String content;
    private boolean errorState = false;
    private String fromCode;
    private String hardwareVersion;
    private String header;
    private String length;
    private String packageCount;
    private String power;
    private String rate;
    private String selfCode;
    private String sendSerialData;
    private String seq;
    private String serialNum;
    private String softwareVersion;
    private String sumCheck;
    private String toCode;

    public enum ActionType {
        Req("00", "请求"),
        PackageRes("01", "接收应答"),
        ReqRes("02", "请求返回结果"),
        Polling("03", "主机轮循"),
        ResPolling("04", "响应主机轮循"),
        ConnectReq("05", "连接测试发送请求"),
        ConnectRes("06", "连接测试服务器返回"),
        ConnectSucc("07", "连接测试成功"),
        BatchSend("08", "群发"),
        BatchSendRes("09", "群发返回结果");
        
        private String code;
        private String text;

        private ActionType(String str, String str2) {
            this.code = str;
            this.text = str2;
        }

        public String getCode() {
            return this.code;
        }

        public String getText() {
            return this.text;
        }
    }

    public void fromSerialData(String str) {
        String replaceAll = str.replaceAll(" ", "");
        int length2 = replaceAll.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = replaceAll.substring(i2, i3) + replaceAll.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            }
        }
        if ("4B".equals(this.command)) {
            this.connectState = true;
        } else if ("8B".equals(this.command)) {
            this.connectState = false;
        } else if ("41".equals(this.command)) {
            fromHardware(replaceAll);
        } else if ("4C".equals(this.command)) {
            fromSoftware(replaceAll);
        } else if ("09".equals(this.command)) {
            if (replaceAll.length() > 16) {
                fromDataTransmission(replaceAll);
            } else {
                fromPolling(replaceAll);
            }
        } else if ("10".equals(this.command)) {
            this.errorState = true;
        } else if ("47".equals(this.command)) {
            fromCheckChannel(replaceAll);
        } else if ("43".equals(this.command) || "44".equals(this.command)) {
            fromGetSetting(replaceAll);
        }
    }

    public void toHardware() {
        this.sendSerialData = "1B0100001C";
    }

    private void fromHardware(String str) {
        int length2 = str.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = str.substring(i2, i3) + str.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            } else if (i == 2) {
                this.length = str2;
            } else if (i == 3) {
                this.length += str2;
            } else if (i == 4) {
                this.selfCode = str2;
            } else if (i == 5) {
                this.selfCode += str2;
            } else if (i == 6) {
                this.hardwareVersion = str2;
            } else if (i == 7) {
                this.hardwareVersion += str2;
            } else if (i == 8) {
                this.sumCheck = str2;
            }
        }
    }

    public void toSoftware() {
        this.sendSerialData = "1B0C000027";
    }

    private void fromSoftware(String str) {
        int length2 = str.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = str.substring(i2, i3) + str.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            } else if (i == 2) {
                this.length = str2;
            } else if (i == 3) {
                this.length += str2;
            } else if (i == 4) {
                this.softwareVersion = str2;
            } else if (i == 5) {
                this.sumCheck = str2;
            }
        }
    }

    public void toGetSetting() {
        this.sendSerialData = "1B0300001E";
    }

    private void fromGetSetting(String str) {
        int length2 = str.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = str.substring(i2, i3) + str.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            } else if (i == 2) {
                this.length = str2;
            } else if (i == 3) {
                this.length += str2;
            } else if (i == 4) {
                this.airSpeed = str2;
            } else if (i == 5) {
                this.rate = str2;
            } else if (i == 6) {
                this.rate += str2;
            } else if (i == 7) {
                this.rate += str2;
            } else if (i == 8) {
                this.channel = str2;
            } else if (i == 9) {
                this.power = str2;
            } else if (i == 10) {
                this.sumCheck = str2;
            }
        }
    }

    public void preUpdateSetting() {
        this.sendSerialData = "1B0F00002A";
    }

    public void toUpdateSetting(String str, String str2, String str3) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("1B040003");
        stringBuffer.append(str);
        stringBuffer.append(str2);
        stringBuffer.append(str3);
        String stringBuffer2 = stringBuffer.toString();
        int length2 = stringBuffer2.length();
        int i = 0;
        int i2 = 0;
        while (i < length2) {
            int i3 = i + 2;
            i2 += Integer.parseInt(stringBuffer2.substring(i, i3), 16);
            i = i3;
        }
        String upperCase = Integer.toHexString(i2).toUpperCase();
        stringBuffer.append(upperCase.substring(upperCase.length() - 2));
        this.sendSerialData = stringBuffer.toString();
    }

    public void toCheckChannel() {
        this.sendSerialData = "1B07000022";
    }

    private void fromCheckChannel(String str) {
        int length2 = str.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = str.substring(i2, i3) + str.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            } else if (i == 2) {
                this.length = str2;
            } else if (i == 3) {
                this.length += str2;
            } else if (i == 4) {
                if ("00".equals(str2)) {
                    this.busyState = false;
                } else if ("01".equals(str2)) {
                    this.busyState = true;
                }
            } else if (i == 5) {
                this.sumCheck = str2;
            }
        }
    }

    public void toUpdateLbt(String str) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("1B0E0001");
        stringBuffer.append(str);
        String stringBuffer2 = stringBuffer.toString();
        int length2 = stringBuffer2.length();
        int i = 0;
        int i2 = 0;
        while (i < length2) {
            int i3 = i + 2;
            i2 += Integer.parseInt(stringBuffer2.substring(i, i3), 16);
            i = i3;
        }
        String upperCase = Integer.toHexString(i2).toUpperCase();
        stringBuffer.append(upperCase.substring(upperCase.length() - 2));
        this.sendSerialData = stringBuffer.toString();
    }

    public void toDataTransmission(String str, String str2, int i, int i2, String str3, String str4) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("1B09");
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append(str.toUpperCase());
        stringBuffer2.append(str4);
        stringBuffer2.append(str2.toUpperCase());
        stringBuffer2.append(Crc16Util.int2HexString(i, 2).toUpperCase());
        stringBuffer2.append(Crc16Util.int2HexString(i2, 2).toUpperCase());
        stringBuffer2.append(Crc16Util.str2HexStr(str3).toUpperCase());
        stringBuffer.append(Crc16Util.int2HexString(stringBuffer2.toString().length() / 2, 4).toUpperCase());
        stringBuffer.append(stringBuffer2);
        String stringBuffer3 = stringBuffer.toString();
        int length2 = stringBuffer3.length();
        int i3 = 0;
        int i4 = 0;
        while (i3 < length2) {
            int i5 = i3 + 2;
            i4 += Integer.parseInt(stringBuffer3.substring(i3, i5), 16);
            i3 = i5;
        }
        String upperCase = Integer.toHexString(i4).toUpperCase();
        stringBuffer.append(upperCase.substring(upperCase.length() - 2));
        this.sendSerialData = stringBuffer.toString();
    }

    public void toBatchSend(String str) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("1B09");
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append("FFFF");
        stringBuffer2.append(ActionType.BatchSend.getCode());
        stringBuffer2.append(Crc16Util.bytesToHexString(str.getBytes()).toUpperCase());
        stringBuffer.append(Crc16Util.int2HexString(stringBuffer2.toString().length() / 2, 4).toUpperCase());
        stringBuffer.append(stringBuffer2);
        String stringBuffer3 = stringBuffer.toString();
        int length2 = stringBuffer3.length();
        int i = 0;
        int i2 = 0;
        while (i < length2) {
            int i3 = i + 2;
            i2 += Integer.parseInt(stringBuffer3.substring(i, i3), 16);
            i = i3;
        }
        String upperCase = Integer.toHexString(i2).toUpperCase();
        stringBuffer.append(upperCase.substring(upperCase.length() - 2));
        this.sendSerialData = stringBuffer.toString();
    }

    public void resPollingCall(String str, String str2, int i) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("1B09");
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append(str.toUpperCase());
        stringBuffer2.append(str2);
        stringBuffer2.append(Crc16Util.int2HexString(i, 4));
        stringBuffer.append(Crc16Util.int2HexString(stringBuffer2.toString().length() / 2, 4).toUpperCase());
        stringBuffer.append(stringBuffer2);
        String stringBuffer3 = stringBuffer.toString();
        int length2 = stringBuffer3.length();
        int i2 = 0;
        int i3 = 0;
        while (i2 < length2) {
            int i4 = i2 + 2;
            i3 += Integer.parseInt(stringBuffer3.substring(i2, i4), 16);
            i2 = i4;
        }
        String upperCase = Integer.toHexString(i3).toUpperCase();
        stringBuffer.append(upperCase.substring(upperCase.length() - 2));
        this.sendSerialData = stringBuffer.toString();
    }

    private void fromDataTransmission(String str) {
        int length2 = str.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = str.substring(i2, i3) + str.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            } else if (i == 2) {
                this.length = str2;
            } else if (i == 3) {
                this.length += str2;
            } else if (i == 4) {
                this.fromCode = str2;
            } else if (i == 5) {
                this.fromCode += str2;
            } else if (i == 6) {
                this.actionType = str2;
            } else if (i == 7) {
                this.serialNum = str2;
            } else if (i == 8) {
                this.packageCount = str2;
            } else if (i == 9) {
                this.seq = str2;
            } else if (i == 10) {
                this.content = str2;
            } else if (i > 10 && i < length2 - 1) {
                this.content += str2;
            } else if (i == length2 - 1) {
                this.sumCheck = str2;
            }
        }
    }

    public void toPolling(String str, String str2) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("1B09");
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append(str.toUpperCase());
        stringBuffer2.append(str2);
        stringBuffer.append(Crc16Util.int2HexString(stringBuffer2.toString().length() / 2, 4).toUpperCase());
        stringBuffer.append(stringBuffer2);
        String stringBuffer3 = stringBuffer.toString();
        int length2 = stringBuffer3.length();
        int i = 0;
        int i2 = 0;
        while (i < length2) {
            int i3 = i + 2;
            i2 += Integer.parseInt(stringBuffer3.substring(i, i3), 16);
            i = i3;
        }
        String upperCase = Integer.toHexString(i2).toUpperCase();
        stringBuffer.append(upperCase.substring(upperCase.length() - 2));
        this.sendSerialData = stringBuffer.toString();
    }

    private void fromPolling(String str) {
        int length2 = str.length() / 2;
        for (int i = 0; i < length2; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = str.substring(i2, i3) + str.substring(i3, i3 + 1);
            if (i == 0) {
                this.header = str2;
            } else if (i == 1) {
                this.command = str2;
            } else if (i == 2) {
                this.length = str2;
            } else if (i == 3) {
                this.length += str2;
            } else if (i == 4) {
                this.fromCode = str2;
            } else if (i == 5) {
                this.fromCode += str2;
            } else if (i == 6) {
                this.actionType = str2;
            } else if (i == 7) {
                this.sumCheck = str2;
            }
        }
    }

    public String getHeader() {
        return this.header;
    }

    public void setHeader(String str) {
        this.header = str;
    }

    public String getCommand() {
        return this.command;
    }

    public void setCommand(String str) {
        this.command = str;
    }

    public String getLength() {
        return this.length;
    }

    public void setLength(String str) {
        this.length = str;
    }

    public String getSumCheck() {
        return this.sumCheck;
    }

    public void setSumCheck(String str) {
        this.sumCheck = str;
    }

    public String getSelfCode() {
        return this.selfCode;
    }

    public void setSelfCode(String str) {
        this.selfCode = str;
    }

    public String getToCode() {
        return this.toCode;
    }

    public void setToCode(String str) {
        this.toCode = str;
    }

    public String getFromCode() {
        return this.fromCode;
    }

    public void setFromCode(String str) {
        this.fromCode = str;
    }

    public String getSerialNum() {
        return this.serialNum;
    }

    public void setSerialNum(String str) {
        this.serialNum = str;
    }

    public String getPackageCount() {
        return this.packageCount;
    }

    public void setPackageCount(String str) {
        this.packageCount = str;
    }

    public String getSeq() {
        return this.seq;
    }

    public void setSeq(String str) {
        this.seq = str;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String str) {
        this.content = str;
    }

    public String getHardwareVersion() {
        return this.hardwareVersion;
    }

    public void setHardwareVersion(String str) {
        this.hardwareVersion = str;
    }

    public String getSoftwareVersion() {
        return this.softwareVersion;
    }

    public void setSoftwareVersion(String str) {
        this.softwareVersion = str;
    }

    public boolean isConnectState() {
        return this.connectState;
    }

    public void setConnectState(boolean z) {
        this.connectState = z;
    }

    public String getSendSerialData() {
        return this.sendSerialData;
    }

    public void setSendSerialData(String str) {
        this.sendSerialData = str;
    }

    public boolean isErrorState() {
        return this.errorState;
    }

    public void setErrorState(boolean z) {
        this.errorState = z;
    }

    public boolean isBusyState() {
        return this.busyState;
    }

    public void setBusyState(boolean z) {
        this.busyState = z;
    }

    public String getActionType() {
        return this.actionType;
    }

    public void setActionType(String str) {
        this.actionType = str;
    }

    public String getAirSpeed() {
        return this.airSpeed;
    }

    public void setAirSpeed(String str) {
        this.airSpeed = str;
    }

    public String getRate() {
        return this.rate;
    }

    public void setRate(String str) {
        this.rate = str;
    }

    public String getChannel() {
        return this.channel;
    }

    public void setChannel(String str) {
        this.channel = str;
    }

    public String getPower() {
        return this.power;
    }

    public void setPower(String str) {
        this.power = str;
    }
}
