package com.zakww.loratm.util;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.support.v4.app.NotificationCompat;
import java.util.Calendar;

public class AlarmManagerUtils {
    private static final long TIME_INTERVAL = 50;
    public static AlarmManager am;
    private static AlarmManagerUtils instance;
    public static PendingIntent pendingIntent;
    private Calendar calendar;
    private Context context;

    private AlarmManagerUtils(Context context2) {
        this.context = context2;
    }

    public static AlarmManagerUtils getInstance(Context context2) {
        if (instance == null) {
            synchronized (AlarmManagerUtils.class) {
                if (instance == null) {
                    instance = new AlarmManagerUtils(context2);
                }
            }
        }
        return instance;
    }

    public void createGetUpAlarmManager() {
        am = (AlarmManager) this.context.getSystemService(NotificationCompat.CATEGORY_ALARM);
        pendingIntent = PendingIntent.getService(this.context, 0, new Intent(this.context, SerialService.class), 67108864);
    }

    public void getUpAlarmManagerStartWork() {
        Calendar instance2 = Calendar.getInstance();
        this.calendar = instance2;
        instance2.set(11, 23);
        this.calendar.set(12, 50);
        this.calendar.set(13, 0);
        if (Build.VERSION.SDK_INT >= 23) {
            am.setExactAndAllowWhileIdle(0, this.calendar.getTimeInMillis(), pendingIntent);
        } else if (Build.VERSION.SDK_INT >= 19) {
            am.setExact(0, this.calendar.getTimeInMillis(), pendingIntent);
        } else {
            am.setRepeating(0, this.calendar.getTimeInMillis(), TIME_INTERVAL, pendingIntent);
        }
    }

    public void getUpAlarmManagerWorkOnOthers() {
        if (Build.VERSION.SDK_INT >= 23) {
            am.setExactAndAllowWhileIdle(0, System.currentTimeMillis() + TIME_INTERVAL, pendingIntent);
        } else if (Build.VERSION.SDK_INT >= 19) {
            am.setExact(0, System.currentTimeMillis() + TIME_INTERVAL, pendingIntent);
        }
    }
}
