package com.zakww.loratm.util;

import java.io.UnsupportedEncodingException;
import net.lingala.zip4j.crypto.PBKDF2.BinTools;

public class Crc16Util {
    public static String bytesToHexString(byte[] bArr) {
        if (bArr == null) {
            return "";
        }
        StringBuffer stringBuffer = new StringBuffer();
        int length = bArr.length;
        for (int i = 0; i < length; i++) {
            if ((bArr[i] & 255) < 16) {
                stringBuffer.append('0');
            }
            stringBuffer.append(Integer.toHexString(bArr[i] & 255));
        }
        return stringBuffer.toString();
    }

    public static byte[] hexStr2Bytes(String str) {
        String replaceAll = str.replaceAll(" ", "");
        int length = replaceAll.length() / 2;
        byte[] bArr = new byte[length];
        for (int i = 0; i < length; i++) {
            int i2 = i * 2;
            int i3 = i2 + 1;
            String str2 = "0x" + replaceAll.substring(i2, i3) + replaceAll.substring(i3, i3 + 1);
            try {
                bArr[i] = Byte.decode(str2).byteValue();
            } catch (Exception unused) {
                bArr[i] = (byte) Integer.decode(str2).intValue();
            }
        }
        return bArr;
    }

    public static String int2HexString(int i, int i2) {
        String hexString = Integer.toHexString(i);
        while (hexString.length() < i2) {
            hexString = "0" + hexString;
        }
        return hexString;
    }

    public static String hexStr2Str(String str) {
        String str2 = "";
        int i = 0;
        while (i < str.length()) {
            int i2 = i + 1;
            String substring = str.substring(i, i2);
            if (substring.equals("a") || substring.equals("b") || substring.equals("c") || substring.equals("d") || substring.equals("e") || substring.equals("f")) {
                substring = substring.toUpperCase().substring(0, 1);
            }
            str2 = str2 + substring;
            i = i2;
        }
        char[] charArray = str2.toCharArray();
        int length = str2.length() / 2;
        byte[] bArr = new byte[length];
        for (int i3 = 0; i3 < length; i3++) {
            int i4 = i3 * 2;
            bArr[i3] = (byte) (((BinTools.hex.indexOf(charArray[i4]) * 16) + BinTools.hex.indexOf(charArray[i4 + 1])) & 255);
        }
        try {
            return new String(bArr, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return "";
        }
    }

    public static String str2HexStr(String str) {
        char[] charArray = BinTools.hex.toCharArray();
        StringBuilder sb = new StringBuilder("");
        try {
            byte[] bytes = str.getBytes("utf-8");
            for (int i = 0; i < bytes.length; i++) {
                sb.append(charArray[(bytes[i] & 240) >> 4]);
                sb.append(charArray[bytes[i] & 15]);
            }
            return sb.toString().trim();
        } catch (UnsupportedEncodingException e) {
            throw new RuntimeException(e);
        }
    }
}
