package com.zakww.loratm.util;

import android.util.Log;
import android_serialport_api.SerialPort;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import net.lingala.zip4j.util.InternalZipConstants;

public class SerialHandle implements Runnable {
    private static final String TAG = "serialHandle";
    private byte[] complateReceived = new byte[0];
    private boolean isOpen = false;
    private long logTime = 0;
    private BufferedInputStream mBuffInputStream;
    private InputStream mInputStream;
    private OutputStream mOutputStream;
    private SerialPort mSerialPort;
    private String path = "";
    private boolean readState = false;
    private ScheduledFuture readTask;
    private SerialInter serialInter;

    private static int hexChar2byte(char c) {
        switch (c) {
            case InternalZipConstants.FOLDER_MODE_ARCHIVE /*{ENCODED_INT: 48}*/:
                return 0;
            case '1':
                return 1;
            case InternalZipConstants.FOLDER_MODE_HIDDEN_ARCHIVE /*{ENCODED_INT: 50}*/:
                return 2;
            case '3':
                return 3;
            case '4':
                return 4;
            case '5':
                return 5;
            case '6':
                return 6;
            case '7':
                return 7;
            case '8':
                return 8;
            case '9':
                return 9;
            default:
                switch (c) {
                    case 'A':
                        return 10;
                    case 'B':
                        return 11;
                    case 'C':
                        return 12;
                    case 'D':
                        return 13;
                    case 'E':
                        return 14;
                    case 'F':
                        return 15;
                    default:
                        switch (c) {
                            case 'a':
                                return 10;
                            case 'b':
                                return 11;
                            case 'c':
                                return 12;
                            case 'd':
                                return 13;
                            case 'e':
                                return 14;
                            case 'f':
                                return 15;
                            default:
                                return -1;
                        }
                }
        }
    }

    public void run() {
    }

    public void addSerialInter(SerialInter serialInter2) {
        this.serialInter = serialInter2;
    }

    public boolean isOpen() {
        return isOpen();
    }

    public boolean open(String str, int i, boolean z) {
        return open(str, i, 8, 1, 2, z);
    }

    public boolean open(String str, int i, int i2, int i3, int i4, boolean z) {
        try {
            if (this.mSerialPort != null) {
                close();
            }
            new File(str);
            SerialPort serialPort = new SerialPort(new File(str), i, 0);
            this.mSerialPort = serialPort;
            this.mInputStream = serialPort.getInputStream();
            this.mBuffInputStream = new BufferedInputStream(this.mInputStream);
            this.mOutputStream = this.mSerialPort.getOutputStream();
            this.isOpen = true;
            this.path = str;
            return true;
        } catch (Throwable unused) {
            return this.isOpen;
        }
    }

    private void readData() {
        ScheduledFuture scheduledFuture = this.readTask;
        if (scheduledFuture != null) {
            scheduledFuture.cancel(true);
            try {
                Thread.sleep(160);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            this.readTask = null;
        }
        this.readTask = SerialManage.getInstance().getScheduledExecutor().scheduleAtFixedRate(this, 0, 20, TimeUnit.MILLISECONDS);
    }

    private static boolean isMsgHeader(String str) {
        ArrayList<String> arrayList = new ArrayList();
        arrayList.add("1B01");
        arrayList.add("1B41");
        arrayList.add("1B02");
        arrayList.add("1B42");
        arrayList.add("1B03");
        arrayList.add("1B43");
        arrayList.add("1B04");
        arrayList.add("1B44");
        arrayList.add("1B05");
        arrayList.add("1B45");
        arrayList.add("1B06");
        arrayList.add("1B46");
        arrayList.add("1B07");
        arrayList.add("1B47");
        arrayList.add("1B08");
        arrayList.add("1B48");
        arrayList.add("1B09");
        arrayList.add("1B0B");
        arrayList.add("1B4B");
        arrayList.add("1B8B");
        arrayList.add("1B0C");
        arrayList.add("1B4C");
        arrayList.add("1B0E");
        arrayList.add("1B4E");
        for (String str2 : arrayList) {
            if (str.startsWith(str2)) {
                return true;
            }
        }
        return false;
    }

    public void readFromPortWithLoop() {
        readDataDoNotRestart();
    }

    private void readDataDoNotRestart() {
        if (this.isOpen) {
            readFromPort();
            return;
        }
        LogUtil.v(TAG, AppUtil.getCurrDateStr() + "串口已关闭");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:?, code lost:
        r1 = r7.mBuffInputStream.available();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x001e, code lost:
        if ((java.lang.System.currentTimeMillis() - r7.logTime) <= 60000) goto L_0x0043;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0020, code lost:
        com.zakww.loratm.util.LogUtil.v(com.zakww.loratm.util.SerialHandle.TAG, "线程读取串口消息长度:" + r1);
        r7.logTime = java.lang.System.currentTimeMillis();
        r7.serialInter.checkPort(r7.path);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0043, code lost:
        if (r1 <= 0) goto L_0x000b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0045, code lost:
        r1 = new byte[r1];
        r7.mBuffInputStream.read(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0058, code lost:
        if (isMsgHeader(com.zakww.loratm.util.Crc16Util.bytesToHexString(r1).toUpperCase()) == false) goto L_0x009b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x005d, code lost:
        if (r7.complateReceived.length <= 0) goto L_0x0097;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x005f, code lost:
        r2 = java.lang.System.out;
        r2.println("丢弃消息:" + com.zakww.loratm.util.Crc16Util.bytesToHexString(r7.complateReceived));
        com.zakww.loratm.util.LogUtil.v(com.zakww.loratm.util.SerialHandle.TAG, "丢弃消息:" + com.zakww.loratm.util.Crc16Util.bytesToHexString(r7.complateReceived));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0097, code lost:
        r7.complateReceived = new byte[0];
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x009b, code lost:
        r7.complateReceived = concat(r7.complateReceived, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x00a7, code lost:
        if (checkComplateReceived() == false) goto L_0x000b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x00a9, code lost:
        r7.serialInter.readData(r7.path, r7.complateReceived, r7.complateReceived.length);
        r7.complateReceived = new byte[0];
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x00bb, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x00bd, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:?, code lost:
        com.zakww.loratm.util.LogUtil.e(com.zakww.loratm.util.SerialHandle.TAG, "串口读取数据异常:" + r1.toString());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x00d8, code lost:
        r7.readState = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x00da, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x00db, code lost:
        r7.readState = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x00dd, code lost:
        throw r1;
     */
    public void readFromPort() {
        synchronized (this) {
            if (!this.readState) {
                this.readState = true;
            }
        }
    }

    private static byte[] concat(byte[] bArr, byte[] bArr2) {
        if (bArr == null || bArr2 == null) {
            return null;
        }
        byte[] bArr3 = new byte[(bArr.length + bArr2.length)];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, 0, bArr3, bArr.length, bArr2.length);
        return bArr3;
    }

    private boolean checkComplateReceived() {
        String upperCase = Crc16Util.bytesToHexString(this.complateReceived).toUpperCase();
        if (!upperCase.startsWith("1B")) {
            this.complateReceived = new byte[0];
            return false;
        } else if (upperCase.length() < 8) {
            return false;
        } else {
            int length = upperCase.length() / 2;
            String str = "";
            for (int i = 0; i < length; i++) {
                int i2 = i * 2;
                int i3 = i2 + 1;
                String str2 = upperCase.substring(i2, i3) + upperCase.substring(i3, i3 + 1);
                if (i == 2) {
                    str = str2;
                } else if (i == 3) {
                    str = str + str2;
                }
            }
            if ((upperCase.length() - 10) / 2 == Integer.parseInt(str, 16)) {
                return true;
            }
            return false;
        }
    }

    public boolean close() {
        try {
            if (this.mInputStream != null) {
                this.mInputStream.close();
            }
        } catch (Exception e) {
            LogUtil.e(TAG, "串口输入流对象关闭异常：" + e.toString());
        }
        try {
            if (this.mOutputStream != null) {
                this.mOutputStream.close();
            }
        } catch (Exception e2) {
            LogUtil.e(TAG, "串口输出流对象关闭异常：" + e2.toString());
        }
        try {
            if (this.mSerialPort != null) {
                this.mSerialPort.close();
            }
            this.mSerialPort = null;
            if (this.readTask != null) {
                this.readTask.cancel(true);
                try {
                    Thread.sleep(160);
                } catch (InterruptedException e3) {
                    e3.printStackTrace();
                }
                this.readTask = null;
            }
            this.isOpen = false;
            return true;
        } catch (Exception e4) {
            LogUtil.e(TAG, "串口对象关闭异常：" + e4.toString());
            return false;
        }
    }

    public void send(String str) {
        Log.v("SerialHandle", "串口发送：" + str);
        try {
            this.mOutputStream.write(hexStr2bytes(str));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private byte[] hexStr2bytes(String str) {
        int length = str.length() / 2;
        byte[] bArr = new byte[length];
        char[] charArray = str.toUpperCase().toCharArray();
        for (int i = 0; i < length; i++) {
            int i2 = i * 2;
            bArr[i] = (byte) (hexChar2byte(charArray[i2 + 1]) | (hexChar2byte(charArray[i2]) << 4));
        }
        return bArr;
    }
}
