package org.simple.eventbus;

import java.lang.reflect.Method;

/* access modifiers changed from: package-private */
public class TargetMethod {
    public Class<?> eventType;
    public Method method;
    public ThreadMode threadMode;

    public TargetMethod(Method method2, Class<?> cls, ThreadMode threadMode2) {
        this.method = method2;
        method2.setAccessible(true);
        this.eventType = cls;
        this.threadMode = threadMode2;
    }

    public int hashCode() {
        Class<?> cls = this.eventType;
        int i = 0;
        int hashCode = ((cls == null ? 0 : cls.hashCode()) + 31) * 31;
        Method method2 = this.method;
        if (method2 != null) {
            i = method2.getName().hashCode();
        }
        return hashCode + i;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        TargetMethod targetMethod = (TargetMethod) obj;
        Class<?> cls = this.eventType;
        if (cls == null) {
            if (targetMethod.eventType != null) {
                return false;
            }
        } else if (!cls.equals(targetMethod.eventType)) {
            return false;
        }
        Method method2 = this.method;
        if (method2 == null) {
            if (targetMethod.method != null) {
                return false;
            }
        } else if (!method2.getName().equals(targetMethod.method.getName())) {
            return false;
        }
        return true;
    }
}
