package org.simple.eventbus.matchpolicy;

import java.util.LinkedList;
import java.util.List;
import org.simple.eventbus.EventType;

public class DefaultMatchPolicy implements MatchPolicy {
    @Override // org.simple.eventbus.matchpolicy.MatchPolicy
    public List<EventType> findMatchEventTypes(EventType eventType, Object obj) {
        LinkedList linkedList = new LinkedList();
        for (Class<?> cls = obj.getClass(); cls != null; cls = cls.getSuperclass()) {
            linkedList.add(new EventType(cls, eventType.tag));
            addInterfaces(linkedList, cls, eventType.tag);
        }
        return linkedList;
    }

    private void addInterfaces(List<EventType> list, Class<?> cls, String str) {
        if (cls != null) {
            Class<?>[] interfaces = cls.getInterfaces();
            for (Class<?> cls2 : interfaces) {
                if (!list.contains(cls2)) {
                    list.add(new EventType(cls2, str));
                    addInterfaces(list, cls2, str);
                }
            }
        }
    }
}
