package com.apicloud.arcfacepublic.Utils;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Rect;
import android.graphics.YuvImage;
import android.graphics.drawable.Drawable;
import com.apicloud.arcfacepublic.faceserver.FaceServer;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import net.lingala.zip4j.util.InternalZipConstants;

public class ImageUtil {
    private int picType;

    public static ImageUtil getIntance() {
        return new ImageUtil();
    }

    public void setPicType(int i) {
        this.picType = i;
    }

    public Bitmap compressImage(Bitmap bitmap) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        bitmap.compress(this.picType == 0 ? Bitmap.CompressFormat.PNG : Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream);
        int i = 100;
        while (byteArrayOutputStream.toByteArray().length / 1024 > 100) {
            byteArrayOutputStream.reset();
            bitmap.compress(Bitmap.CompressFormat.JPEG, i, byteArrayOutputStream);
            i -= 10;
        }
        return BitmapFactory.decodeStream(new ByteArrayInputStream(byteArrayOutputStream.toByteArray()), null, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0033  */
    public Bitmap getimage(String str) {
        int i;
        float f;
        BitmapFactory.Options options = new BitmapFactory.Options();
        int i2 = 1;
        options.inJustDecodeBounds = true;
        BitmapFactory.decodeFile(str, options);
        options.inJustDecodeBounds = false;
        int i3 = options.outWidth;
        int i4 = options.outHeight;
        if (i3 > i4 && ((float) i3) > 480.0f) {
            f = ((float) options.outWidth) / 480.0f;
        } else if (i3 >= i4 || ((float) i4) <= 800.0f) {
            i = 1;
            if (i > 0) {
                i2 = i;
            }
            options.inSampleSize = i2;
            return compressImage(BitmapFactory.decodeFile(str, options));
        } else {
            f = ((float) options.outHeight) / 800.0f;
        }
        i = (int) f;
        if (i > 0) {
        }
        options.inSampleSize = i2;
        return compressImage(BitmapFactory.decodeFile(str, options));
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0064  */
    public Bitmap comp(Bitmap bitmap) {
        int i;
        float f;
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        bitmap.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream);
        if (byteArrayOutputStream.toByteArray().length / 1024 > 1024) {
            byteArrayOutputStream.reset();
            bitmap.compress(this.picType == 0 ? Bitmap.CompressFormat.PNG : Bitmap.CompressFormat.JPEG, 50, byteArrayOutputStream);
        }
        ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(byteArrayOutputStream.toByteArray());
        BitmapFactory.Options options = new BitmapFactory.Options();
        int i2 = 1;
        options.inJustDecodeBounds = true;
        BitmapFactory.decodeStream(byteArrayInputStream, null, options);
        options.inJustDecodeBounds = false;
        int i3 = options.outWidth;
        int i4 = options.outHeight;
        if (i3 > i4 && ((float) i3) > 480.0f) {
            f = ((float) options.outWidth) / 480.0f;
        } else if (i3 >= i4 || ((float) i4) <= 800.0f) {
            i = 1;
            if (i > 0) {
                i2 = i;
            }
            options.inSampleSize = i2;
            return compressImage(BitmapFactory.decodeStream(new ByteArrayInputStream(byteArrayOutputStream.toByteArray()), null, options));
        } else {
            f = ((float) options.outHeight) / 800.0f;
        }
        i = (int) f;
        if (i > 0) {
        }
        options.inSampleSize = i2;
        return compressImage(BitmapFactory.decodeStream(new ByteArrayInputStream(byteArrayOutputStream.toByteArray()), null, options));
    }

    public void getPicTypeByUrl(String str) {
        String str2;
        if (str != null && !str.equals("")) {
            String[] split = str.split(InternalZipConstants.ZIP_FILE_SEPARATOR);
            if (split.length > 0) {
                str2 = split[split.length - 1];
            } else {
                str2 = split[0];
            }
            if (str2.toLowerCase().contains(".png")) {
                this.picType = 0;
            } else if (str2.toLowerCase().contains(FaceServer.IMG_SUFFIX) || str2.toLowerCase().contains(".jpeg")) {
                this.picType = 1;
            }
        }
    }

    public static Bitmap getBitMBitmap(String str) {
        try {
            URLConnection openConnection = new URL(str).openConnection();
            openConnection.connect();
            return BitmapFactory.decodeStream(openConnection.getInputStream());
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Drawable getDrawable(String str) {
        try {
            URLConnection openConnection = new URL(str).openConnection();
            openConnection.connect();
            return Drawable.createFromStream(openConnection.getInputStream(), "background.jpg");
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Bitmap nv21ToBitmap(byte[] bArr, int i, int i2) {
        YuvImage yuvImage = new YuvImage(bArr, 17, i, i2, null);
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        yuvImage.compressToJpeg(new Rect(0, 0, yuvImage.getWidth(), yuvImage.getHeight()), 70, byteArrayOutputStream);
        byte[] byteArray = byteArrayOutputStream.toByteArray();
        new BitmapFactory.Options().inSampleSize = 1;
        return BitmapFactory.decodeByteArray(byteArray, 0, byteArray.length);
    }
}
