package com.apicloud.pdfReader;

import android.content.Context;
import android.text.TextUtils;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class FileUtils {
    private FileUtils() {
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0034 A[SYNTHETIC, Splitter:B:24:0x0034] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0041  */
    public static void copy(InputStream inputStream, File file) throws IOException {
        Throwable th;
        FileOutputStream fileOutputStream = null;
        try {
            if (!file.exists()) {
                file.createNewFile();
            }
            FileOutputStream fileOutputStream2 = new FileOutputStream(file);
            try {
                byte[] bArr = new byte[1024];
                while (true) {
                    int read = inputStream.read(bArr);
                    if (read == -1) {
                        break;
                    }
                    fileOutputStream2.write(bArr, 0, read);
                }
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (Throwable th2) {
                        fileOutputStream2.close();
                        throw th2;
                    }
                }
                fileOutputStream2.close();
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = fileOutputStream2;
                if (inputStream != null) {
                }
                if (fileOutputStream != null) {
                }
                throw th;
            }
        } catch (Throwable th4) {
            th = th4;
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (Throwable th5) {
                    if (fileOutputStream != null) {
                        fileOutputStream.close();
                    }
                    throw th5;
                }
            }
            if (fileOutputStream != null) {
                fileOutputStream.close();
            }
            throw th;
        }
    }

    public static FileInfo getRealPath(Context context, UZModuleContext uZModuleContext, String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        if (str.startsWith("widget")) {
            String replaceAll = uZModuleContext.makeRealPath(str).replaceAll(".+widget", "widget");
            if (isAssertFile(context, replaceAll)) {
                return new FileInfo(replaceAll, true);
            }
            String replaceAll2 = uZModuleContext.makeRealPath(str).replaceAll("file://", "");
            if (new File(replaceAll2).exists()) {
                return new FileInfo(replaceAll2, false);
            }
        } else {
            String makeRealPath = uZModuleContext.makeRealPath(str);
            if (new File(makeRealPath).exists()) {
                return new FileInfo(makeRealPath, false);
            }
        }
        return null;
    }

    public static boolean isAssertFile(Context context, String str) {
        try {
            context.getAssets().open(str);
            return true;
        } catch (IOException e) {
            e.printStackTrace();
            return false;
        }
    }

    public static class FileInfo {
        public String filePath;
        public boolean isAssert;

        public FileInfo(String str, boolean z) {
            this.filePath = str;
            this.isAssert = z;
        }
    }

    public static void copyToSdcard(Context context, String str, String str2, String str3) {
        try {
            copy(context.getAssets().open(str), new File(str2, str3));
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
