package com.eclipsesource.v8.utils;

import com.eclipsesource.v8.V8;

public final class ConcurrentV8 {
    private V8 v8 = null;

    public ConcurrentV8() {
        V8 createV8Runtime = V8.createV8Runtime();
        this.v8 = createV8Runtime;
        createV8Runtime.getLocker().release();
    }

    public V8 getV8() {
        return this.v8;
    }

    public void release() {
        V8 v82 = this.v8;
        if (v82 != null && !v82.isReleased()) {
            run(new V8Runnable() {
                /* class com.eclipsesource.v8.utils.ConcurrentV8.AnonymousClass1 */

                @Override // com.eclipsesource.v8.utils.V8Runnable
                public void run(V8 v8) {
                    if (v8 != null && !v8.isReleased()) {
                        v8.close();
                    }
                }
            });
        }
    }

    /* JADX INFO: finally extract failed */
    public synchronized void run(V8Runnable v8Runnable) {
        try {
            this.v8.getLocker().acquire();
            v8Runnable.run(this.v8);
            if (!(this.v8 == null || this.v8.getLocker() == null || !this.v8.getLocker().hasLock())) {
                this.v8.getLocker().release();
            }
        } catch (Throwable th) {
            if (!(this.v8 == null || this.v8.getLocker() == null || !this.v8.getLocker().hasLock())) {
                this.v8.getLocker().release();
            }
            throw th;
        }
    }
}
