package com.fstec.android;

import android.app.WallpaperManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.speech.tts.TextToSpeech;
import android.support.v4.app.NotificationCompat;
import android.util.DisplayMetrics;
import android.util.Log;
import com.uzmap.pkg.uzcore.UZWebView;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import java.io.File;
import java.io.FileInputStream;
import java.util.Locale;
import org.json.JSONException;
import org.json.JSONObject;

public class FstecVendor extends UZModule {
    private static TextToSpeech tts;

    public FstecVendor(UZWebView uZWebView) {
        super(uZWebView);
    }

    public void jsmethod_ttsInit(final UZModuleContext uZModuleContext) {
        if (tts == null) {
            tts = new TextToSpeech(context(), new TextToSpeech.OnInitListener() {
                /* class com.fstec.android.FstecVendor.AnonymousClass1 */

                public void onInit(int i) {
                    if (i == 0) {
                        int language = FstecVendor.tts.setLanguage(Locale.CHINA);
                        if (language == -1 || language == -2) {
                            JSONObject jSONObject = new JSONObject();
                            try {
                                jSONObject.put("state", 1);
                                jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, "setLanguage  not  support " + language);
                                uZModuleContext.success(jSONObject, true);
                            } catch (JSONException e) {
                                e.printStackTrace();
                            }
                        } else {
                            uZModuleContext.success(null);
                        }
                    } else {
                        JSONObject jSONObject2 = new JSONObject();
                        try {
                            jSONObject2.put("state", 1);
                            jSONObject2.put(NotificationCompat.CATEGORY_MESSAGE, "tss error " + i);
                            uZModuleContext.success(jSONObject2, true);
                        } catch (JSONException e2) {
                            e2.printStackTrace();
                        }
                    }
                }
            });
        } else {
            uZModuleContext.success(null, true);
        }
    }

    public void jsmethod_ttsSpeak(UZModuleContext uZModuleContext) {
        final String optString = uZModuleContext.optString("text");
        final int optInt = uZModuleContext.optInt("queueMode", 1);
        TextToSpeech textToSpeech = tts;
        if (textToSpeech == null) {
            tts = new TextToSpeech(context(), new TextToSpeech.OnInitListener() {
                /* class com.fstec.android.FstecVendor.AnonymousClass2 */

                public void onInit(int i) {
                    if (i == 0) {
                        int language = FstecVendor.tts.setLanguage(Locale.CHINA);
                        Log.e("speech", "setLanguage ret=" + language);
                        if (language == -1 || language == -2) {
                            Log.e("speech", "setLanguage  not  support" + language);
                        }
                        FstecVendor.tts.speak(optString, optInt, null, null);
                        return;
                    }
                    Log.e("speech", "tss error " + i);
                }
            });
        } else {
            textToSpeech.speak(optString, optInt, null);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x00b1  */
    /* JADX WARNING: Removed duplicated region for block: B:57:? A[RETURN, SYNTHETIC] */
    public void jsmethod_setWallpaper(UZModuleContext uZModuleContext) {
        Throwable th;
        try {
            String optString = uZModuleContext.optString("path");
            if (optString != null) {
                if (!optString.isEmpty()) {
                    File file = new File(optString);
                    if (file.exists()) {
                        DisplayMetrics displayMetrics = context().getResources().getDisplayMetrics();
                        int i = displayMetrics.widthPixels;
                        int i2 = displayMetrics.heightPixels;
                        Log.i("fstec", "screen w=" + i + "; h=" + i2);
                        FileInputStream fileInputStream = null;
                        try {
                            FileInputStream fileInputStream2 = new FileInputStream(file);
                            try {
                                WallpaperManager.getInstance(context()).setBitmap(Bitmap.createScaledBitmap(BitmapFactory.decodeStream(fileInputStream2), i, i2, true));
                                JSONObject jSONObject = new JSONObject();
                                try {
                                    jSONObject.put("state", 0);
                                    uZModuleContext.success(jSONObject, true);
                                } catch (JSONException e) {
                                    Log.e("fstec", "create JSONObject return value error", e);
                                }
                                try {
                                    fileInputStream2.close();
                                    return;
                                } catch (Throwable unused) {
                                    return;
                                }
                            } catch (Throwable th2) {
                                th = th2;
                                fileInputStream = fileInputStream2;
                                try {
                                    Log.e("fstec", "set wallpaper error", th);
                                    JSONObject jSONObject2 = new JSONObject();
                                    try {
                                        jSONObject2.put("state", 1);
                                        jSONObject2.put(NotificationCompat.CATEGORY_MESSAGE, "set wallpaper error " + th.getMessage());
                                        uZModuleContext.success(jSONObject2, true);
                                    } catch (JSONException unused2) {
                                        Log.e("fstec", "create JSONObject return value error", th);
                                    }
                                    if (fileInputStream == null) {
                                        fileInputStream.close();
                                        return;
                                    }
                                    return;
                                } catch (Throwable unused3) {
                                }
                            }
                        } catch (Throwable th3) {
                            th = th3;
                            Log.e("fstec", "set wallpaper error", th);
                            JSONObject jSONObject22 = new JSONObject();
                            jSONObject22.put("state", 1);
                            jSONObject22.put(NotificationCompat.CATEGORY_MESSAGE, "set wallpaper error " + th.getMessage());
                            uZModuleContext.success(jSONObject22, true);
                            if (fileInputStream == null) {
                            }
                        }
                    } else {
                        JSONObject jSONObject3 = new JSONObject();
                        try {
                            jSONObject3.put("state", 1);
                            jSONObject3.put(NotificationCompat.CATEGORY_MESSAGE, "path is not exist " + optString);
                            uZModuleContext.success(jSONObject3, true);
                            return;
                        } catch (JSONException e2) {
                            Log.e("fstec", "create JSONObject return value error", e2);
                            return;
                        }
                    }
                }
            }
            WallpaperManager.getInstance(context()).clear();
            JSONObject jSONObject4 = new JSONObject();
            try {
                jSONObject4.put("state", 0);
                uZModuleContext.success(jSONObject4, true);
                return;
            } catch (JSONException e3) {
                Log.e("fstec", "create JSONObject return value error", e3);
                return;
            }
            throw th;
        } catch (Throwable th4) {
            Log.e("fstec", "set wallpaper error", th4);
            JSONObject jSONObject5 = new JSONObject();
            try {
                jSONObject5.put("state", 1);
                jSONObject5.put(NotificationCompat.CATEGORY_MESSAGE, "set wallpaper error " + th4.getMessage());
                uZModuleContext.success(jSONObject5, true);
            } catch (JSONException unused4) {
                Log.e("fstec", "create JSONObject return value error", th4);
            }
        }
    }

    public void jsmethod_setDynWallpaper(UZModuleContext uZModuleContext) {
        try {
            String optString = uZModuleContext.optString("path");
            if (optString != null) {
                if (!optString.isEmpty()) {
                    File file = new File(optString);
                    if (file.exists()) {
                        DisplayMetrics displayMetrics = context().getResources().getDisplayMetrics();
                        int i = displayMetrics.widthPixels;
                        Bitmap createBitmap = Bitmap.createBitmap(i, displayMetrics.heightPixels, Bitmap.Config.ARGB_8888);
                        createBitmap.eraseColor(Color.parseColor("#CCCCCC"));
                        FileInputStream fileInputStream = new FileInputStream(file);
                        Bitmap decodeStream = BitmapFactory.decodeStream(fileInputStream);
                        fileInputStream.close();
                        int width = decodeStream.getWidth();
                        decodeStream.getHeight();
                        Canvas canvas = new Canvas(createBitmap);
                        canvas.drawBitmap(decodeStream, (float) ((i - width) / 2), 100.0f, (Paint) null);
                        fileInputStream.close();
                        Paint paint = new Paint();
                        paint.setTextSize(100.0f);
                        paint.setColor(-16711936);
                        paint.setFlags(1);
                        paint.setStyle(Paint.Style.FILL);
                        canvas.drawText("第001考场", 100.0f, 300.0f, paint);
                        canvas.save();
                        canvas.restore();
                        WallpaperManager.getInstance(context()).setBitmap(createBitmap);
                        return;
                    }
                    JSONObject jSONObject = new JSONObject();
                    try {
                        jSONObject.put("state", 1);
                        jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, "path is not exist " + optString);
                        uZModuleContext.success(jSONObject, true);
                        return;
                    } catch (JSONException e) {
                        Log.e("fstec", "create JSONObject return value error", e);
                        return;
                    }
                }
            }
            WallpaperManager.getInstance(context()).clear();
            JSONObject jSONObject2 = new JSONObject();
            try {
                jSONObject2.put("state", 0);
                uZModuleContext.success(jSONObject2, true);
            } catch (JSONException e2) {
                Log.e("fstec", "create JSONObject return value error", e2);
            }
        } catch (Throwable th) {
            Log.e("fstec", "set wallpaper error", th);
            JSONObject jSONObject3 = new JSONObject();
            try {
                jSONObject3.put("state", 1);
                jSONObject3.put(NotificationCompat.CATEGORY_MESSAGE, "set wallpaper error " + th.getMessage());
                uZModuleContext.success(jSONObject3, true);
            } catch (JSONException unused) {
                Log.e("fstec", "create JSONObject return value error", th);
            }
        }
    }
}
