package com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.decoding;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import com.google.zxing.BinaryBitmap;
import com.google.zxing.DecodeHintType;
import com.google.zxing.MultiFormatReader;
import com.google.zxing.ReaderException;
import com.google.zxing.Result;
import com.google.zxing.ResultPoint;
import com.google.zxing.common.HybridBinarizer;
import com.uzmap.pkg.uzcore.UZResourcesIDFinder;
import com.uzmap.pkg.uzmodules.uzFNScanner.UzFNScanner;
import com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.CaptureActivity;
import com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.camera.CameraManager;
import com.uzmap.pkg.uzmodules.uzFNScanner.Zxing.camera.PlanarYUVLuminanceSource;
import java.util.Hashtable;
import org.simple.eventbus.EventBus;
import org.simple.eventbus.Subscriber;

final class DecodeHandler extends Handler {
    private static final String TAG = DecodeHandler.class.getSimpleName();
    private final CaptureActivity activity;
    private boolean mPortraitFlag = true;
    private final MultiFormatReader multiFormatReader;

    DecodeHandler(CaptureActivity captureActivity, Hashtable<DecodeHintType, Object> hashtable) {
        MultiFormatReader multiFormatReader2 = new MultiFormatReader();
        this.multiFormatReader = multiFormatReader2;
        multiFormatReader2.setHints(hashtable);
        this.activity = captureActivity;
        EventBus.getDefault().register(this);
    }

    @Subscriber(tag = "reset_orientation")
    private void updateFlag(boolean z) {
        this.mPortraitFlag = z;
    }

    public void handleMessage(Message message) {
        int resIdID = UZResourcesIDFinder.getResIdID("fn_decode");
        int resIdID2 = UZResourcesIDFinder.getResIdID("fn_quit");
        if (message.what == resIdID) {
            int i = message.arg1;
            int i2 = message.arg2;
            decode((byte[]) message.obj, message.arg1, message.arg2);
        } else if (message.what == resIdID2) {
            Looper.myLooper().quit();
        }
    }

    /* JADX INFO: finally extract failed */
    private void decode(byte[] bArr, int i, int i2) {
        Result result;
        byte[] bArr2;
        long currentTimeMillis = System.currentTimeMillis();
        if (UzFNScanner.isWindow) {
            bArr2 = new byte[bArr.length];
            for (int i3 = 0; i3 < i2; i3++) {
                for (int i4 = 0; i4 < i; i4++) {
                    bArr2[(((i4 * i2) + i2) - i3) - 1] = bArr[(i3 * i) + i4];
                }
            }
        } else {
            if (CaptureActivity.mOrientationFlag) {
                bArr2 = new byte[bArr.length];
                for (int i5 = 0; i5 < i2; i5++) {
                    for (int i6 = 0; i6 < i; i6++) {
                        bArr2[(((i6 * i2) + i2) - i5) - 1] = bArr[(i5 * i) + i6];
                    }
                }
            }
            PlanarYUVLuminanceSource buildLuminanceSource = CameraManager.get().buildLuminanceSource(bArr, i, i2);
            result = this.multiFormatReader.decodeWithState(new BinaryBitmap(new HybridBinarizer(buildLuminanceSource)));
            this.multiFormatReader.reset();
            if (result != null && UzFNScanner.autoZoom) {
                ResultPoint[] resultPoints = result.getResultPoints();
                float x = resultPoints[0].getX();
                float y = resultPoints[0].getY();
                float x2 = resultPoints[1].getX();
                float f = x - x2;
                float y2 = y - resultPoints[1].getY();
                int sqrt = (int) Math.sqrt((double) ((Math.abs(f) * Math.abs(f)) + (Math.abs(y2) * Math.abs(y2))));
                if (sqrt < i / 4 && sqrt > 10) {
                    Message.obtain(this.activity.getHandler(), UZResourcesIDFinder.getResIdID("fn_zoom")).sendToTarget();
                }
            }
            if (result != null) {
                int resIdID = UZResourcesIDFinder.getResIdID("fn_decode_succeeded");
                long currentTimeMillis2 = System.currentTimeMillis();
                String str = TAG;
                Log.d(str, "Found barcode (" + (currentTimeMillis2 - currentTimeMillis) + " ms):\n" + result.toString());
                Message obtain = Message.obtain(this.activity.getHandler(), resIdID, result);
                Bundle bundle = new Bundle();
                bundle.putParcelable("barcode_bitmap", buildLuminanceSource.renderCroppedGreyscaleBitmap());
                obtain.setData(bundle);
                obtain.sendToTarget();
                return;
            }
            Message.obtain(this.activity.getHandler(), UZResourcesIDFinder.getResIdID("fn_decode_failed")).sendToTarget();
            return;
        }
        bArr = bArr2;
        i2 = i;
        i = i2;
        PlanarYUVLuminanceSource buildLuminanceSource2 = CameraManager.get().buildLuminanceSource(bArr, i, i2);
        try {
            result = this.multiFormatReader.decodeWithState(new BinaryBitmap(new HybridBinarizer(buildLuminanceSource2)));
            this.multiFormatReader.reset();
        } catch (ReaderException unused) {
            this.multiFormatReader.reset();
            result = null;
        } catch (Throwable th) {
            this.multiFormatReader.reset();
            throw th;
        }
        ResultPoint[] resultPoints2 = result.getResultPoints();
        float x3 = resultPoints2[0].getX();
        float y3 = resultPoints2[0].getY();
        float x22 = resultPoints2[1].getX();
        float f2 = x3 - x22;
        float y22 = y3 - resultPoints2[1].getY();
        int sqrt2 = (int) Math.sqrt((double) ((Math.abs(f2) * Math.abs(f2)) + (Math.abs(y22) * Math.abs(y22))));
        Message.obtain(this.activity.getHandler(), UZResourcesIDFinder.getResIdID("fn_zoom")).sendToTarget();
    }
}
