package net.lingala.zip4j.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.zip.CRC32;
import net.lingala.zip4j.exception.ZipException;
import net.lingala.zip4j.progress.ProgressMonitor;

public class CRCUtil {
    private static final int BUF_SIZE = 16384;

    public static long computeFileCRC(String str) throws ZipException {
        return computeFileCRC(str, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:44:0x0072 A[SYNTHETIC, Splitter:B:44:0x0072] */
    public static long computeFileCRC(String str, ProgressMonitor progressMonitor) throws ZipException {
        Throwable th;
        IOException e;
        Exception e2;
        if (Zip4jUtil.isStringNotNullAndNotEmpty(str)) {
            FileInputStream fileInputStream = null;
            try {
                Zip4jUtil.checkFileReadAccess(str);
                FileInputStream fileInputStream2 = new FileInputStream(new File(str));
                try {
                    byte[] bArr = new byte[16384];
                    CRC32 crc32 = new CRC32();
                    while (true) {
                        int read = fileInputStream2.read(bArr);
                        if (read != -1) {
                            crc32.update(bArr, 0, read);
                            if (progressMonitor != null) {
                                progressMonitor.updateWorkCompleted((long) read);
                                if (progressMonitor.isCancelAllTasks()) {
                                    progressMonitor.setResult(3);
                                    progressMonitor.setState(0);
                                    try {
                                        fileInputStream2.close();
                                        return 0;
                                    } catch (IOException unused) {
                                        throw new ZipException("error while closing the file after calculating crc");
                                    }
                                }
                            }
                        } else {
                            long value = crc32.getValue();
                            try {
                                fileInputStream2.close();
                                return value;
                            } catch (IOException unused2) {
                                throw new ZipException("error while closing the file after calculating crc");
                            }
                        }
                    }
                } catch (IOException e3) {
                    e = e3;
                    throw new ZipException(e);
                } catch (Exception e4) {
                    e2 = e4;
                    fileInputStream = fileInputStream2;
                    throw new ZipException(e2);
                } catch (Throwable th2) {
                    th = th2;
                    fileInputStream = fileInputStream2;
                    if (fileInputStream != null) {
                    }
                    throw th;
                }
            } catch (IOException e5) {
                e = e5;
                throw new ZipException(e);
            } catch (Exception e6) {
                e2 = e6;
                throw new ZipException(e2);
            } catch (Throwable th3) {
                th = th3;
                if (fileInputStream != null) {
                    try {
                        fileInputStream.close();
                    } catch (IOException unused3) {
                        throw new ZipException("error while closing the file after calculating crc");
                    }
                }
                throw th;
            }
        } else {
            throw new ZipException("input file is null or empty, cannot calculate CRC for the file");
        }
    }
}
